/*	Compiler: ECL 9.12.3                                          */
/*	Source: src:clos;defclass.lsp                                 */
#include <ecl/ecl-cmp.h>
#include "/home/mandrake/rpm/BUILD/ecl-9.12.3/build/clos/defclass.h"
/*	function definition for SELF-EVALUATING-P                     */
static cl_object L1self_evaluating_p(cl_object V1)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ATOM(V1))){
	goto L2;}
	{cl_object V2;
	T0= ecl_make_bool(SYMBOLP(V1));
	V2= ecl_make_bool((T0)==Cnil);
	if((V2)==Cnil){
	goto L6;}
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
L6:;
	{cl_object V3;
	V3= ecl_memql(V1,VV[0]);
	if((V3)==Cnil){
	goto L10;}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
L10:;
	if((cl_boundp(V1)                         /*  BOUNDP          */)==Cnil){
	goto L13;}
	if((cl_constantp(1,V1)                    /*  CONSTANTP       */)==Cnil){
	goto L16;}
	T0= cl_symbol_value(V1)                   /*  SYMBOL-VALUE    */;
	value0=ecl_make_bool((T0)==(V1)); cl_env_copy->nvalues=1;
	return value0;
L16:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L13:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
	}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for PARSE-DEFAULT-INITARGS                */
static cl_object L2parse_default_initargs(cl_object V1)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  OUTPUT-LIST     */
	cl_object V3;                             /*  SCAN            */
	cl_object V4;                             /*  ALREADY-SUPPLIED */
	V2= Cnil;
	V3= V1;
	V4= Cnil;
	goto L7;
L6:;
	T0= cl_rest(V3)                           /*  REST            */;
	if(!(ecl_endp(T0))){
	goto L9;}
	(void)si_simple_program_error(1,_ecl_static_1) /*  SIMPLE-PROGRAM-ERROR */;
L9:;
	{cl_object V5;                            /*  SLOT-NAME       */
	cl_object V6;                             /*  INITFORM        */
	V5= cl_first(V3)                          /*  FIRST           */;
	V6= cl_second(V3)                         /*  SECOND          */;
	if((ecl_memql(V5,V4))==Cnil){
	goto L17;}
	(void)si_simple_program_error(3,_ecl_static_2,V5,V1) /*  SIMPLE-PROGRAM-ERROR */;
	goto L15;
L17:;
	V4= CONS(V5,V4);
L15:;
	T0= cl_list(2,ECL_SYM("QUOTE",677),V5)    /*  LIST            */;
	T1= cl_list(2,ECL_SYM("QUOTE",677),V6)    /*  LIST            */;
	T2= ecl_function_dispatch(cl_env_copy,VV[7])(1,V6) /*  MAKE-FUNCTION-INITFORM */;
	T3= cl_list(4,ECL_SYM("LIST",479),T0,T1,T2) /*  LIST          */;
	V2= CONS(T3,V2);
	}
	V3= cl_cddr(V3)                           /*  CDDR            */;
L7:;
	if(ecl_endp(V3)){
	goto L23;}
	goto L6;
L23:;
	goto L4;
L4:;
	T0= cl_nreverse(V2)                       /*  NREVERSE        */;
	value0=CONS(ECL_SYM("LIST",479),T0); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function DEFCLASS                                       */
static cl_object LC3defclass(cl_object V1, cl_object V2)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARGS            */
	V3= cl_cdr(V1)                            /*  CDR             */;
	{cl_object V4;                            /*  NAME            */
	cl_object V5;                             /*  SUPERCLASSES    */
	cl_object V6;                             /*  SLOTS           */
	cl_object V7;                             /*  OPTIONS         */
	cl_object V8;                             /*  PROCESSED-OPTIONS */
	V4= Cnil;
	V5= Cnil;
	V6= Cnil;
	V7= Cnil;
	V8= Cnil;
	{cl_fixnum V9;
	V9= ecl_length(V3);
	if((V9)>=(3)){
	goto L7;}}
	(void)si_simple_program_error(1,_ecl_static_3) /*  SIMPLE-PROGRAM-ERROR */;
L7:;
	V4= cl_first(V3)                          /*  FIRST           */;
	V5= cl_second(V3)                         /*  SECOND          */;
	V6= cl_third(V3)                          /*  THIRD           */;
	V3= cl_cdddr(V3)                          /*  CDDDR           */;
	if(!(LISTP(V5))){
	goto L19;}
	if(LISTP(V6)){
	goto L18;}
L19:;
	(void)si_simple_program_error(1,_ecl_static_4) /*  SIMPLE-PROGRAM-ERROR */;
L18:;
	if(!(SYMBOLP(V4))){
	goto L24;}
	T0= (ECL_SYM("SYMBOLP",845)->symbol.gfdef);
	if((cl_every(2,T0,V5)                     /*  EVERY           */)!=Cnil){
	goto L23;}
L24:;
	(void)si_simple_program_error(1,_ecl_static_5) /*  SIMPLE-PROGRAM-ERROR */;
L23:;
	{cl_object V9;                            /*  L               */
	{cl_object V10;
	V10= ecl_function_dispatch(cl_env_copy,VV[9])(1,V6) /*  PARSE-SLOTS */;
	V6= V10;
	V9= V6;
	}
	goto L36;
L35:;
	{cl_object V10;                           /*  SLOTD           */
	cl_object V11;                            /*  INITFUN         */
	V10= cl_first(V9)                         /*  FIRST           */;
	V11= cl_getf(3,V10,VV[1],Cnil)            /*  GETF            */;
	if((V11)==Cnil){
	goto L43;}
	cl_env_copy->values[0]=si_rem_f(V10,VV[1]) /*  REM-F          */;
	{
	cl_object V13;
	cl_object V14;                            /*  FLAG            */
	V13= cl_env_copy->values[0];
	{int V15=cl_env_copy->nvalues-1;
	goto L47;}
L47:;
	V14= Cnil;
	V10= V13;}
	{cl_object V12;
	{cl_object V13;
	cl_object V14;
	V13= Cnil;
	V14= V10;
	{cl_object V15;
	cl_object V16;
	V15= ecl_list1(Cnil);
	V16= V15;
L55:;
	if(!(ecl_endp(V14))){
	goto L57;}
	goto L56;
L57:;
	V13= cl_car(V14)                          /*  CAR             */;
	V14= cl_cdr(V14)                          /*  CDR             */;
	T1= V16;
	T2= ecl_function_dispatch(cl_env_copy,ECL_SYM("MAYBE-QUOTE",1604))(1,V13) /*  MAYBE-QUOTE */;
	V16= ecl_list1(T2);
	if(ATOM(T1))FEtype_error_cons(T1);
	ECL_CONS_CDR(T1) = V16;
	goto L55;
L56:;
	T0= cl_cdr(V15)                           /*  CDR             */;
	goto L51;
	}
	}
L51:;
	V12= cl_listX(4,ECL_SYM("LIST",479),VV[1],V11,T0) /*  LIST*   */;
	V10= V12;
	goto L41;
	}
L43:;
	{cl_object V13;
	V13= ecl_function_dispatch(cl_env_copy,ECL_SYM("MAYBE-QUOTE",1604))(1,V10) /*  MAYBE-QUOTE */;
	V10= V13;
	}
L41:;
	if(ATOM(V9))FEtype_error_cons(V9);
	ECL_CONS_CAR(V9) = V10;
	}
	V9= cl_rest(V9)                           /*  REST            */;
L36:;
	if(ecl_endp(V9)){
	goto L74;}
	goto L35;
L74:;
	goto L33;
L33:;
	{cl_object V10;
	T0= (ECL_SYM("CONSTANTP",252)->symbol.gfdef);
	if((cl_every(2,T0,V6)                     /*  EVERY           */)==Cnil){
	goto L79;}
	{cl_object V11;
	cl_object V12;
	V11= Cnil;
	V12= V6;
	{cl_object V13;
	cl_object V14;
	V13= ecl_list1(Cnil);
	V14= V13;
L86:;
	if(!(ecl_endp(V12))){
	goto L88;}
	goto L87;
L88:;
	V11= cl_car(V12)                          /*  CAR             */;
	V12= cl_cdr(V12)                          /*  CDR             */;
	T1= V14;
	T2= ecl_function_dispatch(cl_env_copy,ECL_SYM("MAYBE-UNQUOTE",1605))(1,V11) /*  MAYBE-UNQUOTE */;
	V14= ecl_list1(T2);
	if(ATOM(T1))FEtype_error_cons(T1);
	ECL_CONS_CDR(T1) = V14;
	goto L86;
L87:;
	T0= cl_cdr(V13)                           /*  CDR             */;
	goto L82;
	}
	}
L82:;
	V10= ecl_function_dispatch(cl_env_copy,ECL_SYM("MAYBE-QUOTE",1604))(1,T0) /*  MAYBE-QUOTE */;
	goto L77;
L79:;
	V10= CONS(ECL_SYM("LIST",479),V6);
L77:;
	V6= V10;
	}
	}
	{cl_object V9;                            /*  %DOLIST-VAR     */
	cl_object V10;                            /*  OPTION          */
	V9= V3;
	V10= Cnil;
	goto L106;
L105:;
	V10= cl_first(V9)                         /*  FIRST           */;
	{cl_object V11;                           /*  OPTION-NAME     */
	cl_object V12;                            /*  OPTION-VALUE    */
	V11= cl_first(V10)                        /*  FIRST           */;
	V12= Cnil;
	if((ecl_memql(V11,V8))==Cnil){
	goto L114;}
	(void)si_simple_program_error(2,_ecl_static_6,V11) /*  SIMPLE-PROGRAM-ERROR */;
	goto L112;
L114:;
	V8= CONS(V11,V8);
L112:;
	{cl_object V13;
	V13= V11;
	if((ecl_memql(V13,VV[2]))==Cnil){
	goto L120;}
	T0= cl_second(V10)                        /*  SECOND          */;
	V12= ecl_function_dispatch(cl_env_copy,ECL_SYM("MAYBE-QUOTE",1604))(1,T0) /*  MAYBE-QUOTE */;
	goto L118;
L120:;
	if(!(ecl_eql(V13,ECL_SYM("DEFAULT-INITARGS",983)))){
	goto L123;}
	V11= ECL_SYM("DIRECT-DEFAULT-INITARGS",984);
	T0= cl_rest(V10)                          /*  REST            */;
	V12= L2parse_default_initargs(T0)         /*  PARSE-DEFAULT-INITARGS */;
	goto L118;
L123:;
	T0= cl_rest(V10)                          /*  REST            */;
	V12= ecl_function_dispatch(cl_env_copy,ECL_SYM("MAYBE-QUOTE",1604))(1,T0) /*  MAYBE-QUOTE */;
	}
L118:;
	{cl_object V13;
	T0= ecl_function_dispatch(cl_env_copy,ECL_SYM("MAYBE-QUOTE",1604))(1,V11) /*  MAYBE-QUOTE */;
	V13= cl_listX(3,T0,V12,V7)                /*  LIST*           */;
	V7= V13;
	}
	}
	V9= cl_rest(V9)                           /*  REST            */;
L106:;
	if((V9)==Cnil){
	goto L131;}
	goto L105;
L131:;
	goto L103;
L103:;
	}
	if((ecl_symbol_value(ECL_SYM("*REGISTER-WITH-PDE-HOOK*",1159)))==Cnil){
	goto L136;}
	T1= ecl_symbol_value(ECL_SYM("*REGISTER-WITH-PDE-HOOK*",1159));
	T2= cl_copy_tree(ecl_symbol_value(ECL_SYM("*SOURCE-LOCATION*",1158))) /*  COPY-TREE */;
	T3= cl_list(2,ECL_SYM("QUOTE",677),V4)    /*  LIST            */;
	T4= cl_list(2,ECL_SYM("QUOTE",677),V5)    /*  LIST            */;
	T5= cl_listX(7,ECL_SYM("ENSURE-CLASS",1441),T3,ECL_SYM("DIRECT-SUPERCLASSES",986),T4,ECL_SYM("DIRECT-SLOTS",985),V6,V7) /*  LIST* */;
	T0= ecl_function_dispatch(cl_env_copy,T1)(3,T2,V1,T5);
	goto L134;
L136:;
	T1= cl_list(2,ECL_SYM("QUOTE",677),V4)    /*  LIST            */;
	T2= cl_list(2,ECL_SYM("QUOTE",677),V5)    /*  LIST            */;
	T0= cl_listX(7,ECL_SYM("ENSURE-CLASS",1441),T1,ECL_SYM("DIRECT-SUPERCLASSES",986),T2,ECL_SYM("DIRECT-SLOTS",985),V6,V7) /*  LIST* */;
L134:;
	value0=cl_list(3,ECL_SYM("EVAL-WHEN",338),VV[3],T0) /*  LIST  */;
	return value0;
	}
	}
}}
/*	function definition for ENSURE-CLASS                          */
cl_object clos_ensure_class(cl_narg narg, cl_object V1, ...)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<1) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V3;                            /*  OLD-CLASS       */
	cl_object V4;                             /*  NEW-CLASS       */
	V3= Cnil;
	V4= Cnil;
	if((V1)==Cnil){
	goto L3;}
	{cl_object V5;
	V5= cl_find_class(2,V1,Cnil)              /*  FIND-CLASS      */;
	V3= V5;
	if((V3)==Cnil){
	goto L3;}
	}
	T0= (cl_env_copy->function=(ECL_SYM("CLASS-NAME",932)->symbol.gfdef))->cfun.entry(1,V3) /*  CLASS-NAME */;
	if((T0)==(V1)){
	goto L3;}
	V3= Cnil;
L3:;
	{cl_object V5;
	T0= ecl_fdefinition(ECL_SYM("ENSURE-CLASS-USING-CLASS",1442));
	V5= cl_apply(4,T0,V3,V1,V2)               /*  APPLY           */;
	V4= V5;
	}
	if((V1)==Cnil){
	goto L17;}
	(void)ecl_function_dispatch(cl_env_copy,ECL_SYM("CREATE-TYPE-NAME",1504))(1,V1) /*  CREATE-TYPE-NAME */;
	(void)ecl_function_dispatch(cl_env_copy,VV[11])(2,V4,V1) /*  SETF-FIND-CLASS */;
L17:;
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for COMPUTE-CLOS-CLASS-PRECEDENCE-LIST    */
static cl_object L10compute_clos_class_precedence_list(cl_object V1, cl_object V2)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_rest(V2)                           /*  REST            */;
	if(!(ecl_endp(T0))){
	goto L2;}
	T0= cl_first(V2)                          /*  FIRST           */;
	T1= ecl_instance_ref((T0),(4));
	value0=CONS(V1,T1); cl_env_copy->nvalues=1;
	return value0;
L2:;
	cl_env_copy->values[0]=LC4walk_supers(V2) /*  WALK-SUPERS     */;
	{
	cl_object V4;                             /*  CLASS-LIST      */
	cl_object V5;                             /*  PRECEDENCE-LISTS */
	{int V6=cl_env_copy->nvalues-0;
	if (V6--<=0) goto L5;
	V4= cl_env_copy->values[0];
	if (V6--<=0) goto L6;
	V5= cl_env_copy->values[1];
	goto L7;}
L5:;
	V4= Cnil;
L6:;
	V5= Cnil;
L7:;
	{cl_object V6;                            /*  CPL             */
	V6= ecl_list1(V1);
	goto L12;
L11:;
	{cl_object V7;                            /*  CANDIDATES      */
	cl_object V8;                             /*  NEXT            */
	V7= LC7free_elements(V4,V5)               /*  FREE-ELEMENTS   */;
	V8= LC8next_element(V7,V6)                /*  NEXT-ELEMENT    */;
	if((V8)!=Cnil){
	goto L17;}
	(void)LC5cycle_error(V1)                  /*  CYCLE-ERROR     */;
L17:;
	{cl_object V9;
	V9= LC9delete_class(V8,V5)                /*  DELETE-CLASS    */;
	V5= V9;
	}
	{cl_object V9;
	V9= cl_delete(2,V8,V4)                    /*  DELETE          */;
	V4= V9;
	}
	{cl_object V9;
	V9= CONS(V8,V6);
	V6= V9;
	}
	}
L12:;
	if((V4)==Cnil){
	goto L28;}
	goto L11;
L28:;
	goto L9;
L9:;
	if((V5)==Cnil){
	goto L32;}
	value0=LC5cycle_error(V1)                 /*  CYCLE-ERROR     */;
	return value0;
L32:;
	value0=cl_nreverse(V6)                    /*  NREVERSE        */;
	return value0;
	}}
}}
/*	local function DELETE-CLASS                                   */
static cl_object LC9delete_class(cl_object V1, cl_object V2)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  L               */
	V3= V2;
	goto L4;
L3:;
	{cl_object V4;                            /*  ONE-LIST        */
	V4= cl_first(V3)                          /*  FIRST           */;
	T0= cl_first(V4)                          /*  FIRST           */;
	if(!((V1)==(T0))){
	goto L6;}
	{cl_object V5;
	V5= cl_rest(V4)                           /*  REST            */;
	if(ATOM(V3))FEtype_error_cons(V3);
	ECL_CONS_CAR(V3) = V5;
	}
	}
L6:;
	V3= cl_rest(V3)                           /*  REST            */;
L4:;
	if((V3)==Cnil){
	goto L14;}
	goto L3;
L14:;
	goto L1;
L1:;
	value0=cl_delete(2,Cnil,V2)               /*  DELETE          */;
	return value0;
	}
}}
/*	local function NEXT-ELEMENT                                   */
static cl_object LC8next_element(cl_object V1, cl_object V2)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V2)==Cnil){
	goto L1;}
	if(ecl_endp(V1)){
	goto L1;}
	T0= cl_rest(V1)                           /*  REST            */;
	if(!(ecl_endp(T0))){
	goto L2;}
L1:;
	value0=cl_first(V1)                       /*  FIRST           */;
	return value0;
L2:;
	{cl_object V3;                            /*  %DOLIST-VAR     */
	cl_object V4;                             /*  I               */
	V3= V2;
	V4= Cnil;
	goto L13;
L12:;
	V4= cl_first(V3)                          /*  FIRST           */;
	{cl_object V5;                            /*  %DOLIST-VAR     */
	cl_object V6;                             /*  J               */
	V5= ecl_instance_ref((V4),(1));
	V6= Cnil;
	goto L23;
L22:;
	V6= cl_first(V5)                          /*  FIRST           */;
	if((ecl_memql(V6,V1))==Cnil){
	goto L27;}
	value0=V6; cl_env_copy->nvalues=1;
	return value0;
L27:;
	V5= cl_rest(V5)                           /*  REST            */;
L23:;
	if((V5)==Cnil){
	goto L32;}
	goto L22;
L32:;
	goto L20;
L20:;
	}
	V3= cl_rest(V3)                           /*  REST            */;
L13:;
	if((V3)==Cnil){
	goto L37;}
	goto L12;
L37:;
	goto L10;
L10:;
	V4= Cnil;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function FREE-ELEMENTS                                  */
static cl_object LC7free_elements(cl_object V1, cl_object V2)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  OUTPUT          */
	V3= Cnil;
	{cl_object V4;                            /*  %DOLIST-VAR     */
	cl_object V5;                             /*  CLASS           */
	V4= V1;
	V5= Cnil;
	goto L7;
L6:;
	V5= cl_first(V4)                          /*  FIRST           */;
	if((LC6has_no_precedent(V5,V2)            /*  HAS-NO-PRECEDENT */)==Cnil){
	goto L11;}
	V3= CONS(V5,V3);
L11:;
	V4= cl_rest(V4)                           /*  REST            */;
L7:;
	if((V4)==Cnil){
	goto L17;}
	goto L6;
L17:;
	goto L4;
L4:;
	}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function HAS-NO-PRECEDENT                               */
static cl_object LC6has_no_precedent(cl_object V1, cl_object V2)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  %DOLIST-VAR     */
	cl_object V4;                             /*  PARTIAL-ORDER   */
	V3= V2;
	V4= Cnil;
	goto L6;
L5:;
	V4= cl_first(V3)                          /*  FIRST           */;
	T0= cl_rest(V4)                           /*  REST            */;
	if((ecl_memql(V1,T0))==Cnil){
	goto L10;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L10:;
	V3= cl_rest(V3)                           /*  REST            */;
L6:;
	if((V3)==Cnil){
	goto L15;}
	goto L5;
L15:;
	goto L3;
L3:;
	V4= Cnil;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function CYCLE-ERROR                                    */
static cl_object LC5cycle_error(cl_object V1)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= (cl_env_copy->function=(ECL_SYM("CLASS-NAME",932)->symbol.gfdef))->cfun.entry(1,V1) /*  CLASS-NAME */;
	value0=cl_error(2,_ecl_static_7,T0)       /*  ERROR           */;
	return value0;
}}
/*	local function WALK-SUPERS                                    */
static cl_object LC4walk_supers(cl_object V1)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  CLASS-LIST      */
	cl_object V3;                             /*  PRECEDENCE-LISTS */
	V3= ecl_list1(V1);
	V2= Cnil;
L3:;
	if((V1)!=Cnil){
	goto L5;}
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=V3;
	cl_env_copy->values[0]=V2;
	return cl_env_copy->values[0];
L5:;
	{cl_object V4;                            /*  NEXT-CLASS      */
	{cl_object V5;
	V5= cl_car(V1)                            /*  CAR             */;
	V1= cl_cdr(V1)                            /*  CDR             */;
	V4= V5;
	}
	if((ecl_memql(V4,V2))!=Cnil){
	goto L4;}
	{cl_object V5;                            /*  MORE-CLASSES    */
	V5= ecl_instance_ref((V4),(1));
	{cl_object V6;
	V6= CONS(V4,V2);
	V2= V6;
	}
	{cl_object V6;
	T0= CONS(V4,V5);
	V6= CONS(T0,V3);
	V3= V6;
	}
	{cl_object V6;
	V6= ecl_append(V5,V1);
	V1= V6;
	}
	}
	}
L4:;
	goto L3;
	}
}}
	
#include "/home/mandrake/rpm/BUILD/ecl-9.12.3/build/clos/defclass.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclGhVQE7hY0zElW_VRYCsAz(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (!FIXNUMP(flag)){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("/home/mandrake/rpm/BUILD/ecl-9.12.3/src/clos/defclass.lsp");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclGhVQE7hY0zElW_VRYCsAz@";
	VVtemp = Cblock->cblock.temp_data;
	(void)si_select_package(_ecl_static_0)    /*  SELECT-PACKAGE  */;
	(void)0; /* No entry created for SELF-EVALUATING-P */
	(void)0; /* No entry created for PARSE-DEFAULT-INITARGS */
	ecl_cmp_defmacro(VV[8]);
	ecl_cmp_defun(VV[10]);
	ecl_cmp_defun(VV[12]);
}
