/*	Compiler: ECL 9.12.3                                          */
/*	Source: src:clos;streams.lsp                                  */
#include <ecl/ecl-cmp.h>
#include "/home/mandrake/rpm/BUILD/ecl-9.12.3/build/clos/streams.h"
/*	function definition for BUG-OR-ERROR                          */
static cl_object L1bug_or_error(cl_object V1, cl_object V2)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((cl_streamp(V1)                        /*  STREAMP         */)==Cnil){
	goto L2;}
	value0=cl_error(3,_ecl_static_30,V1,V2)   /*  ERROR           */;
	return value0;
L2:;
	value0=cl_error(5,ECL_SYM("TYPE-ERROR",868),ECL_SYM("DATUM",1185),V1,ECL_SYM("EXPECTED-TYPE",1203),ECL_SYM("STREAM",797)) /*  ERROR */;
	return value0;
}}
/*	local function STREAM-ADVANCE-TO-COLUMN                       */
static cl_object LC2stream_advance_to_column(cl_object V1, cl_object V2)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  CURRENT-COLUMN  */
	V3= ecl_function_dispatch(cl_env_copy,ECL_SYM("STREAM-LINE-COLUMN",1550))(1,V1) /*  STREAM-LINE-COLUMN */;
	if((V3)==Cnil){
	goto L3;}
	{cl_object V4;                            /*  FILL            */
	V4= ecl_minus(V2,V3);
	{cl_object V5;                            /*  I               */
	V5= MAKE_FIXNUM(0);
	goto L10;
L9:;
	(void)ecl_function_dispatch(cl_env_copy,ECL_SYM("STREAM-WRITE-CHAR",1562))(2,V1,CODE_CHAR('\40')) /*  STREAM-WRITE-CHAR */;
	V5= ecl_one_plus(V5);
L10:;
	if(!(ecl_number_compare(V5,V4)<0)){
	goto L15;}
	goto L9;
L15:;
	goto L5;
	}
	}
L5:;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L3:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function STREAM-CLEAR-INPUT                             */
static cl_object LC3stream_clear_input(cl_object V1)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function STREAM-CLEAR-INPUT                             */
static cl_object LC4stream_clear_input(cl_object V1)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_clear_input(1,V1)               /*  CLEAR-INPUT     */;
	return value0;
}}
/*	local function STREAM-CLEAR-INPUT                             */
static cl_object LC5stream_clear_input(cl_object V1)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-CLEAR-INPUT",1542)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-CLEAR-OUTPUT                            */
static cl_object LC6stream_clear_output(cl_object V1)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function STREAM-CLEAR-OUTPUT                            */
static cl_object LC7stream_clear_output(cl_object V1)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_clear_output(1,V1)              /*  CLEAR-OUTPUT    */;
	return value0;
}}
/*	local function STREAM-CLEAR-OUTPUT                            */
static cl_object LC8stream_clear_output(cl_object V1)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-CLEAR-OUTPUT",1543)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function CLOSE                                          */
static cl_object LC9close(cl_narg narg, cl_object V1, ...)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<1) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[2];
	cl_parse_key(args,1,LC9closekeys,keyvars,NULL,TRUE);
	cl_va_end(args);
	V2= keyvars[0];
	}
	(void)(cl_env_copy->function=ecl_fdefinition(VV[13]))->cfun.entry(2,Cnil,V1) /*  (SETF OPEN-STREAM-P) */;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function CLOSE                                          */
static cl_object LC10close(cl_narg narg, cl_object V1, ...)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<1) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[2];
	cl_parse_key(args,1,LC10closekeys,keyvars,NULL,TRUE);
	cl_va_end(args);
	V2= keyvars[0];
	}
	value0=cl_close(3,V1,ECL_SYM("ABORT",1167),V2) /*  CLOSE      */;
	return value0;
}}
/*	local function CLOSE                                          */
static cl_object LC11close(cl_narg narg, cl_object V1, ...)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<1) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[2];
	cl_parse_key(args,1,LC11closekeys,keyvars,NULL,TRUE);
	cl_va_end(args);
	V2= keyvars[0];
	}
	value0=L1bug_or_error(V1,ECL_SYM("CLOSE",1536)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-ELEMENT-TYPE                            */
static cl_object LC12stream_element_type(cl_object V1)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ECL_SYM("CHARACTER",220); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function STREAM-ELEMENT-TYPE                            */
static cl_object LC13stream_element_type(cl_object V1)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_stream_element_type(V1)         /*  STREAM-ELEMENT-TYPE */;
	return value0;
}}
/*	local function STREAM-ELEMENT-TYPE                            */
static cl_object LC14stream_element_type(cl_object V1)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-ELEMENT-TYPE",1544)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-FINISH-OUTPUT                           */
static cl_object LC15stream_finish_output(cl_object V1)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function STREAM-FINISH-OUTPUT                           */
static cl_object LC16stream_finish_output(cl_object V1)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_finish_output(1,V1)             /*  FINISH-OUTPUT   */;
	return value0;
}}
/*	local function STREAM-FINISH-OUTPUT                           */
static cl_object LC17stream_finish_output(cl_object V1)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-FINISH-OUTPUT",1546)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-FORCE-OUTPUT                            */
static cl_object LC18stream_force_output(cl_object V1)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function STREAM-FORCE-OUTPUT                            */
static cl_object LC19stream_force_output(cl_object V1)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_force_output(1,V1)              /*  FORCE-OUTPUT    */;
	return value0;
}}
/*	local function STREAM-FORCE-OUTPUT                            */
static cl_object LC20stream_force_output(cl_object V1)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-FORCE-OUTPUT",1547)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-FRESH-LINE                              */
static cl_object LC21stream_fresh_line(cl_object V1)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_function_dispatch(cl_env_copy,ECL_SYM("STREAM-START-LINE-P",1558))(1,V1) /*  STREAM-START-LINE-P */)!=Cnil){
	goto L2;}
	(void)ecl_function_dispatch(cl_env_copy,ECL_SYM("STREAM-TERPRI",1559))(1,V1) /*  STREAM-TERPRI */;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function STREAM-FRESH-LINE                              */
static cl_object LC22stream_fresh_line(cl_object V1)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_fresh_line(1,ecl_symbol_value(VV[0])) /*  FRESH-LINE */;
	return value0;
}}
/*	local function INPUT-STREAM-P                                 */
static cl_object LC23input_stream_p(cl_object V1)
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function INPUT-STREAM-P                                 */
static cl_object LC24input_stream_p(cl_object V1)
{ VT25 VLEX25 CLSR25 STCK25
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function INPUT-STREAM-P                                 */
static cl_object LC25input_stream_p(cl_object V1)
{ VT26 VLEX26 CLSR26 STCK26
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_input_stream_p(V1)              /*  INPUT-STREAM-P  */;
	return value0;
}}
/*	local function INPUT-STREAM-P                                 */
static cl_object LC26input_stream_p(cl_object V1)
{ VT27 VLEX27 CLSR27 STCK27
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("INPUT-STREAM-P",1538)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-INTERACTIVE-P                           */
static cl_object LC27stream_interactive_p(cl_object V1)
{ VT28 VLEX28 CLSR28 STCK28
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_interactive_stream_p(V1)        /*  INTERACTIVE-STREAM-P */;
	return value0;
}}
/*	local function STREAM-INTERACTIVE-P                           */
static cl_object LC28stream_interactive_p(cl_object V1)
{ VT29 VLEX29 CLSR29 STCK29
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-INTERACTIVE-P",1549)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-LINE-COLUMN                             */
static cl_object LC29stream_line_column(cl_object V1)
{ VT30 VLEX30 CLSR30 STCK30
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function STREAM-LISTEN                                  */
static cl_object LC30stream_listen(cl_object V1)
{ VT31 VLEX31 CLSR31 STCK31
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  CHAR            */
	V2= ecl_function_dispatch(cl_env_copy,ECL_SYM("STREAM-READ-CHAR-NO-HANG",1555))(1,V1) /*  STREAM-READ-CHAR-NO-HANG */;
	if(!(CHARACTERP(V2))){
	goto L3;}
	(void)ecl_function_dispatch(cl_env_copy,ECL_SYM("STREAM-UNREAD-CHAR",1560))(2,V1,V2) /*  STREAM-UNREAD-CHAR */;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L3:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function STREAM-LISTEN                                  */
static cl_object LC31stream_listen(cl_object V1)
{ VT32 VLEX32 CLSR32 STCK32
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_listen(1,V1)                    /*  LISTEN          */;
	return value0;
}}
/*	local function STREAM-LISTEN                                  */
static cl_object LC32stream_listen(cl_object V1)
{ VT33 VLEX33 CLSR33 STCK33
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-LISTEN",1551)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function OPEN-STREAM-P                                  */
static cl_object LC33open_stream_p(cl_object V1)
{ VT34 VLEX34 CLSR34 STCK34
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_open_stream_p(V1)               /*  OPEN-STREAM-P   */;
	return value0;
}}
/*	local function OPEN-STREAM-P                                  */
static cl_object LC34open_stream_p(cl_object V1)
{ VT35 VLEX35 CLSR35 STCK35
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("OPEN-STREAM-P",1540)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function OUTPUT-STREAM-P                                */
static cl_object LC35output_stream_p(cl_object V1)
{ VT36 VLEX36 CLSR36 STCK36
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function OUTPUT-STREAM-P                                */
static cl_object LC36output_stream_p(cl_object V1)
{ VT37 VLEX37 CLSR37 STCK37
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function OUTPUT-STREAM-P                                */
static cl_object LC37output_stream_p(cl_object V1)
{ VT38 VLEX38 CLSR38 STCK38
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_output_stream_p(V1)             /*  OUTPUT-STREAM-P */;
	return value0;
}}
/*	local function OUTPUT-STREAM-P                                */
static cl_object LC38output_stream_p(cl_object V1)
{ VT39 VLEX39 CLSR39 STCK39
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("OUTPUT-STREAM-P",1539)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-PEEK-CHAR                               */
static cl_object LC39stream_peek_char(cl_object V1)
{ VT40 VLEX40 CLSR40 STCK40
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  CHAR            */
	V2= ecl_function_dispatch(cl_env_copy,ECL_SYM("STREAM-READ-CHAR",1554))(1,V1) /*  STREAM-READ-CHAR */;
	if((V2)==(ECL_SYM("EOF",1199))){
	goto L2;}
	(void)ecl_function_dispatch(cl_env_copy,ECL_SYM("STREAM-UNREAD-CHAR",1560))(2,V1,V2) /*  STREAM-UNREAD-CHAR */;
L2:;
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function STREAM-PEEK-CHAR                               */
static cl_object LC40stream_peek_char(cl_object V1)
{ VT41 VLEX41 CLSR41 STCK41
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_peek_char(1,V1)                 /*  PEEK-CHAR       */;
	return value0;
}}
/*	local function STREAM-PEEK-CHAR                               */
static cl_object LC41stream_peek_char(cl_object V1)
{ VT42 VLEX42 CLSR42 STCK42
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-PEEK-CHAR",1552)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-READ-BYTE                               */
static cl_object LC42stream_read_byte(cl_object V1)
{ VT43 VLEX43 CLSR43 STCK43
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_read_byte(1,V1)                 /*  READ-BYTE       */;
	return value0;
}}
/*	local function STREAM-READ-BYTE                               */
static cl_object LC43stream_read_byte(cl_object V1)
{ VT44 VLEX44 CLSR44 STCK44
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-READ-BYTE",1553)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-READ-CHAR                               */
static cl_object LC44stream_read_char(cl_object V1)
{ VT45 VLEX45 CLSR45 STCK45
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_read_char(1,V1)                 /*  READ-CHAR       */;
	return value0;
}}
/*	local function STREAM-READ-CHAR                               */
static cl_object LC45stream_read_char(cl_object V1)
{ VT46 VLEX46 CLSR46 STCK46
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-READ-CHAR",1554)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-UNREAD-CHAR                             */
static cl_object LC46stream_unread_char(cl_object V1, cl_object V2)
{ VT47 VLEX47 CLSR47 STCK47
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_unread_char(2,V1,V2)            /*  UNREAD-CHAR     */;
	return value0;
}}
/*	local function STREAM-UNREAD-CHAR                             */
static cl_object LC47stream_unread_char(cl_object V1, cl_object V2)
{ VT48 VLEX48 CLSR48 STCK48
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-UNREAD-CHAR",1560)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-READ-CHAR-NO-HANG                       */
static cl_object LC48stream_read_char_no_hang(cl_object V1)
{ VT49 VLEX49 CLSR49 STCK49
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_function_dispatch(cl_env_copy,ECL_SYM("STREAM-READ-CHAR",1554))(1,V1) /*  STREAM-READ-CHAR */;
	return value0;
}}
/*	local function STREAM-READ-CHAR-NO-HANG                       */
static cl_object LC49stream_read_char_no_hang(cl_object V1)
{ VT50 VLEX50 CLSR50 STCK50
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_read_char_no_hang(1,V1)         /*  READ-CHAR-NO-HANG */;
	return value0;
}}
/*	local function STREAM-READ-CHAR-NO-HANG                       */
static cl_object LC50stream_read_char_no_hang(cl_object V1)
{ VT51 VLEX51 CLSR51 STCK51
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-READ-CHAR-NO-HANG",1555)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-READ-LINE                               */
static cl_object LC51stream_read_line(cl_object V1)
{ VT52 VLEX52 CLSR52 STCK52
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  RES             */
	cl_object V3;                             /*  LEN             */
	cl_object V4;                             /*  INDEX           */
	V2= cl_make_string(1,MAKE_FIXNUM(80))     /*  MAKE-STRING     */;
	V3= MAKE_FIXNUM(80);
	V4= MAKE_FIXNUM(0);
L3:;
	{cl_object V5;                            /*  CH              */
	V5= ecl_function_dispatch(cl_env_copy,ECL_SYM("STREAM-READ-CHAR",1554))(1,V1) /*  STREAM-READ-CHAR */;
	if(!((V5)==(ECL_SYM("EOF",1199)))){
	goto L7;}
	if(!((ECL_ARRAYP(V2)? (void)0: FEtype_error_array(V2),ECL_ADJUSTABLE_ARRAY_P(V2)))){
	goto L11;}
	T0= cl_adjust_array(2,V2,V4)              /*  ADJUST-ARRAY    */;
	goto L9;
L11:;
	if((ecl_function_dispatch(cl_env_copy,VV[14])(1,V2) /*  SIMPLE-ARRAY-P */)==Cnil){
	goto L14;}
	{cl_object V6;
	T1= cl_array_element_type(V2)             /*  ARRAY-ELEMENT-TYPE */;
	V6= cl_make_array(3,V4,ECL_SYM("ELEMENT-TYPE",1195),T1) /*  MAKE-ARRAY */;
	{cl_object V7;
	V7= V4;
	if(FIXNUMP(V7)){
	goto L18;}
	{cl_object V8;
	V8= si_do_check_type(4,V7,ECL_SYM("FIXNUM",370),Cnil,VV[8]) /*  DO-CHECK-TYPE */;
	V4= V8;
	}
L18:;
	}
	{cl_fixnum V7;                            /*  I               */
	V7= 0;
	goto L27;
L26:;
	{cl_fixnum V8;
	V8= V7;
	{cl_object V9;
	V9= ecl_aref1(V2,V7);
	ecl_aset1(V6,V8,V9);
	}
	}
	V7= (V7)+1;
L27:;
	if(!(ecl_number_compare(MAKE_FIXNUM(V7),V4)<0)){
	goto L34;}
	goto L26;
L34:;
	goto L23;
	}
L23:;
	V2= V6;
	T0= V2;
	goto L9;
	}
L14:;
	if(!(ECL_VECTORP(V2))){
	goto L39;}
	(void)si_fill_pointer_set(V2,V4)          /*  FILL-POINTER-SET */;
	T0= V2;
	goto L9;
L39:;
	T1= cl_type_of(V2)                        /*  TYPE-OF         */;
	T0= cl_error(3,_ecl_static_31,V2,T1)      /*  ERROR           */;
L9:;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Ct;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
L7:;
	if(!(ecl_char_code(V5)==ecl_char_code(CODE_CHAR('\12')))){
	goto L42;}
	if(!((ECL_ARRAYP(V2)? (void)0: FEtype_error_array(V2),ECL_ADJUSTABLE_ARRAY_P(V2)))){
	goto L47;}
	T0= cl_adjust_array(2,V2,V4)              /*  ADJUST-ARRAY    */;
	goto L45;
L47:;
	if((ecl_function_dispatch(cl_env_copy,VV[14])(1,V2) /*  SIMPLE-ARRAY-P */)==Cnil){
	goto L50;}
	{cl_object V6;
	T1= cl_array_element_type(V2)             /*  ARRAY-ELEMENT-TYPE */;
	V6= cl_make_array(3,V4,ECL_SYM("ELEMENT-TYPE",1195),T1) /*  MAKE-ARRAY */;
	{cl_object V7;
	V7= V4;
	if(FIXNUMP(V7)){
	goto L54;}
	{cl_object V8;
	V8= si_do_check_type(4,V7,ECL_SYM("FIXNUM",370),Cnil,VV[8]) /*  DO-CHECK-TYPE */;
	V4= V8;
	}
L54:;
	}
	{cl_fixnum V7;                            /*  I               */
	V7= 0;
	goto L63;
L62:;
	{cl_fixnum V8;
	V8= V7;
	{cl_object V9;
	V9= ecl_aref1(V2,V7);
	ecl_aset1(V6,V8,V9);
	}
	}
	V7= (V7)+1;
L63:;
	if(!(ecl_number_compare(MAKE_FIXNUM(V7),V4)<0)){
	goto L70;}
	goto L62;
L70:;
	goto L59;
	}
L59:;
	V2= V6;
	T0= V2;
	goto L45;
	}
L50:;
	if(!(ECL_VECTORP(V2))){
	goto L75;}
	(void)si_fill_pointer_set(V2,V4)          /*  FILL-POINTER-SET */;
	T0= V2;
	goto L45;
L75:;
	T1= cl_type_of(V2)                        /*  TYPE-OF         */;
	T0= cl_error(3,_ecl_static_31,V2,T1)      /*  ERROR           */;
L45:;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Cnil;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
L42:;
	if(!(ecl_number_equalp(V4,V3))){
	goto L78;}
	V3= ecl_times(V3,MAKE_FIXNUM(2));
	{cl_object V6;                            /*  NEW             */
	V6= cl_make_string(1,V3)                  /*  MAKE-STRING     */;
	(void)cl_replace(2,V6,V2)                 /*  REPLACE         */;
	V2= V6;
	}
L78:;
	ecl_elt_set(V2,fixint(V4),V5);
	{cl_fixnum V6;
	V6= 1;
	V4= ecl_plus(V4,MAKE_FIXNUM(V6));
	}
	}
	goto L3;
	}
}}
/*	local function STREAM-READ-LINE                               */
static cl_object LC52stream_read_line(cl_object V1)
{ VT53 VLEX53 CLSR53 STCK53
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_read_line(1,V1)                 /*  READ-LINE       */;
	return value0;
}}
/*	local function STREAM-READ-LINE                               */
static cl_object LC53stream_read_line(cl_object V1)
{ VT54 VLEX54 CLSR54 STCK54
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-READ-LINE",1556)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-READ-SEQUENCE                           */
static cl_object LC54stream_read_sequence(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT55 VLEX55 CLSR55 STCK55
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<2) FEwrong_num_arguments_anonym();
	if(narg>4) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V2);{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=si_do_read_sequence(V2,V1,V3,V4)   /*  DO-READ-SEQUENCE */;
	return value0;
}}
/*	local function STREAM-READ-SEQUENCE                           */
static cl_object LC55stream_read_sequence(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT56 VLEX56 CLSR56 STCK56
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<2) FEwrong_num_arguments_anonym();
	if(narg>4) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V2);{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=si_do_read_sequence(V2,V1,V3,V4)   /*  DO-READ-SEQUENCE */;
	return value0;
}}
/*	local function STREAM-READ-SEQUENCE                           */
static cl_object LC56stream_read_sequence(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT57 VLEX57 CLSR57 STCK57
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<2) FEwrong_num_arguments_anonym();
	if(narg>4) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V2);{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=si_do_read_sequence(V1,V2,V3,V4)   /*  DO-READ-SEQUENCE */;
	return value0;
}}
/*	local function STREAM-READ-SEQUENCE                           */
static cl_object LC57stream_read_sequence(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT58 VLEX58 CLSR58 STCK58
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<2) FEwrong_num_arguments_anonym();
	if(narg>4) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V2);{int i=2;
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-READ-SEQUENCE",1557)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-START-LINE-P                            */
static cl_object LC58stream_start_line_p(cl_object V1)
{ VT59 VLEX59 CLSR59 STCK59
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,ECL_SYM("STREAM-LINE-COLUMN",1550))(1,V1) /*  STREAM-LINE-COLUMN */;
	value0=ecl_make_bool((T0)==(MAKE_FIXNUM(0))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function STREAM-FILE-POSITION                           */
static cl_object LC59stream_file_position(cl_narg narg, cl_object V1, ...)
{ VT60 VLEX60 CLSR60 STCK60
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<1) FEwrong_num_arguments_anonym();
	if(narg>2) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);{int i=1;
	if (i >= narg) {
	V2= Cnil;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_file_position(2,V1,V2)          /*  FILE-POSITION   */;
	return value0;
}}
/*	local function STREAM-FILE-POSITION                           */
static cl_object LC60stream_file_position(cl_narg narg, cl_object V1, ...)
{ VT61 VLEX61 CLSR61 STCK61
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<1) FEwrong_num_arguments_anonym();
	if(narg>2) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);{int i=1;
	if (i >= narg) {
	V2= Cnil;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function STREAMP                                        */
static cl_object LC61streamp(cl_object V1)
{ VT62 VLEX62 CLSR62 STCK62
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function STREAMP                                        */
static cl_object LC62streamp(cl_object V1)
{ VT63 VLEX63 CLSR63 STCK63
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function STREAM-WRITE-BYTE                              */
static cl_object LC63stream_write_byte(cl_object V1, cl_object V2)
{ VT64 VLEX64 CLSR64 STCK64
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_write_byte(V1,V2)               /*  WRITE-BYTE      */;
	return value0;
}}
/*	local function STREAM-WRITE-BYTE                              */
static cl_object LC64stream_write_byte(cl_object V1, cl_object V2)
{ VT65 VLEX65 CLSR65 STCK65
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-WRITE-BYTE",1561)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-WRITE-CHAR                              */
static cl_object LC65stream_write_char(cl_object V1, cl_object V2)
{ VT66 VLEX66 CLSR66 STCK66
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_write_char(2,V1,V2)             /*  WRITE-CHAR      */;
	return value0;
}}
/*	local function STREAM-WRITE-CHAR                              */
static cl_object LC66stream_write_char(cl_object V1, cl_object V2)
{ VT67 VLEX67 CLSR67 STCK67
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-WRITE-CHAR",1562)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-WRITE-SEQUENCE                          */
static cl_object LC67stream_write_sequence(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT68 VLEX68 CLSR68 STCK68
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<2) FEwrong_num_arguments_anonym();
	if(narg>4) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V2);{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=si_do_write_sequence(V2,V1,V3,V4)  /*  DO-WRITE-SEQUENCE */;
	return value0;
}}
/*	local function STREAM-WRITE-SEQUENCE                          */
static cl_object LC68stream_write_sequence(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT69 VLEX69 CLSR69 STCK69
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<2) FEwrong_num_arguments_anonym();
	if(narg>4) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V2);{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=si_do_write_sequence(V2,V1,V3,V4)  /*  DO-WRITE-SEQUENCE */;
	return value0;
}}
/*	local function STREAM-WRITE-SEQUENCE                          */
static cl_object LC69stream_write_sequence(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT70 VLEX70 CLSR70 STCK70
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<2) FEwrong_num_arguments_anonym();
	if(narg>4) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V2);{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=si_do_write_sequence(V2,V1,V3,V4)  /*  DO-WRITE-SEQUENCE */;
	return value0;
}}
/*	local function STREAM-WRITE-SEQUENCE                          */
static cl_object LC70stream_write_sequence(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT71 VLEX71 CLSR71 STCK71
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<2) FEwrong_num_arguments_anonym();
	if(narg>4) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V2);{int i=2;
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-WRITE-SEQUENCE",1563)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-WRITE-STRING                            */
static cl_object LC71stream_write_string(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT72 VLEX72 CLSR72 STCK72
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<2) FEwrong_num_arguments_anonym();
	if(narg>4) FEwrong_num_arguments_anonym();
	{
	cl_fixnum V3;
	cl_object V4;
	va_list args; va_start(args,V2);{int i=2;
	if (i >= narg) {
	V3= 0;
	} else {
	i++;
	V3= ecl_to_fixnum(va_arg(args,cl_object));
	}
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_fixnum V5;
	V5= V3;
	if(1){
	goto L5;}
	{cl_object V6;
	V6= si_do_check_type(4,MAKE_FIXNUM(V5),ECL_SYM("FIXNUM",370),Cnil,VV[9]) /*  DO-CHECK-TYPE */;
	V3= ecl_to_fixnum(V6);
	}
L5:;
	}
	{cl_object V5;
	V5= V2;
	if(ecl_stringp(V5)){
	goto L11;}
	{cl_object V6;
	V6= si_do_check_type(4,V5,ECL_SYM("STRING",803),Cnil,ECL_SYM("STRING",803)) /*  DO-CHECK-TYPE */;
	V2= V6;
	}
L11:;
	}
	{cl_fixnum V5;                            /*  END             */
	{cl_object V6;
	if((V4)==Cnil){
	goto L19;}
	V5= ecl_to_fixnum(V4);
	goto L17;
L19:;
	V5= ecl_length(V2);
	}
L17:;
	{cl_object V6;                            /*  POS             */
	V6= MAKE_FIXNUM(V3);
	goto L24;
L23:;
	T0= ecl_aref1(V2,fixint(V6));
	(void)ecl_function_dispatch(cl_env_copy,ECL_SYM("STREAM-WRITE-CHAR",1562))(2,V1,T0) /*  STREAM-WRITE-CHAR */;
	V6= ecl_one_plus(V6);
L24:;
	if(ecl_number_compare(V6,MAKE_FIXNUM(V5))>=0){
	goto L29;}
	goto L23;
L29:;
	goto L21;
L21:;
	}
	}
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function STREAM-WRITE-STRING                            */
static cl_object LC72stream_write_string(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT73 VLEX73 CLSR73 STCK73
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<2) FEwrong_num_arguments_anonym();
	if(narg>4) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V2);{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_write_string(6,V2,V1,ECL_SYM("START",1277),V3,ECL_SYM("END",1196),V4) /*  WRITE-STRING */;
	return value0;
}}
/*	local function STREAM-WRITE-STRING                            */
static cl_object LC73stream_write_string(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT74 VLEX74 CLSR74 STCK74
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<2) FEwrong_num_arguments_anonym();
	if(narg>4) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V2);{int i=2;
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-WRITE-STRING",1564)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-TERPRI                                  */
static cl_object LC74stream_terpri(cl_object V1)
{ VT75 VLEX75 CLSR75 STCK75
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_function_dispatch(cl_env_copy,ECL_SYM("STREAM-WRITE-CHAR",1562))(2,V1,CODE_CHAR('\12')) /*  STREAM-WRITE-CHAR */;
	return value0;
}}
/*	local function STREAM-TERPRI                                  */
static cl_object LC75stream_terpri(cl_object V1)
{ VT76 VLEX76 CLSR76 STCK76
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_terpri(V1); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function STREAM-TERPRI                                  */
static cl_object LC76stream_terpri(cl_object V1)
{ VT77 VLEX77 CLSR77 STCK77
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-TERPRI",1559)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	function definition for REDEFINE-CL-FUNCTIONS                 */
static cl_object L77redefine_cl_functions()
{ VT78 VLEX78 CLSR78 STCK78
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;                            /*  X               */
	V1= si_package_lock(_ecl_static_32,Cnil)  /*  PACKAGE-LOCK    */;
	{cl_object V2;                            /*  CL-SYMBOL       */
	cl_object V3;
	V2= Cnil;
	V3= VV[10];
	{cl_object V4;                            /*  GRAY-PACKAGE    */
	V4= cl_find_package(_ecl_static_0)        /*  FIND-PACKAGE    */;
L5:;
	V2= cl_car(V3)                            /*  CAR             */;
	V3= cl_cdr(V3)                            /*  CDR             */;
	T0= cl_fdefinition(V2)                    /*  FDEFINITION     */;
	if((si_of_class_p(2,T0,ECL_SYM("GENERIC-FUNCTION",943)) /*  OF-CLASS-P */)!=Cnil){
	goto L11;}
	{cl_object V5;                            /*  GRAY-SYMBOL     */
	T0= ecl_symbol_name(V2);
	V5= cl_find_symbol(2,T0,V4)               /*  FIND-SYMBOL     */;
	T0= cl_fdefinition(V5)                    /*  FDEFINITION     */;
	(void)si_fset(4,V2,T0,Cnil,Cnil)          /*  FSET            */;
	(void)cl_unintern(2,V5,V4)                /*  UNINTERN        */;
	(void)cl_import(2,V2,V4)                  /*  IMPORT          */;
	(void)cl_export(2,V2,V4)                  /*  EXPORT          */;
	}
L11:;
	if(!(ecl_endp(V3))){
	goto L18;}
	goto L6;
L18:;
	goto L5;
L6:;
	goto L2;
	}
	}
L2:;
	(void)si_package_lock(_ecl_static_32,V1)  /*  PACKAGE-LOCK    */;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
	
#include "/home/mandrake/rpm/BUILD/ecl-9.12.3/build/clos/streams.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecloGV9pasAWHMtW_eTaCsAz(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (!FIXNUMP(flag)){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("/home/mandrake/rpm/BUILD/ecl-9.12.3/src/clos/streams.lsp");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_ecloGV9pasAWHMtW_eTaCsAz@";
	VVtemp = Cblock->cblock.temp_data;
	(void)si_select_package(_ecl_static_0)    /*  SELECT-PACKAGE  */;
	(void)cl_import(1,VV[0])                  /*  IMPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-ADVANCE-TO-COLUMN",1541),VV[1],Ct,ECL_SYM("LAMBDA-LIST",988),VVtemp[0],ECL_SYM("DOCUMENTATION",1193),_ecl_static_1) /*  ENSURE-GENERIC-FUNCTION */;
	(void)(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-CLEAR-INPUT",1542),VV[1],Ct,ECL_SYM("LAMBDA-LIST",988),VVtemp[1],ECL_SYM("DOCUMENTATION",1193),_ecl_static_2) /*  ENSURE-GENERIC-FUNCTION */;
	(void)(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-CLEAR-OUTPUT",1543),VV[1],Ct,ECL_SYM("LAMBDA-LIST",988),VVtemp[1],ECL_SYM("DOCUMENTATION",1193),_ecl_static_3) /*  ENSURE-GENERIC-FUNCTION */;
	(void)(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("CLOSE",1536),VV[1],Ct,ECL_SYM("LAMBDA-LIST",988),VVtemp[2],ECL_SYM("DOCUMENTATION",1193),_ecl_static_4) /*  ENSURE-GENERIC-FUNCTION */;
	(void)(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-ELEMENT-TYPE",1544),VV[1],Ct,ECL_SYM("LAMBDA-LIST",988),VVtemp[1],ECL_SYM("DOCUMENTATION",1193),_ecl_static_5) /*  ENSURE-GENERIC-FUNCTION */;
	(void)(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-FINISH-OUTPUT",1546),VV[1],Ct,ECL_SYM("LAMBDA-LIST",988),VVtemp[1],ECL_SYM("DOCUMENTATION",1193),_ecl_static_6) /*  ENSURE-GENERIC-FUNCTION */;
	(void)(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-FORCE-OUTPUT",1547),VV[1],Ct,ECL_SYM("LAMBDA-LIST",988),VVtemp[1],ECL_SYM("DOCUMENTATION",1193),_ecl_static_7) /*  ENSURE-GENERIC-FUNCTION */;
	(void)(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-FRESH-LINE",1548),VV[1],Ct,ECL_SYM("LAMBDA-LIST",988),VVtemp[1],ECL_SYM("DOCUMENTATION",1193),_ecl_static_8) /*  ENSURE-GENERIC-FUNCTION */;
	(void)(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("INPUT-STREAM-P",1538),VV[1],Ct,ECL_SYM("LAMBDA-LIST",988),VVtemp[1],ECL_SYM("DOCUMENTATION",1193),_ecl_static_9) /*  ENSURE-GENERIC-FUNCTION */;
	(void)(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,VV[2],VV[1],Ct,ECL_SYM("LAMBDA-LIST",988),VVtemp[1],ECL_SYM("DOCUMENTATION",1193),_ecl_static_10) /*  ENSURE-GENERIC-FUNCTION */;
	(void)(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-INTERACTIVE-P",1549),VV[1],Ct,ECL_SYM("LAMBDA-LIST",988),VVtemp[1],ECL_SYM("DOCUMENTATION",1193),_ecl_static_11) /*  ENSURE-GENERIC-FUNCTION */;
	(void)(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-LINE-COLUMN",1550),VV[1],Ct,ECL_SYM("LAMBDA-LIST",988),VVtemp[1],ECL_SYM("DOCUMENTATION",1193),_ecl_static_12) /*  ENSURE-GENERIC-FUNCTION */;
	(void)(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(5,ECL_SYM("STREAM-LISTEN",1551),VV[1],Ct,ECL_SYM("LAMBDA-LIST",988),VVtemp[1]) /*  ENSURE-GENERIC-FUNCTION */;
	(void)(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("OPEN-STREAM-P",1540),VV[1],Ct,ECL_SYM("LAMBDA-LIST",988),VVtemp[1],ECL_SYM("DOCUMENTATION",1193),_ecl_static_13) /*  ENSURE-GENERIC-FUNCTION */;
	(void)(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("OUTPUT-STREAM-P",1539),VV[1],Ct,ECL_SYM("LAMBDA-LIST",988),VVtemp[1],ECL_SYM("DOCUMENTATION",1193),_ecl_static_14) /*  ENSURE-GENERIC-FUNCTION */;
	(void)(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-PEEK-CHAR",1552),VV[1],Ct,ECL_SYM("LAMBDA-LIST",988),VVtemp[1],ECL_SYM("DOCUMENTATION",1193),_ecl_static_15) /*  ENSURE-GENERIC-FUNCTION */;
	(void)(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-READ-BYTE",1553),VV[1],Ct,ECL_SYM("LAMBDA-LIST",988),VVtemp[1],ECL_SYM("DOCUMENTATION",1193),_ecl_static_16) /*  ENSURE-GENERIC-FUNCTION */;
	(void)(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-READ-CHAR",1554),VV[1],Ct,ECL_SYM("LAMBDA-LIST",988),VVtemp[1],ECL_SYM("DOCUMENTATION",1193),_ecl_static_17) /*  ENSURE-GENERIC-FUNCTION */;
	(void)(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-READ-CHAR-NO-HANG",1555),VV[1],Ct,ECL_SYM("LAMBDA-LIST",988),VVtemp[1],ECL_SYM("DOCUMENTATION",1193),_ecl_static_18) /*  ENSURE-GENERIC-FUNCTION */;
	(void)(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-READ-LINE",1556),VV[1],Ct,ECL_SYM("LAMBDA-LIST",988),VVtemp[1],ECL_SYM("DOCUMENTATION",1193),_ecl_static_19) /*  ENSURE-GENERIC-FUNCTION */;
	(void)(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-READ-SEQUENCE",1557),VV[1],Ct,ECL_SYM("LAMBDA-LIST",988),VVtemp[3],ECL_SYM("DOCUMENTATION",1193),_ecl_static_20) /*  ENSURE-GENERIC-FUNCTION */;
	(void)(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-START-LINE-P",1558),VV[1],Ct,ECL_SYM("LAMBDA-LIST",988),VVtemp[1],ECL_SYM("DOCUMENTATION",1193),_ecl_static_21) /*  ENSURE-GENERIC-FUNCTION */;
	(void)(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-TERPRI",1559),VV[1],Ct,ECL_SYM("LAMBDA-LIST",988),VVtemp[1],ECL_SYM("DOCUMENTATION",1193),_ecl_static_22) /*  ENSURE-GENERIC-FUNCTION */;
	(void)(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-UNREAD-CHAR",1560),VV[1],Ct,ECL_SYM("LAMBDA-LIST",988),VVtemp[4],ECL_SYM("DOCUMENTATION",1193),_ecl_static_23) /*  ENSURE-GENERIC-FUNCTION */;
	(void)(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-WRITE-BYTE",1561),VV[1],Ct,ECL_SYM("LAMBDA-LIST",988),VVtemp[5],ECL_SYM("DOCUMENTATION",1193),_ecl_static_24) /*  ENSURE-GENERIC-FUNCTION */;
	(void)(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-WRITE-CHAR",1562),VV[1],Ct,ECL_SYM("LAMBDA-LIST",988),VVtemp[4],ECL_SYM("DOCUMENTATION",1193),_ecl_static_25) /*  ENSURE-GENERIC-FUNCTION */;
	(void)(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-WRITE-STRING",1564),VV[1],Ct,ECL_SYM("LAMBDA-LIST",988),VVtemp[6],ECL_SYM("DOCUMENTATION",1193),_ecl_static_26) /*  ENSURE-GENERIC-FUNCTION */;
	(void)(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-WRITE-SEQUENCE",1563),VV[1],Ct,ECL_SYM("LAMBDA-LIST",988),VVtemp[3],ECL_SYM("DOCUMENTATION",1193),_ecl_static_27) /*  ENSURE-GENERIC-FUNCTION */;
	(void)(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-FILE-POSITION",1545),VV[1],Ct,ECL_SYM("LAMBDA-LIST",988),VVtemp[7],ECL_SYM("DOCUMENTATION",1193),_ecl_static_28) /*  ENSURE-GENERIC-FUNCTION */;
	T0= cl_list(10,VV[3],ECL_SYM("CONSTANTLY-T",1602),VV[4],VVtemp[9],VV[5],VVtemp[10],VV[6],Ct,ECL_SYM("NAME",1241),VV[7]) /*  LIST */;
	T1= ecl_list1(T0);
	(void)clos_ensure_class(7,ECL_SYM("FUNDAMENTAL-STREAM",1565),ECL_SYM("DIRECT-SUPERCLASSES",986),VVtemp[8],ECL_SYM("DIRECT-SLOTS",985),T1,ECL_SYM("DOCUMENTATION",1193),_ecl_static_29) /*  ENSURE-CLASS */;
	(void)clos_ensure_class(5,ECL_SYM("FUNDAMENTAL-INPUT-STREAM",1566),ECL_SYM("DIRECT-SUPERCLASSES",986),VVtemp[11],ECL_SYM("DIRECT-SLOTS",985),Cnil) /*  ENSURE-CLASS */;
	(void)clos_ensure_class(5,ECL_SYM("FUNDAMENTAL-OUTPUT-STREAM",1567),ECL_SYM("DIRECT-SUPERCLASSES",986),VVtemp[11],ECL_SYM("DIRECT-SLOTS",985),Cnil) /*  ENSURE-CLASS */;
	(void)clos_ensure_class(5,ECL_SYM("FUNDAMENTAL-CHARACTER-STREAM",1568),ECL_SYM("DIRECT-SUPERCLASSES",986),VVtemp[11],ECL_SYM("DIRECT-SLOTS",985),Cnil) /*  ENSURE-CLASS */;
	(void)clos_ensure_class(5,ECL_SYM("FUNDAMENTAL-BINARY-STREAM",1569),ECL_SYM("DIRECT-SUPERCLASSES",986),VVtemp[11],ECL_SYM("DIRECT-SLOTS",985),Cnil) /*  ENSURE-CLASS */;
	(void)clos_ensure_class(5,ECL_SYM("FUNDAMENTAL-CHARACTER-INPUT-STREAM",1570),ECL_SYM("DIRECT-SUPERCLASSES",986),VVtemp[12],ECL_SYM("DIRECT-SLOTS",985),Cnil) /*  ENSURE-CLASS */;
	(void)clos_ensure_class(5,ECL_SYM("FUNDAMENTAL-CHARACTER-OUTPUT-STREAM",1571),ECL_SYM("DIRECT-SUPERCLASSES",986),VVtemp[13],ECL_SYM("DIRECT-SLOTS",985),Cnil) /*  ENSURE-CLASS */;
	(void)clos_ensure_class(5,ECL_SYM("FUNDAMENTAL-BINARY-INPUT-STREAM",1572),ECL_SYM("DIRECT-SUPERCLASSES",986),VVtemp[14],ECL_SYM("DIRECT-SLOTS",985),Cnil) /*  ENSURE-CLASS */;
	(void)clos_ensure_class(5,ECL_SYM("FUNDAMENTAL-BINARY-OUTPUT-STREAM",1573),ECL_SYM("DIRECT-SUPERCLASSES",986),VVtemp[15],ECL_SYM("DIRECT-SLOTS",985),Cnil) /*  ENSURE-CLASS */;
	(void)0; /* No entry created for BUG-OR-ERROR */
	T0= ecl_make_cfun((cl_objectfn_fixed)LC2stream_advance_to_column,Cnil,Cblock,2);
	(void)clos_install_method(7,ECL_SYM("STREAM-ADVANCE-TO-COLUMN",1541),Cnil,VVtemp[16],VVtemp[0],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC3stream_clear_input,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-CLEAR-INPUT",1542),Cnil,VVtemp[17],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC4stream_clear_input,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-CLEAR-INPUT",1542),Cnil,VVtemp[18],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC5stream_clear_input,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-CLEAR-INPUT",1542),Cnil,VVtemp[19],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC6stream_clear_output,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-CLEAR-OUTPUT",1543),Cnil,VVtemp[20],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC7stream_clear_output,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-CLEAR-OUTPUT",1543),Cnil,VVtemp[18],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC8stream_clear_output,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-CLEAR-OUTPUT",1543),Cnil,VVtemp[19],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC9close,Cnil,Cblock);
	(void)clos_install_method(7,ECL_SYM("CLOSE",1536),Cnil,VVtemp[11],VVtemp[2],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC10close,Cnil,Cblock);
	(void)clos_install_method(7,ECL_SYM("CLOSE",1536),Cnil,VVtemp[18],VVtemp[2],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC11close,Cnil,Cblock);
	(void)clos_install_method(7,ECL_SYM("CLOSE",1536),Cnil,VVtemp[19],VVtemp[2],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC12stream_element_type,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-ELEMENT-TYPE",1544),Cnil,VVtemp[21],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC13stream_element_type,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-ELEMENT-TYPE",1544),Cnil,VVtemp[18],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC14stream_element_type,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-ELEMENT-TYPE",1544),Cnil,VVtemp[19],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC15stream_finish_output,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-FINISH-OUTPUT",1546),Cnil,VVtemp[20],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC16stream_finish_output,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-FINISH-OUTPUT",1546),Cnil,VVtemp[18],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC17stream_finish_output,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-FINISH-OUTPUT",1546),Cnil,VVtemp[19],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC18stream_force_output,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-FORCE-OUTPUT",1547),Cnil,VVtemp[20],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC19stream_force_output,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-FORCE-OUTPUT",1547),Cnil,VVtemp[18],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC20stream_force_output,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-FORCE-OUTPUT",1547),Cnil,VVtemp[19],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC21stream_fresh_line,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-FRESH-LINE",1548),Cnil,VVtemp[22],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC22stream_fresh_line,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-FRESH-LINE",1548),Cnil,VVtemp[18],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC23input_stream_p,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("INPUT-STREAM-P",1538),Cnil,VVtemp[11],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC24input_stream_p,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("INPUT-STREAM-P",1538),Cnil,VVtemp[23],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC25input_stream_p,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("INPUT-STREAM-P",1538),Cnil,VVtemp[18],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC26input_stream_p,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("INPUT-STREAM-P",1538),Cnil,VVtemp[19],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC27stream_interactive_p,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-INTERACTIVE-P",1549),Cnil,VVtemp[18],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC28stream_interactive_p,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-INTERACTIVE-P",1549),Cnil,VVtemp[19],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC29stream_line_column,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-LINE-COLUMN",1550),Cnil,VVtemp[22],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC30stream_listen,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-LISTEN",1551),Cnil,VVtemp[17],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC31stream_listen,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-LISTEN",1551),Cnil,VVtemp[18],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC32stream_listen,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-LISTEN",1551),Cnil,VVtemp[19],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC33open_stream_p,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("OPEN-STREAM-P",1540),Cnil,VVtemp[18],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC34open_stream_p,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("OPEN-STREAM-P",1540),Cnil,VVtemp[19],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC35output_stream_p,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("OUTPUT-STREAM-P",1539),Cnil,VVtemp[11],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC36output_stream_p,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("OUTPUT-STREAM-P",1539),Cnil,VVtemp[20],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC37output_stream_p,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("OUTPUT-STREAM-P",1539),Cnil,VVtemp[18],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC38output_stream_p,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("OUTPUT-STREAM-P",1539),Cnil,VVtemp[19],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC39stream_peek_char,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-PEEK-CHAR",1552),Cnil,VVtemp[17],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC40stream_peek_char,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-PEEK-CHAR",1552),Cnil,VVtemp[18],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC41stream_peek_char,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-PEEK-CHAR",1552),Cnil,VVtemp[19],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC42stream_read_byte,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-READ-BYTE",1553),Cnil,VVtemp[18],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC43stream_read_byte,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-READ-BYTE",1553),Cnil,VVtemp[19],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC44stream_read_char,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-READ-CHAR",1554),Cnil,VVtemp[18],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC45stream_read_char,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-READ-CHAR",1554),Cnil,VVtemp[19],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC46stream_unread_char,Cnil,Cblock,2);
	(void)clos_install_method(7,ECL_SYM("STREAM-UNREAD-CHAR",1560),Cnil,VVtemp[24],VVtemp[4],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC47stream_unread_char,Cnil,Cblock,2);
	(void)clos_install_method(7,ECL_SYM("STREAM-UNREAD-CHAR",1560),Cnil,VVtemp[24],VVtemp[4],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC48stream_read_char_no_hang,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-READ-CHAR-NO-HANG",1555),Cnil,VVtemp[17],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC49stream_read_char_no_hang,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-READ-CHAR-NO-HANG",1555),Cnil,VVtemp[18],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC50stream_read_char_no_hang,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-READ-CHAR-NO-HANG",1555),Cnil,VVtemp[19],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC51stream_read_line,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-READ-LINE",1556),Cnil,VVtemp[17],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC52stream_read_line,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-READ-LINE",1556),Cnil,VVtemp[18],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC53stream_read_line,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-READ-LINE",1556),Cnil,VVtemp[19],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC54stream_read_sequence,Cnil,Cblock);
	(void)clos_install_method(7,ECL_SYM("STREAM-READ-SEQUENCE",1557),Cnil,VVtemp[25],VVtemp[26],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC55stream_read_sequence,Cnil,Cblock);
	(void)clos_install_method(7,ECL_SYM("STREAM-READ-SEQUENCE",1557),Cnil,VVtemp[27],VVtemp[26],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC56stream_read_sequence,Cnil,Cblock);
	(void)clos_install_method(7,ECL_SYM("STREAM-READ-SEQUENCE",1557),Cnil,VVtemp[24],VVtemp[26],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC57stream_read_sequence,Cnil,Cblock);
	(void)clos_install_method(7,ECL_SYM("STREAM-READ-SEQUENCE",1557),Cnil,VVtemp[28],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC58stream_start_line_p,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-START-LINE-P",1558),Cnil,VVtemp[22],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC59stream_file_position,Cnil,Cblock);
	(void)clos_install_method(7,ECL_SYM("STREAM-FILE-POSITION",1545),Cnil,VVtemp[18],VVtemp[7],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC60stream_file_position,Cnil,Cblock);
	(void)clos_install_method(7,ECL_SYM("STREAM-FILE-POSITION",1545),Cnil,VVtemp[19],VVtemp[7],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC61streamp,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAMP",1537),Cnil,VVtemp[1],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC62streamp,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAMP",1537),Cnil,VVtemp[19],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC63stream_write_byte,Cnil,Cblock,2);
	(void)clos_install_method(7,ECL_SYM("STREAM-WRITE-BYTE",1561),Cnil,VVtemp[24],VVtemp[5],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC64stream_write_byte,Cnil,Cblock,2);
	(void)clos_install_method(7,ECL_SYM("STREAM-WRITE-BYTE",1561),Cnil,VVtemp[28],VVtemp[5],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC65stream_write_char,Cnil,Cblock,2);
	(void)clos_install_method(7,ECL_SYM("STREAM-WRITE-CHAR",1562),Cnil,VVtemp[24],VVtemp[4],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC66stream_write_char,Cnil,Cblock,2);
	(void)clos_install_method(7,ECL_SYM("STREAM-WRITE-CHAR",1562),Cnil,VVtemp[28],VVtemp[4],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC67stream_write_sequence,Cnil,Cblock);
	(void)clos_install_method(7,ECL_SYM("STREAM-WRITE-SEQUENCE",1563),Cnil,VVtemp[16],VVtemp[29],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC68stream_write_sequence,Cnil,Cblock);
	(void)clos_install_method(7,ECL_SYM("STREAM-WRITE-SEQUENCE",1563),Cnil,VVtemp[30],VVtemp[29],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC69stream_write_sequence,Cnil,Cblock);
	(void)clos_install_method(7,ECL_SYM("STREAM-WRITE-SEQUENCE",1563),Cnil,VVtemp[24],VVtemp[29],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC70stream_write_sequence,Cnil,Cblock);
	(void)clos_install_method(7,ECL_SYM("STREAM-WRITE-SEQUENCE",1563),Cnil,VVtemp[28],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC71stream_write_string,Cnil,Cblock);
	(void)clos_install_method(7,ECL_SYM("STREAM-WRITE-STRING",1564),Cnil,VVtemp[16],VVtemp[31],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC72stream_write_string,Cnil,Cblock);
	(void)clos_install_method(7,ECL_SYM("STREAM-WRITE-STRING",1564),Cnil,VVtemp[24],VVtemp[31],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC73stream_write_string,Cnil,Cblock);
	(void)clos_install_method(7,ECL_SYM("STREAM-WRITE-STRING",1564),Cnil,VVtemp[28],VVtemp[6],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC74stream_terpri,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-TERPRI",1559),Cnil,VVtemp[22],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC75stream_terpri,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-TERPRI",1559),Cnil,VVtemp[18],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC76stream_terpri,Cnil,Cblock,1);
	(void)clos_install_method(7,ECL_SYM("STREAM-TERPRI",1559),Cnil,VVtemp[19],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	{cl_object V1;                            /*  P               */
	V1= cl_find_package(_ecl_static_0)        /*  FIND-PACKAGE    */;
	(void)cl_export(2,VVtemp[32],V1)          /*  EXPORT          */;
	{cl_object V2;
	cl_object V3;
	cl_object V4;                             /*  S               */
	T0= cl_find_package(_ecl_static_32)       /*  FIND-PACKAGE    */;
	V2= si_packages_iterator(3,T0,VVtemp[33],Ct) /*  PACKAGES-ITERATOR */;
	V3= Cnil;
	V4= Cnil;
	goto L204;
L203:;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,V2)(0);
	{int V5=cl_env_copy->nvalues-0;
	if (V5--<=0) goto L208;
	V3= cl_env_copy->values[0];
	if (V5--<=0) goto L209;
	V4= cl_env_copy->values[1];
	goto L210;}
L208:;
	V3= Cnil;
L209:;
	V4= Cnil;
L210:;
	if((V3)!=Cnil){
	goto L211;}
	goto L195;
L211:;
	if((ecl_memql(V4,VVtemp[34]))!=Cnil){
	goto L214;}
	(void)cl_export(2,V4,V1)                  /*  EXPORT          */;
L214:;
L204:;
	goto L203;
	}
	}
L195:;
	ecl_cmp_defun(VV[15]);
}
