/*	Compiler: ECL 9.12.3                                          */
/*	Source: src:clx;resource.lisp                                 */
#include <ecl/ecl-cmp.h>
#include "/home/mandrake/rpm/BUILD/ecl-9.12.3/build/clx/resource.h"
/*	function definition for MAKE-RESOURCE-DATABASE-INTERNAL       */
static cl_object L1make_resource_database_internal(cl_narg narg, ...)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	{ cl_object keyvars[8];
	cl_parse_key(args,4,L1make_resource_database_internalkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V1= keyvars[0];
	V2= keyvars[1];
	V3= keyvars[2];
	V4= keyvars[3];
	}
	if(LISTP(V4)){
	goto L1;}
	(void)si_structure_type_error(4,V4,ECL_SYM("LIST",479),VV[0],VV[2]) /*  STRUCTURE-TYPE-ERROR */;
L1:;
	if(LISTP(V3)){
	goto L4;}
	(void)si_structure_type_error(4,V3,ECL_SYM("LIST",479),VV[0],VV[3]) /*  STRUCTURE-TYPE-ERROR */;
L4:;
	if((cl_typep(2,V1,VV[4])                  /*  TYPEP           */)!=Cnil){
	goto L7;}
	(void)si_structure_type_error(4,V1,VV[4],VV[0],VV[5]) /*  STRUCTURE-TYPE-ERROR */;
L7:;
	value0=si_make_structure(5,VV[6],V1,V2,V3,V4) /*  MAKE-STRUCTURE */;
	return value0;
}}
/*	function definition for PRINT-RESOURCE-DATABASE               */
static cl_object L3print_resource_database(cl_object V1, cl_object V2, cl_object V3)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	env0 = Cnil;
	CLV0=env0=CONS(V1,env0);                  /*  DATABASE        */
	CLV1=env0=CONS(V2,env0);                  /*  STREAM          */
	{cl_object V4;
	V4= ECL_CONS_CAR(CLV0);
	if((cl_typep(2,V4,VV[0])                  /*  TYPEP           */)!=Cnil){
	goto L2;}
	{cl_object V5;
	V5= si_do_check_type(4,V4,VV[0],Cnil,VV[8]) /*  DO-CHECK-TYPE */;
	ECL_CONS_CAR(CLV0)= V5;
	}
L2:;
	}
	{ cl_object V4;
	V4= Cnil;
	V4= ecl_make_cclosure_va((cl_objectfn)LC2si___print_unreadable_object_body_,env0,Cblock);
	value0=ecl_function_dispatch(cl_env_copy,VV[88])(5,ECL_CONS_CAR(CLV0),ECL_CONS_CAR(CLV1),Ct,Cnil,V4) /*  PRINT-UNREADABLE-OBJECT-FUNCTION */;
	return value0;
	}
}}
/*	closure .PRINT-UNREADABLE-OBJECT-BODY.                        */
static cl_object LC2si___print_unreadable_object_body_(cl_narg narg, ...)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV1=env0;                                /*  STREAM          */
	CLV0=CDR(CLV1);
	{ /* ... closure scanning finished */
	if(narg!=0) FEwrong_num_arguments_anonym();
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[89])(1,ECL_CONS_CAR(CLV0)) /*  RESOURCE-DATABASE-NAME */;
	T1= cl_string(T0)                         /*  STRING          */;
	(void)cl_write_string(2,T1,ECL_CONS_CAR(CLV1)) /*  WRITE-STRING */;
	if((ecl_function_dispatch(cl_env_copy,VV[90])(1,ECL_CONS_CAR(CLV0)) /*  RESOURCE-DATABASE-VALUE */)==Cnil){
	goto L3;}
	(void)cl_write_string(2,_ecl_static_2,ECL_CONS_CAR(CLV1)) /*  WRITE-STRING */;
	T0= ecl_function_dispatch(cl_env_copy,VV[90])(1,ECL_CONS_CAR(CLV0)) /*  RESOURCE-DATABASE-VALUE */;
	value0=ecl_prin1(T0,ECL_CONS_CAR(CLV1)); cl_env_copy->nvalues=1;
	return value0;
L3:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}}
/*	function definition for MAKE-RESOURCE-DATABASE                */
static cl_object L4make_resource_database()
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1make_resource_database_internal(4,ECL_SYM("NAME",1241),_ecl_static_3,VV[10],MAKE_FIXNUM(0)) /*  MAKE-RESOURCE-DATABASE-INTERNAL */;
	return value0;
}}
/*	function definition for RESOURCE-DATABASE-TIMESTAMP           */
static cl_object L5resource_database_timestamp(cl_object V1)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;
	V2= V1;
	if((cl_typep(2,V2,VV[0])                  /*  TYPEP           */)!=Cnil){
	goto L2;}
	{cl_object V3;
	V3= si_do_check_type(4,V2,VV[0],Cnil,VV[8]) /*  DO-CHECK-TYPE */;
	V1= V3;
	}
L2:;
	}
	value0=ecl_function_dispatch(cl_env_copy,VV[90])(1,V1) /*  RESOURCE-DATABASE-VALUE */;
	return value0;
}}
/*	function definition for INCF-RESOURCE-DATABASE-TIMESTAMP      */
static cl_object L6incf_resource_database_timestamp(cl_object V1)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;
	V2= V1;
	if((cl_typep(2,V2,VV[0])                  /*  TYPEP           */)!=Cnil){
	goto L2;}
	{cl_object V3;
	V3= si_do_check_type(4,V2,VV[0],Cnil,VV[8]) /*  DO-CHECK-TYPE */;
	V1= V3;
	}
L2:;
	}
	{cl_object V2;                            /*  TIMESTAMP       */
	V2= ecl_function_dispatch(cl_env_copy,VV[90])(1,V1) /*  RESOURCE-DATABASE-VALUE */;
	{cl_object V3;
	if(!(ecl_number_equalp(V2,MAKE_FIXNUM(2305843009213693951)))){
	goto L10;}
	V3= MAKE_FIXNUM(-2305843009213693952);
	goto L8;
L10:;
	V3= ecl_one_plus(V2);
L8:;
	value0=si_structure_set(V1,VV[0],MAKE_FIXNUM(1),V3) /*  STRUCTURE-SET */;
	return value0;
	}
	}
}}
/*	function definition for PRINT-DB                              */
static cl_object L7print_db(cl_narg narg, cl_object V1, ...)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<1) FEwrong_num_arguments_anonym();
	if(narg>3) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	va_list args; va_start(args,V1);{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	T0= ecl_function_dispatch(cl_env_copy,VV[89])(1,V1) /*  RESOURCE-DATABASE-NAME */;
	T1= ecl_make_bool((V3)==(VV[2]));
	T2= ecl_function_dispatch(cl_env_copy,VV[90])(1,V1) /*  RESOURCE-DATABASE-VALUE */;
	(void)cl_format(6,Ct,_ecl_static_4,V2,T0,T1,T2) /*  FORMAT    */;
	if((ecl_function_dispatch(cl_env_copy,VV[95])(1,V1) /*  RESOURCE-DATABASE-TIGHT */)==Cnil){
	goto L4;}
	{cl_object V4;
	cl_object V5;                             /*  TIGHT           */
	V4= ecl_function_dispatch(cl_env_copy,VV[95])(1,V1) /*  RESOURCE-DATABASE-TIGHT */;
	V5= Cnil;
	goto L12;
L11:;
	V5= cl_first(V4)                          /*  FIRST           */;
	T0= ecl_plus(MAKE_FIXNUM(2),V2);
	(void)L7print_db(3,V5,T0,VV[3])           /*  PRINT-DB        */;
	V4= cl_rest(V4)                           /*  REST            */;
L12:;
	if((V4)==Cnil){
	goto L19;}
	goto L11;
L19:;
	goto L9;
L9:;
	}
L4:;
	if((ecl_function_dispatch(cl_env_copy,VV[96])(1,V1) /*  RESOURCE-DATABASE-LOOSE */)==Cnil){
	goto L24;}
	{cl_object V4;
	cl_object V5;                             /*  LOOSE           */
	V4= ecl_function_dispatch(cl_env_copy,VV[96])(1,V1) /*  RESOURCE-DATABASE-LOOSE */;
	V5= Cnil;
	goto L31;
L30:;
	V5= cl_first(V4)                          /*  FIRST           */;
	T0= ecl_plus(MAKE_FIXNUM(2),V2);
	(void)L7print_db(3,V5,T0,VV[2])           /*  PRINT-DB        */;
	V4= cl_rest(V4)                           /*  REST            */;
L31:;
	if((V4)==Cnil){
	goto L38;}
	goto L30;
L38:;
	goto L28;
L28:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
L24:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for RESOURCE-KEY                          */
static cl_object L8resource_key(cl_object V1)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;
	V2= V1;
	if((cl_typep(2,V2,VV[4])                  /*  TYPEP           */)!=Cnil){
	goto L2;}
	{cl_object V3;
	V3= si_do_check_type(4,V2,VV[4],Cnil,VV[4]) /*  DO-CHECK-TYPE */;
	V1= V3;
	}
L2:;
	}
	{cl_object V2;
	V2= V1;
	if(!(SYMBOLP(V2))){
	goto L8;}
	if((cl_keywordp(V1)                       /*  KEYWORDP        */)==Cnil){
	goto L11;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L11:;
	T0= ecl_symbol_name(V1);
	value0=ecl_function_dispatch(cl_env_copy,VV[98])(1,T0) /*  KINTERN */;
	return value0;
L8:;
	if(!(ecl_stringp(V2))){
	goto L14;}
	if((ecl_symbol_value(VV[15]))==Cnil){
	goto L16;}
	V1= cl_string_upcase(1,V1)                /*  STRING-UPCASE   */;
L16:;
	value0=ecl_function_dispatch(cl_env_copy,VV[98])(1,V1) /*  KINTERN */;
	return value0;
L14:;
	value0=si_etypecase_error(3,VV[4],V2,VV[16]) /*  ETYPECASE-ERROR */;
	return value0;
	}
}}
/*	function definition for STRINGABLE-EQUAL                      */
static cl_object L9stringable_equal(cl_object V1, cl_object V2)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	V3= V2;
	if((cl_typep(2,V3,VV[4])                  /*  TYPEP           */)!=Cnil){
	goto L2;}
	{cl_object V4;
	V4= si_do_check_type(4,V3,VV[4],Cnil,VV[18]) /*  DO-CHECK-TYPE */;
	V2= V4;
	}
L2:;
	}
	{cl_object V3;
	V3= V1;
	if((cl_typep(2,V3,VV[4])                  /*  TYPEP           */)!=Cnil){
	goto L8;}
	{cl_object V4;
	V4= si_do_check_type(4,V3,VV[4],Cnil,VV[19]) /*  DO-CHECK-TYPE */;
	V1= V4;
	}
L8:;
	}
	{cl_object V3;
	if(!(ecl_stringp(V1))){
	goto L14;}
	{cl_object V4;
	if(!(ecl_stringp(V2))){
	goto L17;}
	value0=ecl_make_bool(ecl_string_eq(V1,V2)); cl_env_copy->nvalues=1;
	return value0;
L17:;
	if(!(SYMBOLP(V2))){
	goto L20;}
	if((ecl_symbol_value(VV[15]))==Cnil){
	goto L23;}
	T0= ecl_symbol_name(V2);
	value0=cl_string_equal(2,V1,T0)           /*  STRING-EQUAL    */;
	return value0;
L23:;
	T0= ecl_symbol_name(V2);
	value0=ecl_make_bool(ecl_string_eq(V1,T0)); cl_env_copy->nvalues=1;
	return value0;
L20:;
	value0=si_etypecase_error(3,VV[18],V2,VV[20]) /*  ETYPECASE-ERROR */;
	return value0;
	}
L14:;
	if(!(SYMBOLP(V1))){
	goto L26;}
	{cl_object V5;
	if(!(ecl_stringp(V2))){
	goto L29;}
	if((ecl_symbol_value(VV[15]))==Cnil){
	goto L32;}
	T0= ecl_symbol_name(V1);
	value0=cl_string_equal(2,T0,V2)           /*  STRING-EQUAL    */;
	return value0;
L32:;
	T0= ecl_symbol_name(V1);
	value0=ecl_make_bool(ecl_string_eq(T0,V2)); cl_env_copy->nvalues=1;
	return value0;
L29:;
	if(!(SYMBOLP(V2))){
	goto L35;}
	T0= ecl_symbol_name(V1);
	T1= ecl_symbol_name(V2);
	value0=ecl_make_bool(ecl_string_eq(T0,T1)); cl_env_copy->nvalues=1;
	return value0;
L35:;
	value0=si_etypecase_error(3,VV[18],V2,VV[20]) /*  ETYPECASE-ERROR */;
	return value0;
	}
L26:;
	value0=si_etypecase_error(3,VV[19],V1,VV[20]) /*  ETYPECASE-ERROR */;
	return value0;
	}
}}
/*	function definition for ADD-RESOURCE                          */
static cl_object L10add_resource(cl_object V1, cl_object V2, cl_object V3)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V4;
	V4= V2;
	if(LISTP(V4)){
	goto L3;}
	{cl_object V5;
	V5= si_do_check_type(4,V4,VV[22],Cnil,VV[23]) /*  DO-CHECK-TYPE */;
	V2= V5;
	}
L3:;
	}
	{cl_object V4;
	V4= V1;
	if((cl_typep(2,V4,VV[0])                  /*  TYPEP           */)!=Cnil){
	goto L9;}
	{cl_object V5;
	V5= si_do_check_type(4,V4,VV[0],Cnil,VV[8]) /*  DO-CHECK-TYPE */;
	V1= V5;
	}
L9:;
	}
	if((V3)!=Cnil){
	goto L14;}
	(void)cl_error(1,_ecl_static_5)           /*  ERROR           */;
L14:;
	(void)L6incf_resource_database_timestamp(V1) /*  INCF-RESOURCE-DATABASE-TIMESTAMP */;
	{cl_object V4;                            /*  LIST            */
	cl_object V5;                             /*  NAME            */
	cl_object V6;                             /*  NODE            */
	cl_object V7;                             /*  LOOSE-P         */
	V4= V2;
	V5= cl_car(V4)                            /*  CAR             */;
	V6= V1;
	V7= Cnil;
	goto L25;
L24:;
	if((L9stringable_equal(V5,_ecl_static_6)  /*  STRINGABLE-EQUAL */)==Cnil){
	goto L29;}
	V7= Ct;
	goto L27;
L29:;
	{cl_object V8;                            /*  ENTRY           */
	if((V7)==Cnil){
	goto L35;}
	V8= ecl_function_dispatch(cl_env_copy,VV[96])(1,V6) /*  RESOURCE-DATABASE-LOOSE */;
	goto L33;
L35:;
	V8= ecl_function_dispatch(cl_env_copy,VV[95])(1,V6) /*  RESOURCE-DATABASE-TIGHT */;
L33:;
	goto L40;
L39:;
	T0= cl_car(V8)                            /*  CAR             */;
	T1= ecl_function_dispatch(cl_env_copy,VV[89])(1,T0) /*  RESOURCE-DATABASE-NAME */;
	if((L9stringable_equal(V5,T1)             /*  STRINGABLE-EQUAL */)==Cnil){
	goto L42;}
	V6= cl_car(V8)                            /*  CAR             */;
	goto L32;
L42:;
	V8= cl_cdr(V8)                            /*  CDR             */;
L40:;
	if(ecl_endp(V8)){
	goto L48;}
	goto L39;
L48:;
	goto L37;
L37:;
	V8= L1make_resource_database_internal(2,ECL_SYM("NAME",1241),V5) /*  MAKE-RESOURCE-DATABASE-INTERNAL */;
	if((V7)==Cnil){
	goto L55;}
	{cl_object V9;
	T0= ecl_function_dispatch(cl_env_copy,VV[96])(1,V6) /*  RESOURCE-DATABASE-LOOSE */;
	V9= CONS(V8,T0);
	(void)si_structure_set(V6,VV[0],MAKE_FIXNUM(3),V9) /*  STRUCTURE-SET */;
	goto L53;
	}
L55:;
	{cl_object V10;
	T0= ecl_function_dispatch(cl_env_copy,VV[95])(1,V6) /*  RESOURCE-DATABASE-TIGHT */;
	V10= CONS(V8,T0);
	(void)si_structure_set(V6,VV[0],MAKE_FIXNUM(2),V10) /*  STRUCTURE-SET */;
	}
L53:;
	V6= V8;
	}
L32:;
	V7= Cnil;
L27:;
	V4= cl_cdr(V4)                            /*  CDR             */;
	V5= cl_car(V4)                            /*  CAR             */;
L25:;
	if(ecl_endp(V4)){
	goto L65;}
	goto L24;
L65:;
	goto L22;
L22:;
	value0=si_structure_set(V6,VV[0],MAKE_FIXNUM(1),V3) /*  STRUCTURE-SET */;
	return value0;
	}
}}
/*	function definition for DELETE-RESOURCE                       */
static cl_object L11delete_resource(cl_object V1, cl_object V2)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	V3= V2;
	if(LISTP(V3)){
	goto L2;}
	{cl_object V4;
	V4= si_do_check_type(4,V3,ECL_SYM("LIST",479),Cnil,VV[23]) /*  DO-CHECK-TYPE */;
	V2= V4;
	}
L2:;
	}
	{cl_object V3;
	V3= V1;
	if((cl_typep(2,V3,VV[0])                  /*  TYPEP           */)!=Cnil){
	goto L8;}
	{cl_object V4;
	V4= si_do_check_type(4,V3,VV[0],Cnil,VV[8]) /*  DO-CHECK-TYPE */;
	V1= V4;
	}
L8:;
	}
	(void)L6incf_resource_database_timestamp(V1) /*  INCF-RESOURCE-DATABASE-TIMESTAMP */;
	value0=L12delete_resource_internal(V1,V2) /*  DELETE-RESOURCE-INTERNAL */;
	return value0;
}}
/*	function definition for DELETE-RESOURCE-INTERNAL              */
static cl_object L12delete_resource_internal(cl_object V1, cl_object V2)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	V3= V2;
	if(LISTP(V3)){
	goto L2;}
	{cl_object V4;
	V4= si_do_check_type(4,V3,VV[22],Cnil,VV[23]) /*  DO-CHECK-TYPE */;
	V2= V4;
	}
L2:;
	}
	{cl_object V3;
	V3= V1;
	if((cl_typep(2,V3,VV[0])                  /*  TYPEP           */)!=Cnil){
	goto L8;}
	{cl_object V4;
	V4= si_do_check_type(4,V3,VV[0],Cnil,VV[8]) /*  DO-CHECK-TYPE */;
	V1= V4;
	}
L8:;
	}
	{cl_object V3;                            /*  LIST            */
	cl_object V4;                             /*  STRING          */
	cl_object V5;                             /*  LOOSE-P         */
	V3= V2;
	V4= cl_car(V3)                            /*  CAR             */;
	V5= Cnil;
	goto L19;
L18:;
	if((L9stringable_equal(V4,_ecl_static_6)  /*  STRINGABLE-EQUAL */)==Cnil){
	goto L23;}
	V5= Ct;
	goto L21;
L23:;
	{cl_object V6;                            /*  FIRST-ENTRY     */
	cl_object V7;                             /*  ENTRY-LIST      */
	cl_object V8;                             /*  ENTRY           */
	if((V5)==Cnil){
	goto L29;}
	V6= ecl_function_dispatch(cl_env_copy,VV[96])(1,V1) /*  RESOURCE-DATABASE-LOOSE */;
	goto L27;
L29:;
	V6= ecl_function_dispatch(cl_env_copy,VV[95])(1,V1) /*  RESOURCE-DATABASE-TIGHT */;
L27:;
	V7= V6;
	V8= cl_car(V7)                            /*  CAR             */;
	goto L36;
L35:;
	T0= ecl_function_dispatch(cl_env_copy,VV[89])(1,V8) /*  RESOURCE-DATABASE-NAME */;
	if((L9stringable_equal(V4,T0)             /*  STRINGABLE-EQUAL */)==Cnil){
	goto L38;}
	if((cl_cdr(V3)                            /*  CDR             */)==Cnil){
	goto L41;}
	T0= cl_cdr(V3)                            /*  CDR             */;
	(void)L12delete_resource_internal(V8,T0)  /*  DELETE-RESOURCE-INTERNAL */;
L41:;
	if((ecl_function_dispatch(cl_env_copy,VV[96])(1,V8) /*  RESOURCE-DATABASE-LOOSE */)!=Cnil){
	goto L44;}
	if((ecl_function_dispatch(cl_env_copy,VV[95])(1,V8) /*  RESOURCE-DATABASE-TIGHT */)!=Cnil){
	goto L44;}
	if((V5)==Cnil){
	goto L50;}
	{cl_object V9;
	T0= ecl_function_dispatch(cl_env_copy,VV[96])(1,V1) /*  RESOURCE-DATABASE-LOOSE */;
	T1= (ECL_SYM("EQ",331)->symbol.gfdef);
	V9= cl_delete(6,V8,T0,ECL_SYM("TEST",1283),T1,VV[26],MAKE_FIXNUM(1)) /*  DELETE */;
	(void)si_structure_set(V1,VV[0],MAKE_FIXNUM(3),V9) /*  STRUCTURE-SET */;
	goto L44;
	}
L50:;
	{cl_object V10;
	T0= ecl_function_dispatch(cl_env_copy,VV[95])(1,V1) /*  RESOURCE-DATABASE-TIGHT */;
	T1= (ECL_SYM("EQ",331)->symbol.gfdef);
	V10= cl_delete(6,V8,T0,ECL_SYM("TEST",1283),T1,VV[26],MAKE_FIXNUM(1)) /*  DELETE */;
	(void)si_structure_set(V1,VV[0],MAKE_FIXNUM(2),V10) /*  STRUCTURE-SET */;
	}
L44:;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L38:;
	V7= cl_cdr(V7)                            /*  CDR             */;
	V8= cl_car(V7)                            /*  CAR             */;
L36:;
	if(ecl_endp(V7)){
	goto L60;}
	goto L35;
L60:;
	goto L33;
L33:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
	V5= Cnil;
L21:;
	V3= cl_cdr(V3)                            /*  CDR             */;
	V4= cl_car(V3)                            /*  CAR             */;
L19:;
	if(ecl_endp(V3)){
	goto L68;}
	goto L18;
L68:;
	goto L16;
L16:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for GET-RESOURCE                          */
static cl_object L13get_resource(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V6;
	V6= V5;
	if(LISTP(V6)){
	goto L2;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[22],Cnil,VV[28]) /*  DO-CHECK-TYPE */;
	V5= V7;
	}
L2:;
	}
	{cl_object V6;
	V6= V4;
	if(LISTP(V6)){
	goto L8;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[22],Cnil,VV[29]) /*  DO-CHECK-TYPE */;
	V4= V7;
	}
L8:;
	}
	{cl_object V6;
	V6= V3;
	if((cl_typep(2,V6,VV[4])                  /*  TYPEP           */)!=Cnil){
	goto L14;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[4],Cnil,VV[30]) /*  DO-CHECK-TYPE */;
	V3= V7;
	}
L14:;
	}
	{cl_object V6;
	V6= V2;
	if((cl_typep(2,V6,VV[4])                  /*  TYPEP           */)!=Cnil){
	goto L20;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[4],Cnil,VV[31]) /*  DO-CHECK-TYPE */;
	V2= V7;
	}
L20:;
	}
	{cl_object V6;
	V6= V1;
	if((cl_typep(2,V6,VV[0])                  /*  TYPEP           */)!=Cnil){
	goto L26;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[0],Cnil,VV[8]) /*  DO-CHECK-TYPE */;
	V1= V7;
	}
L26:;
	}
	{cl_object V6;                            /*  NAMES           */
	cl_object V7;                             /*  CLASSES         */
	T0= ecl_list1(V2);
	V6= ecl_append(V4,T0);
	T0= ecl_list1(V3);
	V7= ecl_append(V5,T0);
	{cl_object V8;                            /*  RESULT          */
	T0= ecl_function_dispatch(cl_env_copy,VV[95])(1,V1) /*  RESOURCE-DATABASE-TIGHT */;
	T1= ecl_function_dispatch(cl_env_copy,VV[96])(1,V1) /*  RESOURCE-DATABASE-LOOSE */;
	V8= L15get_entry(T0,T1,V6,V7)             /*  GET-ENTRY       */;
	if((V8)==Cnil){
	goto L35;}
	value0=ecl_function_dispatch(cl_env_copy,VV[90])(1,V8) /*  RESOURCE-DATABASE-VALUE */;
	return value0;
L35:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	function definition for GET-ENTRY-LOOKUP                      */
static cl_object L14get_entry_lookup(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V5;
	V5= V4;
	if(LISTP(V5)){
	goto L2;}
	{cl_object V6;
	V6= si_do_check_type(4,V5,ECL_SYM("LIST",479),Cnil,VV[33]) /*  DO-CHECK-TYPE */;
	V4= V6;
	}
L2:;
	}
	{cl_object V5;
	V5= V3;
	if(LISTP(V5)){
	goto L8;}
	{cl_object V6;
	V6= si_do_check_type(4,V5,ECL_SYM("LIST",479),Cnil,VV[34]) /*  DO-CHECK-TYPE */;
	V3= V6;
	}
L8:;
	}
	{cl_object V5;
	V5= V2;
	if(SYMBOLP(V5)){
	goto L14;}
	{cl_object V6;
	V6= si_do_check_type(4,V5,ECL_SYM("SYMBOL",838),Cnil,VV[5]) /*  DO-CHECK-TYPE */;
	V2= V6;
	}
L14:;
	}
	{cl_object V5;
	V5= V1;
	if(LISTP(V5)){
	goto L20;}
	{cl_object V6;
	V6= si_do_check_type(4,V5,ECL_SYM("LIST",479),Cnil,VV[35]) /*  DO-CHECK-TYPE */;
	V1= V6;
	}
L20:;
	}
	{cl_object V5;
	cl_object V6;                             /*  ENTRY           */
	V5= V1;
	V6= Cnil;
	goto L30;
L29:;
	V6= cl_first(V5)                          /*  FIRST           */;
	T0= ecl_function_dispatch(cl_env_copy,VV[89])(1,V6) /*  RESOURCE-DATABASE-NAME */;
	if((L9stringable_equal(V2,T0)             /*  STRINGABLE-EQUAL */)==Cnil){
	goto L34;}
	if((cl_cdr(V3)                            /*  CDR             */)!=Cnil){
	goto L38;}
	value0=V6; cl_env_copy->nvalues=1;
	return value0;
L38:;
	{cl_object V7;                            /*  RESULT          */
	T0= ecl_function_dispatch(cl_env_copy,VV[95])(1,V6) /*  RESOURCE-DATABASE-TIGHT */;
	T1= ecl_function_dispatch(cl_env_copy,VV[96])(1,V6) /*  RESOURCE-DATABASE-LOOSE */;
	T2= cl_cdr(V3)                            /*  CDR             */;
	T3= cl_cdr(V4)                            /*  CDR             */;
	V7= L15get_entry(T0,T1,T2,T3)             /*  GET-ENTRY       */;
	if((V7)==Cnil){
	goto L34;}
	value0=V7; cl_env_copy->nvalues=1;
	return value0;
	}
L34:;
	V5= cl_rest(V5)                           /*  REST            */;
L30:;
	if((V5)==Cnil){
	goto L45;}
	goto L29;
L45:;
	goto L27;
L27:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for GET-ENTRY                             */
static cl_object L15get_entry(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V5;                            /*  RESULT          */
	V5= Cnil;
	{cl_object V6;
	V6= V4;
	if(LISTP(V6)){
	goto L3;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,ECL_SYM("LIST",479),Cnil,VV[33]) /*  DO-CHECK-TYPE */;
	V4= V7;
	}
L3:;
	}
	{cl_object V6;
	V6= V3;
	if(LISTP(V6)){
	goto L9;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,ECL_SYM("LIST",479),Cnil,VV[34]) /*  DO-CHECK-TYPE */;
	V3= V7;
	}
L9:;
	}
	{cl_object V6;
	V6= V2;
	if(LISTP(V6)){
	goto L15;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,ECL_SYM("LIST",479),Cnil,VV[2]) /*  DO-CHECK-TYPE */;
	V2= V7;
	}
L15:;
	}
	{cl_object V6;
	V6= V1;
	if(LISTP(V6)){
	goto L21;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,ECL_SYM("LIST",479),Cnil,VV[3]) /*  DO-CHECK-TYPE */;
	V1= V7;
	}
L21:;
	}
	{cl_object V6;                            /*  NAME            */
	cl_object V7;                             /*  CLASS           */
	V6= cl_car(V3)                            /*  CAR             */;
	V7= cl_car(V4)                            /*  CAR             */;
	{cl_object V8;
	if((V1)==Cnil){
	goto L30;}
	V8= L14get_entry_lookup(V1,V6,V3,V4)      /*  GET-ENTRY-LOOKUP */;
	goto L28;
L30:;
	V8= Cnil;
L28:;
	if((V8)==Cnil){
	goto L33;}
	value0=V8; cl_env_copy->nvalues=1;
	return value0;
L33:;
	{cl_object V9;
	if((V2)==Cnil){
	goto L37;}
	V9= L14get_entry_lookup(V2,V6,V3,V4)      /*  GET-ENTRY-LOOKUP */;
	goto L35;
L37:;
	V9= Cnil;
L35:;
	if((V9)==Cnil){
	goto L40;}
	value0=V9; cl_env_copy->nvalues=1;
	return value0;
L40:;
	{cl_object V10;
	if((V1)==Cnil){
	goto L44;}
	if((L9stringable_equal(V6,V7)             /*  STRINGABLE-EQUAL */)!=Cnil){
	goto L47;}
	V10= L14get_entry_lookup(V1,V7,V3,V4)     /*  GET-ENTRY-LOOKUP */;
	goto L42;
L47:;
	V10= Cnil;
	goto L42;
L44:;
	V10= Cnil;
L42:;
	if((V10)==Cnil){
	goto L50;}
	value0=V10; cl_env_copy->nvalues=1;
	return value0;
L50:;
	{cl_object V11;
	if((V2)==Cnil){
	goto L54;}
	if((L9stringable_equal(V6,V7)             /*  STRINGABLE-EQUAL */)!=Cnil){
	goto L57;}
	V11= L14get_entry_lookup(V2,V7,V3,V4)     /*  GET-ENTRY-LOOKUP */;
	goto L52;
L57:;
	V11= Cnil;
	goto L52;
L54:;
	V11= Cnil;
L52:;
	if((V11)==Cnil){
	goto L60;}
	value0=V11; cl_env_copy->nvalues=1;
	return value0;
L60:;
	if((V2)==Cnil){
	goto L63;}
L66:;
	{cl_object V12;
	V12= cl_car(V3)                           /*  CAR             */;
	V3= cl_cdr(V3)                            /*  CDR             */;
	}
	{cl_object V12;
	V12= cl_car(V4)                           /*  CAR             */;
	V4= cl_cdr(V4)                            /*  CDR             */;
	}
	if((V3)==Cnil){
	goto L77;}
	if((V4)!=Cnil){
	goto L76;}
L77:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L76:;
	V6= cl_car(V3)                            /*  CAR             */;
	V7= cl_car(V4)                            /*  CAR             */;
	V5= L14get_entry_lookup(V2,V6,V3,V4)      /*  GET-ENTRY-LOOKUP */;
	if((V5)==Cnil){
	goto L85;}
	value0=V5; cl_env_copy->nvalues=1;
	return value0;
L85:;
	if((L9stringable_equal(V6,V7)             /*  STRINGABLE-EQUAL */)!=Cnil){
	goto L67;}
	V5= L14get_entry_lookup(V2,V7,V3,V4)      /*  GET-ENTRY-LOOKUP */;
	if((V5)==Cnil){
	goto L67;}
	value0=V5; cl_env_copy->nvalues=1;
	return value0;
L67:;
	goto L66;
L63:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
	}
	}
	}
	}
	}
}}
/*	function definition for GET-SEARCH-RESOURCE                   */
static cl_object L16get_search_resource(cl_object V1, cl_object V2, cl_object V3)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V4;
	V4= V3;
	if((cl_typep(2,V4,VV[4])                  /*  TYPEP           */)!=Cnil){
	goto L2;}
	{cl_object V5;
	V5= si_do_check_type(4,V4,VV[4],Cnil,ECL_SYM("CLASS",931)) /*  DO-CHECK-TYPE */;
	V3= V5;
	}
L2:;
	}
	{cl_object V4;
	V4= V2;
	if((cl_typep(2,V4,VV[4])                  /*  TYPEP           */)!=Cnil){
	goto L8;}
	{cl_object V5;
	V5= si_do_check_type(4,V4,VV[4],Cnil,VV[5]) /*  DO-CHECK-TYPE */;
	V2= V5;
	}
L8:;
	}
	{cl_object V4;
	V4= V1;
	if(LISTP(V4)){
	goto L14;}
	{cl_object V5;
	V5= si_do_check_type(4,V4,ECL_SYM("LIST",479),Cnil,VV[35]) /*  DO-CHECK-TYPE */;
	V1= V5;
	}
L14:;
	}
	{cl_object V4;                            /*  DO-CLASS        */
	if((V3)==Cnil){
	goto L21;}
	T0= L9stringable_equal(V2,V3)             /*  STRINGABLE-EQUAL */;
	V4= ecl_make_bool((T0)==Cnil);
	goto L19;
L21:;
	V4= Cnil;
L19:;
	{cl_object V5;
	cl_object V6;                             /*  DBASE-LIST      */
	V5= V1;
	V6= Cnil;
	goto L28;
L27:;
	V6= cl_first(V5)                          /*  FIRST           */;
	{cl_object V7;
	cl_object V8;                             /*  DBASE           */
	V7= V6;
	V8= Cnil;
	goto L38;
L37:;
	V8= cl_first(V7)                          /*  FIRST           */;
	T0= ecl_function_dispatch(cl_env_copy,VV[89])(1,V8) /*  RESOURCE-DATABASE-NAME */;
	if((L9stringable_equal(V2,T0)             /*  STRINGABLE-EQUAL */)==Cnil){
	goto L42;}
	value0=ecl_function_dispatch(cl_env_copy,VV[90])(1,V8) /*  RESOURCE-DATABASE-VALUE */;
	return value0;
L42:;
	V7= cl_rest(V7)                           /*  REST            */;
L38:;
	if((V7)==Cnil){
	goto L47;}
	goto L37;
L47:;
	goto L35;
L35:;
	}
	if((V4)==Cnil){
	goto L51;}
	{cl_object V7;
	cl_object V8;                             /*  DBASE           */
	V7= V6;
	V8= Cnil;
	goto L59;
L58:;
	V8= cl_first(V7)                          /*  FIRST           */;
	T0= ecl_function_dispatch(cl_env_copy,VV[89])(1,V8) /*  RESOURCE-DATABASE-NAME */;
	if((L9stringable_equal(V3,T0)             /*  STRINGABLE-EQUAL */)==Cnil){
	goto L63;}
	value0=ecl_function_dispatch(cl_env_copy,VV[90])(1,V8) /*  RESOURCE-DATABASE-VALUE */;
	return value0;
L63:;
	V7= cl_rest(V7)                           /*  REST            */;
L59:;
	if((V7)==Cnil){
	goto L68;}
	goto L58;
L68:;
	goto L56;
L56:;
	}
L51:;
	V5= cl_rest(V5)                           /*  REST            */;
L28:;
	if((V5)==Cnil){
	goto L74;}
	goto L27;
L74:;
	goto L25;
L25:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	function definition for GET-SEARCH-TABLE                      */
static cl_object L18get_search_table(cl_object V1, cl_object V2, cl_object V3)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V4;
	V4= V3;
	if(LISTP(V4)){
	goto L2;}
	{cl_object V5;
	V5= si_do_check_type(4,V4,VV[22],Cnil,VV[28]) /*  DO-CHECK-TYPE */;
	V3= V5;
	}
L2:;
	}
	{cl_object V4;
	V4= V2;
	if(LISTP(V4)){
	goto L8;}
	{cl_object V5;
	V5= si_do_check_type(4,V4,VV[22],Cnil,VV[29]) /*  DO-CHECK-TYPE */;
	V2= V5;
	}
L8:;
	}
	{cl_object V4;
	V4= V1;
	if((cl_typep(2,V4,VV[0])                  /*  TYPEP           */)!=Cnil){
	goto L14;}
	{cl_object V5;
	V5= si_do_check_type(4,V4,VV[0],Cnil,VV[8]) /*  DO-CHECK-TYPE */;
	V1= V5;
	}
L14:;
	}
	{cl_object V4;                            /*  TIGHT           */
	cl_object V5;                             /*  LOOSE           */
	cl_object V6;                             /*  RESULT          */
	V4= ecl_function_dispatch(cl_env_copy,VV[95])(1,V1) /*  RESOURCE-DATABASE-TIGHT */;
	V5= ecl_function_dispatch(cl_env_copy,VV[96])(1,V1) /*  RESOURCE-DATABASE-LOOSE */;
	V6= CONS(Cnil,Cnil);
	ecl_bds_bind(cl_env_copy,VV[39],V6);      /*  *GET-TABLE-RESULT* */
	if((V4)!=Cnil){
	goto L23;}
	if((V5)==Cnil){
	goto L22;}
L23:;
	if((V2)==Cnil){
	goto L27;}
	(void)L20get_tables(V4,V5,V2,V3)          /*  GET-TABLES      */;
L27:;
	{cl_object V7;                            /*  UNIVERSAL-BINDINGS */
	T0= (ECL_SYM("EQ",331)->symbol.gfdef);
	T1= ecl_make_cfun((cl_objectfn_fixed)LC17__g157,Cnil,Cblock,1);
	V7= cl_remove(6,Cnil,V5,ECL_SYM("TEST-NOT",1284),T0,ECL_SYM("KEY",1231),T1) /*  REMOVE */;
	if((V7)==Cnil){
	goto L22;}
	{cl_object V8;
	V8= ecl_symbol_value(VV[39]);
	{cl_object V9;
	V9= ecl_list1(V7);
	if(ATOM(V8))FEtype_error_cons(V8);
	ECL_CONS_CDR(V8) = V9;
	}
	}
	}
L22:;
	value0=CDR(V6); cl_env_copy->nvalues=1;
	ecl_bds_unwind1(cl_env_copy);
	return value0;
	}
}}
/*	local function G157                                           */
static cl_object LC17__g157(cl_object V1)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;
	V2= ecl_function_dispatch(cl_env_copy,VV[95])(1,V1) /*  RESOURCE-DATABASE-TIGHT */;
	if((V2)==Cnil){
	goto L3;}
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
L3:;
	value0=ecl_function_dispatch(cl_env_copy,VV[96])(1,V1) /*  RESOURCE-DATABASE-LOOSE */;
	return value0;
	}
}}
/*	function definition for GET-TABLES-LOOKUP                     */
static cl_object L19get_tables_lookup(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V5;
	V5= V4;
	if(LISTP(V5)){
	goto L2;}
	{cl_object V6;
	V6= si_do_check_type(4,V5,ECL_SYM("LIST",479),Cnil,VV[33]) /*  DO-CHECK-TYPE */;
	V4= V6;
	}
L2:;
	}
	{cl_object V5;
	V5= V3;
	if(LISTP(V5)){
	goto L8;}
	{cl_object V6;
	V6= si_do_check_type(4,V5,ECL_SYM("LIST",479),Cnil,VV[34]) /*  DO-CHECK-TYPE */;
	V3= V6;
	}
L8:;
	}
	{cl_object V5;
	V5= V2;
	if(SYMBOLP(V5)){
	goto L14;}
	{cl_object V6;
	V6= si_do_check_type(4,V5,ECL_SYM("SYMBOL",838),Cnil,VV[5]) /*  DO-CHECK-TYPE */;
	V2= V6;
	}
L14:;
	}
	{cl_object V5;
	V5= V1;
	if(LISTP(V5)){
	goto L20;}
	{cl_object V6;
	V6= si_do_check_type(4,V5,ECL_SYM("LIST",479),Cnil,VV[41]) /*  DO-CHECK-TYPE */;
	V1= V6;
	}
L20:;
	}
	{cl_object V5;
	cl_object V6;                             /*  ENTRY           */
	V5= V1;
	V6= Cnil;
	goto L30;
L29:;
	V6= cl_first(V5)                          /*  FIRST           */;
	T0= ecl_function_dispatch(cl_env_copy,VV[89])(1,V6) /*  RESOURCE-DATABASE-NAME */;
	if((L9stringable_equal(V2,T0)             /*  STRINGABLE-EQUAL */)==Cnil){
	goto L34;}
	{cl_object V7;                            /*  TIGHT           */
	cl_object V8;                             /*  LOOSE           */
	V7= (V6)->instance.slots[2];
	V8= (V6)->instance.slots[3];
	if((V7)!=Cnil){
	goto L39;}
	if((V8)==Cnil){
	goto L34;}
L39:;
	if((cl_cdr(V3)                            /*  CDR             */)==Cnil){
	goto L45;}
	T0= cl_cdr(V3)                            /*  CDR             */;
	T1= cl_cdr(V4)                            /*  CDR             */;
	(void)L20get_tables(V7,V8,T0,T1)          /*  GET-TABLES      */;
	goto L43;
L45:;
	if((V7)==Cnil){
	goto L43;}
	{cl_object V9;                            /*  RESULT          */
	V9= ecl_symbol_value(VV[39]);
	{cl_object V10;
	cl_set(VV[39],CONS(V7,Cnil));
	V10= ecl_symbol_value(VV[39]);
	if(ATOM(V9))FEtype_error_cons(V9);
	ECL_CONS_CDR(V9) = V10;
	}
	}
L43:;
	if((V8)==Cnil){
	goto L34;}
	{cl_object V9;                            /*  RESULT          */
	V9= ecl_symbol_value(VV[39]);
	{cl_object V10;
	cl_set(VV[39],CONS(V8,Cnil));
	V10= ecl_symbol_value(VV[39]);
	if(ATOM(V9))FEtype_error_cons(V9);
	ECL_CONS_CDR(V9) = V10;
	}
	}
	}
L34:;
	V5= cl_rest(V5)                           /*  REST            */;
L30:;
	if((V5)==Cnil){
	goto L59;}
	goto L29;
L59:;
	goto L27;
L27:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for GET-TABLES                            */
static cl_object L20get_tables(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V5;
	V5= V4;
	if(LISTP(V5)){
	goto L2;}
	{cl_object V6;
	V6= si_do_check_type(4,V5,ECL_SYM("LIST",479),Cnil,VV[33]) /*  DO-CHECK-TYPE */;
	V4= V6;
	}
L2:;
	}
	{cl_object V5;
	V5= V3;
	if(LISTP(V5)){
	goto L8;}
	{cl_object V6;
	V6= si_do_check_type(4,V5,ECL_SYM("LIST",479),Cnil,VV[34]) /*  DO-CHECK-TYPE */;
	V3= V6;
	}
L8:;
	}
	{cl_object V5;
	V5= V2;
	if(LISTP(V5)){
	goto L14;}
	{cl_object V6;
	V6= si_do_check_type(4,V5,ECL_SYM("LIST",479),Cnil,VV[2]) /*  DO-CHECK-TYPE */;
	V2= V6;
	}
L14:;
	}
	{cl_object V5;
	V5= V1;
	if(LISTP(V5)){
	goto L20;}
	{cl_object V6;
	V6= si_do_check_type(4,V5,ECL_SYM("LIST",479),Cnil,VV[3]) /*  DO-CHECK-TYPE */;
	V1= V6;
	}
L20:;
	}
	{cl_object V5;                            /*  NAME            */
	cl_object V6;                             /*  CLASS           */
	V5= cl_car(V3)                            /*  CAR             */;
	V6= cl_car(V4)                            /*  CAR             */;
	if((V1)==Cnil){
	goto L27;}
	(void)L19get_tables_lookup(V1,V5,V3,V4)   /*  GET-TABLES-LOOKUP */;
L27:;
	if((V2)==Cnil){
	goto L30;}
	(void)L19get_tables_lookup(V2,V5,V3,V4)   /*  GET-TABLES-LOOKUP */;
L30:;
	if((V1)==Cnil){
	goto L33;}
	if((L9stringable_equal(V5,V6)             /*  STRINGABLE-EQUAL */)!=Cnil){
	goto L33;}
	(void)L19get_tables_lookup(V1,V6,V3,V4)   /*  GET-TABLES-LOOKUP */;
L33:;
	if((V2)==Cnil){
	goto L38;}
	if((L9stringable_equal(V5,V6)             /*  STRINGABLE-EQUAL */)!=Cnil){
	goto L38;}
	(void)L19get_tables_lookup(V2,V6,V3,V4)   /*  GET-TABLES-LOOKUP */;
L38:;
	if((V2)==Cnil){
	goto L44;}
L47:;
	{cl_object V7;
	V7= cl_car(V3)                            /*  CAR             */;
	V3= cl_cdr(V3)                            /*  CDR             */;
	}
	{cl_object V7;
	V7= cl_car(V4)                            /*  CAR             */;
	V4= cl_cdr(V4)                            /*  CDR             */;
	}
	if((V3)==Cnil){
	goto L58;}
	if((V4)!=Cnil){
	goto L57;}
L58:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L57:;
	V5= cl_car(V3)                            /*  CAR             */;
	V6= cl_car(V4)                            /*  CAR             */;
	(void)L19get_tables_lookup(V2,V5,V3,V4)   /*  GET-TABLES-LOOKUP */;
	if((L9stringable_equal(V5,V6)             /*  STRINGABLE-EQUAL */)!=Cnil){
	goto L48;}
	(void)L19get_tables_lookup(V2,V6,V3,V4)   /*  GET-TABLES-LOOKUP */;
L48:;
	goto L47;
L44:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for MAP-RESOURCE                          */
static cl_object L22map_resource(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<2) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V4;
	V4= V2;
	if((cl_functionp(V4)                      /*  FUNCTIONP       */)!=Cnil){
	goto L2;}
	{cl_object V5;
	V5= si_do_check_type(4,V4,ECL_SYM("FUNCTION",394),Cnil,ECL_SYM("FUNCTION",394)) /*  DO-CHECK-TYPE */;
	V2= V5;
	}
L2:;
	}
	{cl_object V4;
	V4= V1;
	if((cl_typep(2,V4,VV[0])                  /*  TYPEP           */)!=Cnil){
	goto L8;}
	{cl_object V5;
	V5= si_do_check_type(4,V4,VV[0],Cnil,VV[8]) /*  DO-CHECK-TYPE */;
	V1= V5;
	}
L8:;
	}
	value0=LC21map_resource_internal(V1,V2,V3,Cnil) /*  MAP-RESOURCE-INTERNAL */;
	return value0;
}}
/*	local function MAP-RESOURCE-INTERNAL                          */
static cl_object LC21map_resource_internal(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V5;
	V5= V4;
	if(LISTP(V5)){
	goto L2;}
	{cl_object V6;
	V6= si_do_check_type(4,V5,ECL_SYM("LIST",479),Cnil,VV[5]) /*  DO-CHECK-TYPE */;
	V4= V6;
	}
L2:;
	}
	{cl_object V5;
	V5= V2;
	if((cl_functionp(V5)                      /*  FUNCTIONP       */)!=Cnil){
	goto L8;}
	{cl_object V6;
	V6= si_do_check_type(4,V5,ECL_SYM("FUNCTION",394),Cnil,ECL_SYM("FUNCTION",394)) /*  DO-CHECK-TYPE */;
	V2= V6;
	}
L8:;
	}
	{cl_object V5;
	V5= V1;
	if((cl_typep(2,V5,VV[0])                  /*  TYPEP           */)!=Cnil){
	goto L14;}
	{cl_object V6;
	V6= si_do_check_type(4,V5,VV[0],Cnil,VV[8]) /*  DO-CHECK-TYPE */;
	V1= V6;
	}
L14:;
	}
	{cl_object V5;                            /*  TIGHT           */
	cl_object V6;                             /*  NIL             */
	cl_object V7;                             /*  LOOSE           */
	V6= ecl_function_dispatch(cl_env_copy,VV[95])(1,V1) /*  RESOURCE-DATABASE-TIGHT */;
	V7= ecl_function_dispatch(cl_env_copy,VV[96])(1,V1) /*  RESOURCE-DATABASE-LOOSE */;
	V5= V6;
	{cl_object V8;
	cl_object V9;                             /*  RESOURCE        */
	V8= V5;
	V9= Cnil;
	goto L27;
L26:;
	V9= cl_first(V8)                          /*  FIRST           */;
	{cl_object V10;                           /*  VALUE           */
	cl_object V11;                            /*  NIL             */
	cl_object V12;                            /*  NAME            */
	V11= ecl_function_dispatch(cl_env_copy,VV[90])(1,V9) /*  RESOURCE-DATABASE-VALUE */;
	T0= ecl_function_dispatch(cl_env_copy,VV[89])(1,V9) /*  RESOURCE-DATABASE-NAME */;
	T1= ecl_list1(T0);
	V12= ecl_append(V4,T1);
	V10= V11;
	if((V10)==Cnil){
	goto L35;}
	(void)cl_apply(4,V2,V12,V10,V3)           /*  APPLY           */;
	goto L31;
L35:;
	(void)LC21map_resource_internal(V9,V2,V3,V12) /*  MAP-RESOURCE-INTERNAL */;
	}
L31:;
	V8= cl_rest(V8)                           /*  REST            */;
L27:;
	if((V8)==Cnil){
	goto L39;}
	goto L26;
L39:;
	goto L24;
L24:;
	}
	{cl_object V8;
	cl_object V9;                             /*  RESOURCE        */
	V8= V7;
	V9= Cnil;
	goto L48;
L47:;
	V9= cl_first(V8)                          /*  FIRST           */;
	{cl_object V10;                           /*  VALUE           */
	cl_object V11;                            /*  NIL             */
	cl_object V12;                            /*  NAME            */
	V11= ecl_function_dispatch(cl_env_copy,VV[90])(1,V9) /*  RESOURCE-DATABASE-VALUE */;
	T0= ecl_function_dispatch(cl_env_copy,VV[89])(1,V9) /*  RESOURCE-DATABASE-NAME */;
	T1= cl_list(2,_ecl_static_6,T0)           /*  LIST            */;
	V12= ecl_append(V4,T1);
	V10= V11;
	if((V10)==Cnil){
	goto L56;}
	(void)cl_apply(4,V2,V12,V10,V3)           /*  APPLY           */;
	goto L52;
L56:;
	(void)LC21map_resource_internal(V9,V2,V3,V12) /*  MAP-RESOURCE-INTERNAL */;
	}
L52:;
	V8= cl_rest(V8)                           /*  REST            */;
L48:;
	if((V8)==Cnil){
	goto L60;}
	goto L47;
L60:;
	goto L45;
L45:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	function definition for MERGE-RESOURCES                       */
static cl_object L24merge_resources(cl_object V1, cl_object V2)
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	V3= V2;
	if((cl_typep(2,V3,VV[0])                  /*  TYPEP           */)!=Cnil){
	goto L2;}
	{cl_object V4;
	V4= si_do_check_type(4,V3,VV[0],Cnil,VV[45]) /*  DO-CHECK-TYPE */;
	V2= V4;
	}
L2:;
	}
	{cl_object V3;
	V3= V1;
	if((cl_typep(2,V3,VV[0])                  /*  TYPEP           */)!=Cnil){
	goto L8;}
	{cl_object V4;
	V4= si_do_check_type(4,V3,VV[0],Cnil,VV[8]) /*  DO-CHECK-TYPE */;
	V1= V4;
	}
L8:;
	}
	T0= ecl_make_cfun((cl_objectfn_fixed)LC23__g227,Cnil,Cblock,3);
	(void)L22map_resource(3,V1,T0,V2)         /*  MAP-RESOURCE    */;
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G227                                           */
static cl_object LC23__g227(cl_object V1, cl_object V2, cl_object V3)
{ VT25 VLEX25 CLSR25 STCK25
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L10add_resource(V3,V1,V2)          /*  ADD-RESOURCE    */;
	return value0;
}}
/*	function definition for CHAR-MEMQ                             */
static cl_object L25char_memq(cl_object V1, cl_object V2)
{ VT26 VLEX26 CLSR26 STCK26
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	char V3;
	V3= ecl_base_char_code(V2);
TTL:
	{char V4;
	V4= V3;
	if((si_base_char_p(CODE_CHAR(V4))         /*  BASE-CHAR-P     */)!=Cnil){
	goto L3;}
	{cl_object V5;
	V5= si_do_check_type(4,CODE_CHAR(V4),ECL_SYM("BASE-CHAR",118),Cnil,ECL_SYM("CHAR",201)) /*  DO-CHECK-TYPE */;
	V3= ecl_base_char_code(V5);
	}
L3:;
	}
	value0=ecl_memql(CODE_CHAR(V3),V1); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function RESOURCE-WITH-OPEN-FILE                        */
static cl_object LC26resource_with_open_file(cl_object V1, cl_object V2)
{ VT27 VLEX27 CLSR27 STCK27
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  STREAM          */
	cl_object V5;                             /*  PATHNAME        */
	cl_object V6;                             /*  OPTIONS         */
	cl_object V7;                             /*  BODY            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L1:;
	if((V3)==Cnil){
	goto L7;}
	V4= cl_car(V3)                            /*  CAR             */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L5:;
	if((cl_cdr(V3)                            /*  CDR             */)==Cnil){
	goto L11;}
	V5= cl_cadr(V3)                           /*  CADR            */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L9:;
	V6= cl_cddr(V3)                           /*  CDDR            */;
	V7= cl_cddr(V1)                           /*  CDDR            */;
	{cl_object V8;                            /*  ABORTP          */
	cl_object V9;                             /*  NIL             */
	cl_object V10;                            /*  STREAMP         */
	V9= cl_gensym(0)                          /*  GENSYM          */;
	V10= cl_gensym(0)                         /*  GENSYM          */;
	V8= V9;
	T0= cl_list(2,V8,Ct)                      /*  LIST            */;
	T1= cl_list(2,V10,VV[48])                 /*  LIST            */;
	T2= cl_listX(3,ECL_SYM("OPEN",609),V5,V6) /*  LIST*           */;
	T3= cl_list(4,ECL_SYM("IF",944),V10,ECL_SYM("PATHNAME",628),T2) /*  LIST */;
	T4= cl_list(2,V4,T3)                      /*  LIST            */;
	T5= cl_list(3,T0,T1,T4)                   /*  LIST            */;
	T6= CONS(ECL_SYM("PROGN",669),V7);
	T7= cl_list(3,ECL_SYM("SETQ",749),V8,Cnil) /*  LIST           */;
	T8= cl_list(3,ECL_SYM("MULTIPLE-VALUE-PROG1",573),T6,T7) /*  LIST */;
	T9= cl_list(4,ECL_SYM("CLOSE",226),ECL_SYM("STREAM",797),ECL_SYM("ABORT",1167),V8) /*  LIST */;
	T10= cl_list(3,ECL_SYM("UNLESS",881),V10,T9) /*  LIST         */;
	T11= cl_list(3,ECL_SYM("UNWIND-PROTECT",886),T8,T10) /*  LIST */;
	value0=cl_list(3,ECL_SYM("LET*",476),T5,T11) /*  LIST         */;
	return value0;
	}
	}
}}
/*	function definition for READ-RESOURCES                        */
static cl_object L27read_resources(volatile cl_narg narg, cl_object volatile V1, cl_object volatile V2, ...)
{ VT28 VLEX28 CLSR28 STCK28
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<2) FEwrong_num_arguments_anonym();
	{
	volatile cl_object V3;
	volatile cl_object V4;
	volatile cl_object V5;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[6];
	cl_parse_key(args,3,L27read_resourceskeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V3= keyvars[0];
	V4= keyvars[1];
	V5= keyvars[2];
	}
	{cl_object V6;
	V6= V5;
	if((cl_typep(2,V6,VV[50])                 /*  TYPEP           */)!=Cnil){
	goto L2;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[50],Cnil,VV[51]) /*  DO-CHECK-TYPE */;
	V5= V7;
	}
L2:;
	}
	{cl_object V6;
	V6= V4;
	if((cl_typep(2,V6,VV[50])                 /*  TYPEP           */)!=Cnil){
	goto L8;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[50],Cnil,VV[52]) /*  DO-CHECK-TYPE */;
	V4= V7;
	}
L8:;
	}
	{cl_object V6;
	V6= V3;
	if((cl_typep(2,V6,VV[50])                 /*  TYPEP           */)!=Cnil){
	goto L14;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[50],Cnil,VV[53]) /*  DO-CHECK-TYPE */;
	V3= V7;
	}
L14:;
	}
	{cl_object V6;
	V6= V2;
	if((cl_typep(2,V6,VV[54])                 /*  TYPEP           */)!=Cnil){
	goto L20;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[54],Cnil,ECL_SYM("PATHNAME",628)) /*  DO-CHECK-TYPE */;
	V2= V7;
	}
L20:;
	}
	{cl_object V6;
	V6= V1;
	if((cl_typep(2,V6,VV[0])                  /*  TYPEP           */)!=Cnil){
	goto L26;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[0],Cnil,VV[8]) /*  DO-CHECK-TYPE */;
	V1= V7;
	}
L26:;
	}
	{volatile cl_object V6;
	volatile cl_object V7;
	volatile cl_object V8;                    /*  STREAM          */
	V6= Ct;
	V7= cl_streamp(V2)                        /*  STREAMP         */;
	if((V7)==Cnil){
	goto L35;}
	V8= V2;
	goto L33;
L35:;
	V8= cl_open(1,V2)                         /*  OPEN            */;
L33:;
	{
	volatile bool unwinding = FALSE;
	cl_index V9=ECL_STACK_INDEX(cl_env_copy),V10;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{cl_object V11;
	V11= _ecl_inner_frame;
L43:;
	{cl_object V12;                           /*  STRING          */
	V12= cl_read_line(3,V8,Cnil,ECL_SYM("EOF",1199)) /*  READ-LINE */;
	if(!((V12)==(ECL_SYM("EOF",1199)))){
	goto L46;}
	cl_env_copy->values[0]=V1; cl_env_copy->nvalues=1;
	goto L41;
L46:;
	{cl_fixnum V13;                           /*  END             */
	cl_object V14;                            /*  I               */
	cl_object V15;                            /*  TERM            */
	V13= ecl_length(V12);
	T0= ecl_fdefinition(VV[47]);
	V14= cl_position(6,VV[55],V12,ECL_SYM("TEST-NOT",1284),T0,ECL_SYM("END",1196),MAKE_FIXNUM(V13)) /*  POSITION */;
	V15= Cnil;
	if((V14)==Cnil){
	goto L44;}
	{char V16;
	V16= ecl_base_char_code(cl_char(V12,V14)  /*  CHAR            */);
	if(!((V16)==('\41'))){
	goto L57;}
	goto L44;
L57:;
	if(!((V16)==('\43'))){
	goto L60;}
	T0= ecl_fdefinition(VV[47]);
	V15= cl_position(8,VV[55],V12,ECL_SYM("TEST",1283),T0,ECL_SYM("START",1277),V14,ECL_SYM("END",1196),MAKE_FIXNUM(V13)) /*  POSITION */;
	if((cl_string_equal(6,V12,_ecl_static_7,ECL_SYM("START1",1278),V14,ECL_SYM("END1",1197),V15) /*  STRING-EQUAL */)==Cnil){
	goto L44;}
	{cl_object V17;                           /*  PATH            */
	T0= ecl_one_plus(V15);
	T1= cl_subseq(2,V12,T0)                   /*  SUBSEQ          */;
	T2= cl_string_trim(VV[56],T1)             /*  STRING-TRIM     */;
	T3= cl_truename(V8)                       /*  TRUENAME        */;
	V17= cl_merge_pathnames(2,T2,T3)          /*  MERGE-PATHNAMES */;
	(void)L27read_resources(8,V1,V17,ECL_SYM("KEY",1231),V3,ECL_SYM("TEST",1283),V4,ECL_SYM("TEST-NOT",1284),V5) /*  READ-RESOURCES */;
	goto L44;
	}
L60:;
	cl_env_copy->values[0]=L28parse_resource(3,V12,V14,MAKE_FIXNUM(V13)) /*  PARSE-RESOURCE */;
	{
	cl_object V19;                            /*  NAME-LIST       */
	cl_object V20;                            /*  VALUE           */
	{int V21=cl_env_copy->nvalues-0;
	if (V21--<=0) goto L69;
	V19= cl_env_copy->values[0];
	if (V21--<=0) goto L70;
	V20= cl_env_copy->values[1];
	goto L71;}
L69:;
	V19= Cnil;
L70:;
	V20= Cnil;
L71:;
	if((V19)==Cnil){
	goto L44;}
	if((V3)==Cnil){
	goto L74;}
	V20= ecl_function_dispatch(cl_env_copy,V3)(1,V20);
L74:;
	if((V4)==Cnil){
	goto L81;}
	if((ecl_function_dispatch(cl_env_copy,V4)(2,V19,V20))==Cnil){
	goto L44;}
	goto L79;
L81:;
	if((V5)==Cnil){
	goto L84;}
	T0= ecl_function_dispatch(cl_env_copy,V5)(2,V19,V20);
	if(!((T0)==Cnil)){
	goto L44;}
	goto L79;
L84:;
L79:;
	(void)L10add_resource(V1,V19,V20)         /*  ADD-RESOURCE    */;}
	}
	}
	}
L44:;
	goto L43;
L41:;
	ecl_stack_frame_push_values(V11);
	V6= Cnil;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V11);
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	}
	ecl_frs_pop(cl_env_copy);
	V10=ecl_stack_push_values(cl_env_copy);
	if((V7)!=Cnil){
	goto L90;}
	(void)cl_close(3,V8,ECL_SYM("ABORT",1167),V6) /*  CLOSE       */;
L90:;
	ecl_stack_pop_values(cl_env_copy,V10);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V9);
	return cl_env_copy->values[0];}
	}
}}
/*	function definition for PARSE-RESOURCE                        */
static cl_object L28parse_resource(cl_narg narg, cl_object V1, ...)
{ VT29 VLEX29 CLSR29 STCK29
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<1) FEwrong_num_arguments_anonym();
	if(narg>3) FEwrong_num_arguments_anonym();
	{
	cl_fixnum V2;
	cl_object V3;
	va_list args; va_start(args,V1);{int i=1;
	if (i >= narg) {
	V2= 0;
	} else {
	i++;
	V2= ecl_to_fixnum(va_arg(args,cl_object));
	}
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V4;
	V4= V3;
	if((cl_typep(2,V4,VV[58])                 /*  TYPEP           */)!=Cnil){
	goto L4;}
	{cl_object V5;
	V5= si_do_check_type(4,V4,VV[58],Cnil,VV[59]) /*  DO-CHECK-TYPE */;
	V3= V5;
	}
L4:;
	}
	{cl_fixnum V4;
	V4= V2;
	if((cl_typep(2,MAKE_FIXNUM(V4),VV[60])    /*  TYPEP           */)!=Cnil){
	goto L11;}
	{cl_object V5;
	V5= si_do_check_type(4,MAKE_FIXNUM(V4),VV[60],Cnil,VV[61]) /*  DO-CHECK-TYPE */;
	V2= ecl_to_fixnum(V5);
	}
L11:;
	}
	{cl_object V4;
	V4= V1;
	if(ecl_stringp(V4)){
	goto L17;}
	{cl_object V5;
	V5= si_do_check_type(4,V4,ECL_SYM("STRING",803),Cnil,ECL_SYM("STRING",803)) /*  DO-CHECK-TYPE */;
	V1= V5;
	}
L17:;
	}
	{cl_object V4;                            /*  I               */
	cl_fixnum V5;                             /*  END             */
	cl_object V6;                             /*  TERM            */
	cl_object V7;                             /*  NAME-LIST       */
	{cl_object V8;
	if((V3)==Cnil){
	goto L24;}
	V5= ecl_to_fixnum(V3);
	goto L22;
L24:;
	V5= ecl_length(V1);
	}
L22:;
	V4= MAKE_FIXNUM(V2);
	V6= Cnil;
	V7= Cnil;
	goto L29;
L28:;
	T0= ecl_fdefinition(VV[47]);
	V6= cl_position(8,VV[62],V1,ECL_SYM("TEST",1283),T0,ECL_SYM("START",1277),V4,ECL_SYM("END",1196),MAKE_FIXNUM(V5)) /*  POSITION */;
	{cl_object V8;
	if((V6)==Cnil){
	goto L37;}
	V8= cl_char(V1,V6)                        /*  CHAR            */;
	goto L35;
L37:;
	V8= Cnil;
L35:;
	if(!(((V8)==CODE_CHAR('\56')))){
	goto L40;}
	if(!(ecl_number_compare(V6,V4)>0)){
	goto L34;}
	T0= cl_subseq(3,V1,V4,V6)                 /*  SUBSEQ          */;
	V7= CONS(T0,V7);
	goto L34;
L40:;
	if(!(((V8)==CODE_CHAR('\52')))){
	goto L46;}
	if(!(ecl_number_compare(V6,V4)>0)){
	goto L48;}
	T0= cl_subseq(3,V1,V4,V6)                 /*  SUBSEQ          */;
	V7= CONS(T0,V7);
L48:;
	V7= CONS(ECL_SYM("*",16),V7);
	goto L34;
L46:;
	if(!(((V8)==CODE_CHAR('\72')))){
	goto L54;}
	T0= cl_subseq(3,V1,V4,V6)                 /*  SUBSEQ          */;
	V7= CONS(T0,V7);
	T0= cl_nreverse(V7)                       /*  NREVERSE        */;
	T1= ecl_one_plus(V6);
	T2= cl_subseq(2,V1,T1)                    /*  SUBSEQ          */;
	T3= cl_string_trim(VV[55],T2)             /*  STRING-TRIM     */;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=T3;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
L54:;
	T0= cl_nreverse(V7)                       /*  NREVERSE        */;
	T1= cl_subseq(3,V1,V4,V6)                 /*  SUBSEQ          */;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=T1;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
L34:;
	V4= ecl_one_plus(V6);
L29:;
	if(ecl_number_compare(V4,MAKE_FIXNUM(V5))>=0){
	goto L60;}
	goto L28;
L60:;
	goto L26;
L26:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for WRITE-RESOURCES                       */
static cl_object L30write_resources(volatile cl_narg narg, cl_object volatile V1, cl_object volatile V2, ...)
{ VT30 VLEX30 CLSR30 STCK30
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<2) FEwrong_num_arguments_anonym();
	{
	volatile cl_object V3;
	volatile cl_object V4;
	volatile cl_object V5;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[6];
	cl_parse_key(args,3,L30write_resourceskeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V3= keyvars[0];
	V4= keyvars[1];
	V5= keyvars[2];
	}
	{cl_object V6;
	V6= V5;
	if((cl_typep(2,V6,VV[50])                 /*  TYPEP           */)!=Cnil){
	goto L2;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[50],Cnil,VV[51]) /*  DO-CHECK-TYPE */;
	V5= V7;
	}
L2:;
	}
	{cl_object V6;
	V6= V4;
	if((cl_typep(2,V6,VV[50])                 /*  TYPEP           */)!=Cnil){
	goto L8;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[50],Cnil,VV[52]) /*  DO-CHECK-TYPE */;
	V4= V7;
	}
L8:;
	}
	{cl_object V6;
	V6= V3;
	if((cl_typep(2,V6,VV[50])                 /*  TYPEP           */)!=Cnil){
	goto L14;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[50],Cnil,ECL_SYM("WRITE",915)) /*  DO-CHECK-TYPE */;
	V3= V7;
	}
L14:;
	}
	{cl_object V6;
	V6= V2;
	if((cl_typep(2,V6,VV[54])                 /*  TYPEP           */)!=Cnil){
	goto L20;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[54],Cnil,ECL_SYM("PATHNAME",628)) /*  DO-CHECK-TYPE */;
	V2= V7;
	}
L20:;
	}
	{cl_object V6;
	V6= V1;
	if((cl_typep(2,V6,VV[0])                  /*  TYPEP           */)!=Cnil){
	goto L26;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[0],Cnil,VV[8]) /*  DO-CHECK-TYPE */;
	V1= V7;
	}
L26:;
	}
	{volatile cl_object V6;
	volatile cl_object V7;
	volatile cl_object V8;                    /*  STREAM          */
	V6= Ct;
	V7= cl_streamp(V2)                        /*  STREAMP         */;
	if((V7)==Cnil){
	goto L36;}
	V8= V2;
	goto L34;
L36:;
	V8= cl_open(3,V2,ECL_SYM("DIRECTION",1189),ECL_SYM("OUTPUT",1250)) /*  OPEN */;
L34:;
	{
	volatile bool unwinding = FALSE;
	cl_index V9=ECL_STACK_INDEX(cl_env_copy),V10;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{cl_object V11;
	V11= _ecl_inner_frame;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC29__g285,Cnil,Cblock,6);
	{cl_object V12;
	if((V3)==Cnil){
	goto L46;}
	T1= V3;
	goto L44;
L46:;
	T1= (ECL_SYM("PRINC",658)->symbol.gfdef);
	}
L44:;
	cl_env_copy->values[0]=L22map_resource(6,V1,T0,V8,T1,V4,V5) /*  MAP-RESOURCE */;
	ecl_stack_frame_push_values(V11);
	V6= Cnil;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V11);
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	}
	ecl_frs_pop(cl_env_copy);
	V10=ecl_stack_push_values(cl_env_copy);
	if((V7)!=Cnil){
	goto L50;}
	(void)cl_close(3,V8,ECL_SYM("ABORT",1167),V6) /*  CLOSE       */;
L50:;
	ecl_stack_pop_values(cl_env_copy,V10);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V9);}
	}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G285                                           */
static cl_object LC29__g285(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6)
{ VT31 VLEX31 CLSR31 STCK31
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V5)==Cnil){
	goto L5;}
	if((ecl_function_dispatch(cl_env_copy,V5)(2,V1,V2))==Cnil){
	goto L2;}
	goto L3;
L5:;
	if((V6)==Cnil){
	goto L8;}
	T0= ecl_function_dispatch(cl_env_copy,V6)(2,V1,V2);
	if(!((T0)==Cnil)){
	goto L2;}
	goto L3;
L8:;
L3:;
	{cl_object V7;                            /*  PREVIOUS        */
	V7= cl_car(V1)                            /*  CAR             */;
	ecl_princ(V7,V3);
	{cl_object V8;
	cl_object V9;                             /*  NAME            */
	V8= cl_cdr(V1)                            /*  CDR             */;
	V9= Cnil;
	goto L19;
L18:;
	V9= cl_first(V8)                          /*  FIRST           */;
	if((L9stringable_equal(V9,_ecl_static_6)  /*  STRINGABLE-EQUAL */)!=Cnil){
	goto L23;}
	if((L9stringable_equal(V7,_ecl_static_6)  /*  STRINGABLE-EQUAL */)!=Cnil){
	goto L23;}
	(void)cl_write_char(2,CODE_CHAR('\56'),V3) /*  WRITE-CHAR     */;
L23:;
	V7= V9;
	ecl_princ(V9,V3);
	V8= cl_rest(V8)                           /*  REST            */;
L19:;
	if((V8)==Cnil){
	goto L33;}
	goto L18;
L33:;
	goto L16;
L16:;
	}
	}
	(void)cl_write_string(2,_ecl_static_8,V3) /*  WRITE-STRING    */;
	(void)ecl_function_dispatch(cl_env_copy,V4)(2,V2,V3);
	value0=ecl_terpri(V3); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for WM-RESOURCES                          */
static cl_object L31wm_resources(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT32 VLEX32 CLSR32 STCK32
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<2) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[6];
	cl_parse_key(args,3,L31wm_resourceskeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V3= keyvars[0];
	V4= keyvars[1];
	V5= keyvars[2];
	}
	{cl_object V6;
	V6= V5;
	if((cl_typep(2,V6,VV[50])                 /*  TYPEP           */)!=Cnil){
	goto L2;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[50],Cnil,VV[51]) /*  DO-CHECK-TYPE */;
	V5= V7;
	}
L2:;
	}
	{cl_object V6;
	V6= V4;
	if((cl_typep(2,V6,VV[50])                 /*  TYPEP           */)!=Cnil){
	goto L8;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[50],Cnil,VV[52]) /*  DO-CHECK-TYPE */;
	V4= V7;
	}
L8:;
	}
	{cl_object V6;
	V6= V3;
	if((cl_typep(2,V6,VV[50])                 /*  TYPEP           */)!=Cnil){
	goto L14;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[50],Cnil,VV[53]) /*  DO-CHECK-TYPE */;
	V3= V7;
	}
L14:;
	}
	{cl_object V6;
	V6= V2;
	if((cl_typep(2,V6,VV[65])                 /*  TYPEP           */)!=Cnil){
	goto L20;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[65],Cnil,VV[65]) /*  DO-CHECK-TYPE */;
	V2= V7;
	}
L20:;
	}
	{cl_object V6;
	V6= V1;
	if((cl_typep(2,V6,VV[0])                  /*  TYPEP           */)!=Cnil){
	goto L26;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[0],Cnil,VV[8]) /*  DO-CHECK-TYPE */;
	V1= V7;
	}
L26:;
	}
	{cl_object V6;                            /*  STRING          */
	T0= ecl_fdefinition(VV[124]);
	V6= ecl_function_dispatch(cl_env_copy,VV[125])(8,V2,VV[66],ECL_SYM("TYPE",1285),VV[67],VV[68],ECL_SYM("STRING",803),VV[69],T0) /*  GET-PROPERTY */;
	if((V6)==Cnil){
	goto L34;}
	{cl_object V7;                            /*  STREAM          */
	V7= cl_make_string_input_stream(3,V6,Cnil,Cnil) /*  MAKE-STRING-INPUT-STREAM */;
	value0=L27read_resources(8,V1,V7,ECL_SYM("KEY",1231),V3,ECL_SYM("TEST",1283),V4,ECL_SYM("TEST-NOT",1284),V5) /*  READ-RESOURCES */;
	return value0;
	}
L34:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for SET-WM-RESOURCES                      */
static cl_object L32set_wm_resources(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT33 VLEX33 CLSR33 STCK33
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<2) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[6];
	cl_parse_key(args,3,L32set_wm_resourceskeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V3= keyvars[0];
	V4= keyvars[1];
	V5= keyvars[2];
	}
	{cl_object V6;
	V6= V5;
	if((cl_typep(2,V6,VV[50])                 /*  TYPEP           */)!=Cnil){
	goto L2;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[50],Cnil,VV[51]) /*  DO-CHECK-TYPE */;
	V5= V7;
	}
L2:;
	}
	{cl_object V6;
	V6= V4;
	if((cl_typep(2,V6,VV[50])                 /*  TYPEP           */)!=Cnil){
	goto L8;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[50],Cnil,VV[52]) /*  DO-CHECK-TYPE */;
	V4= V7;
	}
L8:;
	}
	{cl_object V6;
	V6= V3;
	if((cl_typep(2,V6,VV[50])                 /*  TYPEP           */)!=Cnil){
	goto L14;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[50],Cnil,ECL_SYM("WRITE",915)) /*  DO-CHECK-TYPE */;
	V3= V7;
	}
L14:;
	}
	{cl_object V6;
	V6= V2;
	if((cl_typep(2,V6,VV[65])                 /*  TYPEP           */)!=Cnil){
	goto L20;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[65],Cnil,VV[65]) /*  DO-CHECK-TYPE */;
	V2= V7;
	}
L20:;
	}
	{cl_object V6;
	V6= V1;
	if((cl_typep(2,V6,VV[0])                  /*  TYPEP           */)!=Cnil){
	goto L26;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[0],Cnil,VV[8]) /*  DO-CHECK-TYPE */;
	V1= V7;
	}
L26:;
	}
	{cl_object V6;                            /*  STREAM          */
	V6= cl_make_string_output_stream(0)       /*  MAKE-STRING-OUTPUT-STREAM */;
	(void)L30write_resources(8,V1,V6,VV[71],V3,ECL_SYM("TEST",1283),V4,ECL_SYM("TEST-NOT",1284),V5) /*  WRITE-RESOURCES */;
	T0= cl_get_output_stream_string(V6)       /*  GET-OUTPUT-STREAM-STRING */;
	}
	value0=ecl_function_dispatch(cl_env_copy,VV[127])(3,V2,VV[66],T0) /*  SET-STRING-PROPERTY */;
	return value0;
}}
/*	function definition for ROOT-RESOURCES                        */
static cl_object L33root_resources(cl_narg narg, cl_object V1, ...)
{ VT34 VLEX34 CLSR34 STCK34
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<1) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[8];
	cl_parse_key(args,4,L33root_resourceskeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V2= keyvars[0];
	V3= keyvars[1];
	V4= keyvars[2];
	V5= keyvars[3];
	}
	{cl_object V6;
	V6= V5;
	if((cl_typep(2,V6,VV[50])                 /*  TYPEP           */)!=Cnil){
	goto L2;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[50],Cnil,VV[51]) /*  DO-CHECK-TYPE */;
	V5= V7;
	}
L2:;
	}
	{cl_object V6;
	V6= V4;
	if((cl_typep(2,V6,VV[50])                 /*  TYPEP           */)!=Cnil){
	goto L8;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[50],Cnil,VV[52]) /*  DO-CHECK-TYPE */;
	V4= V7;
	}
L8:;
	}
	{cl_object V6;
	V6= V3;
	if((cl_typep(2,V6,VV[50])                 /*  TYPEP           */)!=Cnil){
	goto L14;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[50],Cnil,VV[53]) /*  DO-CHECK-TYPE */;
	V3= V7;
	}
L14:;
	}
	{cl_object V6;
	V6= V2;
	if((cl_typep(2,V6,VV[73])                 /*  TYPEP           */)!=Cnil){
	goto L20;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[73],Cnil,VV[8]) /*  DO-CHECK-TYPE */;
	V2= V7;
	}
L20:;
	}
	{cl_object V6;
	V6= V1;
	if((cl_typep(2,V6,VV[74])                 /*  TYPEP           */)!=Cnil){
	goto L26;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[74],Cnil,VV[75]) /*  DO-CHECK-TYPE */;
	V1= V7;
	}
L26:;
	}
	{cl_object V6;                            /*  SCREEN          */
	cl_object V7;                             /*  WINDOW          */
	cl_object V8;                             /*  DATABASE        */
	if((cl_typep(2,V1,VV[76])                 /*  TYPEP           */)==Cnil){
	goto L33;}
	V6= ecl_function_dispatch(cl_env_copy,VV[133])(1,V1) /*  DISPLAY-DEFAULT-SCREEN */;
	goto L31;
L33:;
	V6= V1;
L31:;
	V7= ecl_function_dispatch(cl_env_copy,VV[134])(1,V6) /*  SCREEN-ROOT */;
	{cl_object V9;
	if((V2)==Cnil){
	goto L38;}
	V8= V2;
	goto L36;
L38:;
	V8= L4make_resource_database()            /*  MAKE-RESOURCE-DATABASE */;
	}
L36:;
	(void)L31wm_resources(8,V8,V7,ECL_SYM("KEY",1231),V3,ECL_SYM("TEST",1283),V4,ECL_SYM("TEST-NOT",1284),V5) /*  WM-RESOURCES */;
	value0=V8; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for SET-ROOT-RESOURCES                    */
static cl_object L34set_root_resources(cl_narg narg, cl_object V1, ...)
{ VT35 VLEX35 CLSR35 STCK35
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<1) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[8];
	cl_parse_key(args,4,L34set_root_resourceskeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V2= keyvars[0];
	V3= keyvars[1];
	if(keyvars[6]==Cnil){
	V4= (ECL_SYM("PRINC",658)->symbol.gfdef);
	}else{
	V4= keyvars[2];}
	V5= keyvars[3];
	}
	{cl_object V6;
	V6= V5;
	if((cl_typep(2,V6,VV[73])                 /*  TYPEP           */)!=Cnil){
	goto L3;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[73],Cnil,VV[8]) /*  DO-CHECK-TYPE */;
	V5= V7;
	}
L3:;
	}
	{cl_object V6;
	V6= V4;
	if((cl_typep(2,V6,VV[50])                 /*  TYPEP           */)!=Cnil){
	goto L9;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[50],Cnil,ECL_SYM("WRITE",915)) /*  DO-CHECK-TYPE */;
	V4= V7;
	}
L9:;
	}
	{cl_object V6;
	V6= V3;
	if((cl_typep(2,V6,VV[50])                 /*  TYPEP           */)!=Cnil){
	goto L15;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[50],Cnil,VV[51]) /*  DO-CHECK-TYPE */;
	V3= V7;
	}
L15:;
	}
	{cl_object V6;
	V6= V2;
	if((cl_typep(2,V6,VV[50])                 /*  TYPEP           */)!=Cnil){
	goto L21;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[50],Cnil,VV[52]) /*  DO-CHECK-TYPE */;
	V2= V7;
	}
L21:;
	}
	{cl_object V6;
	V6= V1;
	if((cl_typep(2,V6,VV[74])                 /*  TYPEP           */)!=Cnil){
	goto L27;}
	{cl_object V7;
	V7= si_do_check_type(4,V6,VV[74],Cnil,VV[75]) /*  DO-CHECK-TYPE */;
	V1= V7;
	}
L27:;
	}
	{cl_object V6;                            /*  SCREEN          */
	cl_object V7;                             /*  WINDOW          */
	if((cl_typep(2,V1,VV[76])                 /*  TYPEP           */)==Cnil){
	goto L34;}
	V6= ecl_function_dispatch(cl_env_copy,VV[133])(1,V1) /*  DISPLAY-DEFAULT-SCREEN */;
	goto L32;
L34:;
	V6= V1;
L32:;
	V7= ecl_function_dispatch(cl_env_copy,VV[134])(1,V6) /*  SCREEN-ROOT */;
	(void)L32set_wm_resources(8,V5,V7,VV[71],V4,ECL_SYM("TEST",1283),V2,ECL_SYM("TEST-NOT",1284),V3) /*  SET-WM-RESOURCES */;
	value0=V5; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function ROOT-RESOURCES                                 */
static cl_object LC35root_resources(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT36 VLEX36 CLSR36 STCK36
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<2) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[6];
	cl_parse_key(args,3,LC35root_resourceskeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V3= keyvars[0];
	V4= keyvars[1];
	if(keyvars[5]==Cnil){
	V5= (ECL_SYM("PRINC",658)->symbol.gfdef);
	}else{
	V5= keyvars[2];}
	}
	value0=cl_list(10,VV[78],V2,ECL_SYM("TEST",1283),V3,ECL_SYM("TEST-NOT",1284),V4,VV[71],V5,VV[79],V1) /*  LIST */;
	return value0;
}}
/*	function definition for INITIALIZE-RESOURCE-DATABASE          */
static cl_object L36initialize_resource_database(cl_object V1)
{ VT37 VLEX37 CLSR37 STCK37
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;
	V2= V1;
	if((cl_typep(2,V2,VV[76])                 /*  TYPEP           */)!=Cnil){
	goto L2;}
	{cl_object V3;
	V3= si_do_check_type(4,V2,VV[76],Cnil,VV[76]) /*  DO-CHECK-TYPE */;
	V1= V3;
	}
L2:;
	}
	{cl_object V2;                            /*  RDB             */
	cl_object V3;                             /*  NIL             */
	cl_object V4;                             /*  ROOTWIN         */
	V3= L4make_resource_database()            /*  MAKE-RESOURCE-DATABASE */;
	T0= ecl_function_dispatch(cl_env_copy,VV[141])(1,V1) /*  DISPLAY-ROOTS */;
	T1= cl_car(T0)                            /*  CAR             */;
	V4= ecl_function_dispatch(cl_env_copy,VV[134])(1,T1) /*  SCREEN-ROOT */;
	V2= V3;
	if((ecl_function_dispatch(cl_env_copy,VV[125])(2,V4,VV[66]) /*  GET-PROPERTY */)==Cnil){
	goto L11;}
	(void)L31wm_resources(2,V2,V4)            /*  WM-RESOURCES    */;
	goto L9;
L11:;
	{cl_object V5;                            /*  PATH            */
	V5= ecl_function_dispatch(cl_env_copy,VV[142])(0) /*  DEFAULT-RESOURCES-PATHNAME */;
	if((V5)==Cnil){
	goto L9;}
	if((cl_probe_file(V5)                     /*  PROBE-FILE      */)==Cnil){
	goto L9;}
	(void)L27read_resources(2,V2,V5)          /*  READ-RESOURCES  */;
	}
L9:;
	{cl_object V5;                            /*  PATH            */
	V5= ecl_function_dispatch(cl_env_copy,VV[143])(0) /*  RESOURCES-PATHNAME */;
	if((V5)==Cnil){
	goto L18;}
	if((cl_probe_file(V5)                     /*  PROBE-FILE      */)==Cnil){
	goto L18;}
	(void)L27read_resources(2,V2,V5)          /*  READ-RESOURCES  */;
	}
L18:;
	value0=si_structure_set(V1,VV[76],MAKE_FIXNUM(42),V2) /*  STRUCTURE-SET */;
	return value0;
	}
}}
	
#include "/home/mandrake/rpm/BUILD/ecl-9.12.3/build/clx/resource.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclI3Gx8gb5LRrlW_hjqDsAz(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (!FIXNUMP(flag)){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("/home/mandrake/rpm/BUILD/ecl-9.12.3/src/clx/resource.lisp");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclI3Gx8gb5LRrlW_hjqDsAz@";
	VVtemp = Cblock->cblock.temp_data;
	(void)si_select_package(_ecl_static_0)    /*  SELECT-PACKAGE  */;
	(void)si_define_structure(15,VV[0],_ecl_static_1,Cnil,Cnil,VVtemp[0],VVtemp[1],Cnil,Cnil,VV[1],Cnil,VVtemp[2],MAKE_FIXNUM(4),Cnil,Cnil,Cnil) /*  DEFINE-STRUCTURE */;
	VV[6]= cl_find_class(1,VV[0])             /*  FIND-CLASS      */;
	ecl_cmp_defun(VV[82]);
	ecl_cmp_defun(VV[87]);
	ecl_cmp_defun(VV[91]);
	ecl_cmp_defun(VV[92]);
	ecl_cmp_defun(VV[93]);
	ecl_cmp_defun(VV[94]);
	(void)si_Xmake_special(VV[15])            /*  *MAKE-SPECIAL   */;
	cl_set(VV[15],Cnil);
	ecl_cmp_defun(VV[97]);
	ecl_cmp_defun(VV[99]);
	ecl_cmp_defun(VV[100]);
	ecl_cmp_defun(VV[101]);
	ecl_cmp_defun(VV[102]);
	ecl_cmp_defun(VV[103]);
	ecl_cmp_defun(VV[104]);
	ecl_cmp_defun(VV[105]);
	ecl_cmp_defun(VV[106]);
	(void)si_Xmake_special(VV[39])            /*  *MAKE-SPECIAL   */;
	ecl_cmp_defun(VV[107]);
	ecl_cmp_defun(VV[108]);
	ecl_cmp_defun(VV[109]);
	ecl_cmp_defun(VV[110]);
	ecl_cmp_defun(VV[111]);
	ecl_cmp_defun(VV[112]);
	ecl_cmp_defmacro(VV[113]);
	ecl_cmp_defun(VV[114]);
	ecl_cmp_defun(VV[118]);
	ecl_cmp_defun(VV[119]);
	ecl_cmp_defun(VV[123]);
	ecl_cmp_defun(VV[126]);
	ecl_cmp_defun(VV[128]);
	ecl_cmp_defun(VV[135]);
	T0= ecl_make_cfun_va((cl_objectfn)LC35root_resources,Cnil,Cblock);
	(void)si_put_sysprop(VV[77],ECL_SYM("SETF-LAMBDA",1116),T0) /*  PUT-SYSPROP */;
	(void)si_rem_sysprop(VV[77],VV[80])       /*  REM-SYSPROP     */;
	(void)si_rem_sysprop(VV[77],ECL_SYM("SETF-METHOD",1117)) /*  REM-SYSPROP */;
	(void)si_rem_sysprop(VV[77],ECL_SYM("SETF-SYMBOL",1119)) /*  REM-SYSPROP */;
	ecl_cmp_defun(VV[140]);
}
