/*	Compiler: ECL 9.12.3                                          */
/*	Source: src:lsp;arraylib.lsp                                  */
#include <ecl/ecl-cmp.h>
#include "/home/mandrake/rpm/BUILD/ecl-9.12.3/build/lsp/arraylib.h"
/*	function definition for MAKE-ARRAY                            */
cl_object cl_make_array(cl_narg narg, cl_object V1, ...)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<1) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_object V9;
	cl_object V10;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[14];
	cl_parse_key(args,7,cl_make_arraykeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	if(keyvars[7]==Cnil){
	V2= Ct;
	}else{
	V2= keyvars[0];}
	V3= keyvars[1];
	V4= keyvars[8];
	V5= keyvars[2];
	V6= keyvars[9];
	V7= keyvars[3];
	V8= keyvars[4];
	V9= keyvars[5];
	if(keyvars[13]==Cnil){
	V10= MAKE_FIXNUM(0);
	}else{
	V10= keyvars[6];}
	}
	{cl_object V11;                           /*  X               */
	V11= si_make_pure_array(V2,V1,V7,V8,V9,V10) /*  MAKE-PURE-ARRAY */;
	if((V4)==Cnil){
	goto L5;}
	if((V6)==Cnil){
	goto L7;}
	(void)cl_error(1,_ecl_static_1)           /*  ERROR           */;
L7:;
	value0=si_fill_array_with_elt(V11,V3,MAKE_FIXNUM(0),Cnil) /*  FILL-ARRAY-WITH-ELT */;
	return value0;
L5:;
	if((V6)==Cnil){
	goto L11;}
	value0=si_fill_array_with_seq(2,V11,V5)   /*  FILL-ARRAY-WITH-SEQ */;
	return value0;
L11:;
	value0=V11; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for FILL-ARRAY-WITH-SEQ                   */
cl_object si_fill_array_with_seq(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg!=2) FEwrong_num_arguments_anonym();
	{
TTL:
	{cl_object V3;                            /*  DIMS            */
	V3= cl_array_dimensions(1,V1)             /*  ARRAY-DIMENSIONS */;
	if((V3)==Cnil){
	goto L4;}
	(void)LC1iterate_over_contents(V1,V2,V3,MAKE_FIXNUM(0)) /*  ITERATE-OVER-CONTENTS */;
	goto L1;
L4:;
	(void)si_aset(2,V2,V1)                    /*  ASET            */;
	}
L1:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function ITERATE-OVER-CONTENTS                          */
static cl_object LC1iterate_over_contents(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_fixnum V5;
	V5= ecl_to_fixnum(V4);
TTL:
	T0= MAKE_FIXNUM(ecl_length(V2));
	T1= CAR(V3);
	if(!(!ecl_number_equalp(T0,T1))){
	goto L3;}
	(void)cl_error(1,_ecl_static_2)           /*  ERROR           */;
L3:;
	{cl_fixnum V6;
	V6= ecl_length(V3);
	if(!((V6)==(1))){
	goto L8;}}
	{cl_object V6;                            /*  IT              */
	V6= si_make_seq_iterator(1,V2)            /*  MAKE-SEQ-ITERATOR */;
	goto L14;
L13:;
	T0= si_seq_iterator_ref(2,V2,V6)          /*  SEQ-ITERATOR-REF */;
	ecl_aset_unsafe(V1,V5,T0);
	{cl_fixnum V7;
	V7= 1;
	V5= (V5)+(V7);
	}
	V6= si_seq_iterator_next(2,V2,V6)         /*  SEQ-ITERATOR-NEXT */;
L14:;
	if((V6)==Cnil){
	goto L22;}
	goto L13;
L22:;
	goto L11;
L11:;
	goto L6;
	}
L8:;
	{cl_object V7;                            /*  IT              */
	V7= si_make_seq_iterator(1,V2)            /*  MAKE-SEQ-ITERATOR */;
	goto L29;
L28:;
	{cl_object V8;
	T0= si_seq_iterator_ref(2,V2,V7)          /*  SEQ-ITERATOR-REF */;
	T1= CDR(V3);
	V8= LC1iterate_over_contents(V1,T0,T1,MAKE_FIXNUM(V5)) /*  ITERATE-OVER-CONTENTS */;
	V5= ecl_to_fixnum(V8);
	}
	V7= si_seq_iterator_next(2,V2,V7)         /*  SEQ-ITERATOR-NEXT */;
L29:;
	if((V7)==Cnil){
	goto L36;}
	goto L28;
L36:;
	goto L26;
L26:;
	}
L6:;
	value0=MAKE_FIXNUM(V5); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for VECTOR                                */
cl_object cl_vector(cl_narg narg, ...)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	V1=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V2;                            /*  A               */
	T0= MAKE_FIXNUM(ecl_length(V1));
	V2= si_make_vector(Ct,T0,Cnil,Cnil,Cnil,MAKE_FIXNUM(0)) /*  MAKE-VECTOR */;
	value0=si_fill_array_with_seq(2,V2,V1)    /*  FILL-ARRAY-WITH-SEQ */;
	return value0;
	}
}}
/*	function definition for ARRAY-DIMENSIONS                      */
cl_object cl_array_dimensions(cl_narg narg, cl_object V1, ...)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg!=1) FEwrong_num_arguments_anonym();
	{
TTL:
	{cl_object V2;                            /*  I               */
	cl_object V3;                             /*  D               */
	V2= cl_array_rank(V1)                     /*  ARRAY-RANK      */;
	V3= Cnil;
	goto L5;
L4:;
	V2= ecl_one_minus(V2);
	T0= MAKE_FIXNUM(ecl_array_dimension(V1,fixint(V2)));
	V3= CONS(T0,V3);
L5:;
	if(ecl_number_equalp(V2,MAKE_FIXNUM(0))){
	goto L11;}
	goto L4;
L11:;
	goto L2;
L2:;
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for ARRAY-IN-BOUNDS-P                     */
cl_object cl_array_in_bounds_p(cl_narg narg, cl_object V1, ...)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<1) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_fixnum V3;                            /*  R               */
	V3= ecl_to_fixnum(cl_array_rank(V1)       /*  ARRAY-RANK      */);
	{cl_fixnum V4;
	V4= ecl_length(V2);
	if(!((V3)!=(V4))){
	goto L2;}}
	T0= MAKE_FIXNUM(ecl_length(V2));
	(void)cl_error(3,_ecl_static_3,MAKE_FIXNUM(V3),T0) /*  ERROR  */;
L2:;
	{cl_object V4;                            /*  I               */
	cl_object V5;                             /*  S               */
	V4= MAKE_FIXNUM(0);
	V5= V2;
	goto L8;
L7:;
	T0= cl_car(V5)                            /*  CAR             */;
	if(ecl_number_compare(T0,MAKE_FIXNUM(0))<0){
	goto L11;}
	T0= cl_car(V5)                            /*  CAR             */;
	T1= MAKE_FIXNUM(ecl_array_dimension(V1,fixint(V4)));
	if(!(ecl_number_compare(T0,T1)>=0)){
	goto L10;}
L11:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L10:;
	V4= ecl_one_plus(V4);
	V5= cl_cdr(V5)                            /*  CDR             */;
L8:;
	if(ecl_number_compare(V4,MAKE_FIXNUM(V3))>=0){
	goto L18;}
	goto L7;
L18:;
	goto L5;
L5:;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	function definition for ARRAY-ROW-MAJOR-INDEX                 */
cl_object cl_array_row_major_index(cl_narg narg, cl_object V1, ...)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<1) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V3;                            /*  I               */
	cl_object V4;                             /*  J               */
	cl_object V5;                             /*  S               */
	V3= MAKE_FIXNUM(0);
	V4= MAKE_FIXNUM(0);
	V5= V2;
	goto L4;
L3:;
	{cl_object V6;
	V6= ecl_one_plus(V3);
	T0= MAKE_FIXNUM(ecl_array_dimension(V1,fixint(V3)));
	T1= ecl_times(V4,T0);
	T2= cl_car(V5)                            /*  CAR             */;
	V4= ecl_plus(T1,T2);
	V5= cl_cdr(V5)                            /*  CDR             */;
	V3= V6;}
L4:;
	if((V5)==Cnil){
	goto L10;}
	goto L3;
L10:;
	goto L1;
L1:;
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for BIT                                   */
cl_object cl_bit(cl_narg narg, cl_object V1, ...)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<1) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	cl_va_end(args);
	T0= (ECL_SYM("AREF",90)->symbol.gfdef);
	value0=cl_apply(3,T0,V1,V2)               /*  APPLY           */;
	return value0;
}}
/*	function definition for SBIT                                  */
cl_object cl_sbit(cl_narg narg, cl_object V1, ...)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<1) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	cl_va_end(args);
	T0= (ECL_SYM("AREF",90)->symbol.gfdef);
	value0=cl_apply(3,T0,V1,V2)               /*  APPLY           */;
	return value0;
}}
/*	function definition for BIT-AND                               */
cl_object cl_bit_and(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<2) FEwrong_num_arguments_anonym();
	if(narg>3) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);{int i=2;
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=si_bit_array_op(MAKE_FIXNUM(1),V1,V2,V3) /*  BIT-ARRAY-OP */;
	return value0;
}}
/*	function definition for BIT-IOR                               */
cl_object cl_bit_ior(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<2) FEwrong_num_arguments_anonym();
	if(narg>3) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);{int i=2;
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=si_bit_array_op(MAKE_FIXNUM(7),V1,V2,V3) /*  BIT-ARRAY-OP */;
	return value0;
}}
/*	function definition for BIT-XOR                               */
cl_object cl_bit_xor(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<2) FEwrong_num_arguments_anonym();
	if(narg>3) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);{int i=2;
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=si_bit_array_op(MAKE_FIXNUM(6),V1,V2,V3) /*  BIT-ARRAY-OP */;
	return value0;
}}
/*	function definition for BIT-EQV                               */
cl_object cl_bit_eqv(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<2) FEwrong_num_arguments_anonym();
	if(narg>3) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);{int i=2;
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=si_bit_array_op(MAKE_FIXNUM(9),V1,V2,V3) /*  BIT-ARRAY-OP */;
	return value0;
}}
/*	function definition for BIT-NAND                              */
cl_object cl_bit_nand(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<2) FEwrong_num_arguments_anonym();
	if(narg>3) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);{int i=2;
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=si_bit_array_op(MAKE_FIXNUM(14),V1,V2,V3) /*  BIT-ARRAY-OP */;
	return value0;
}}
/*	function definition for BIT-NOR                               */
cl_object cl_bit_nor(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<2) FEwrong_num_arguments_anonym();
	if(narg>3) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);{int i=2;
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=si_bit_array_op(MAKE_FIXNUM(8),V1,V2,V3) /*  BIT-ARRAY-OP */;
	return value0;
}}
/*	function definition for BIT-ANDC1                             */
cl_object cl_bit_andc1(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<2) FEwrong_num_arguments_anonym();
	if(narg>3) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);{int i=2;
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=si_bit_array_op(MAKE_FIXNUM(4),V1,V2,V3) /*  BIT-ARRAY-OP */;
	return value0;
}}
/*	function definition for BIT-ANDC2                             */
cl_object cl_bit_andc2(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<2) FEwrong_num_arguments_anonym();
	if(narg>3) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);{int i=2;
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=si_bit_array_op(MAKE_FIXNUM(2),V1,V2,V3) /*  BIT-ARRAY-OP */;
	return value0;
}}
/*	function definition for BIT-ORC1                              */
cl_object cl_bit_orc1(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<2) FEwrong_num_arguments_anonym();
	if(narg>3) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);{int i=2;
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=si_bit_array_op(MAKE_FIXNUM(13),V1,V2,V3) /*  BIT-ARRAY-OP */;
	return value0;
}}
/*	function definition for BIT-ORC2                              */
cl_object cl_bit_orc2(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<2) FEwrong_num_arguments_anonym();
	if(narg>3) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);{int i=2;
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=si_bit_array_op(MAKE_FIXNUM(11),V1,V2,V3) /*  BIT-ARRAY-OP */;
	return value0;
}}
/*	function definition for BIT-NOT                               */
cl_object cl_bit_not(cl_narg narg, cl_object V1, ...)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<1) FEwrong_num_arguments_anonym();
	if(narg>2) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);{int i=1;
	if (i >= narg) {
	V2= Cnil;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=si_bit_array_op(MAKE_FIXNUM(12),V1,V1,V2) /*  BIT-ARRAY-OP */;
	return value0;
}}
/*	function definition for VECTOR-PUSH                           */
cl_object cl_vector_push(cl_object V1, cl_object V2)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_fixnum V3;                            /*  FP              */
	V3= ecl_to_fixnum(cl_fill_pointer(V2)     /*  FILL-POINTER    */);
	{cl_fixnum V4;
	V4= ecl_array_dimension(V2,0);
	if(!((V3)<(V4))){
	goto L3;}}
	ecl_aset1(V2,V3,V1);
	T0= MAKE_FIXNUM((V3)+1);
	(void)si_fill_pointer_set(V2,T0)          /*  FILL-POINTER-SET */;
	value0=MAKE_FIXNUM(V3); cl_env_copy->nvalues=1;
	return value0;
L3:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for VECTOR-PUSH-EXTEND                    */
cl_object cl_vector_push_extend(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<2) FEwrong_num_arguments_anonym();
	if(narg>3) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);{int i=2;
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_fixnum V4;                            /*  FP              */
	cl_fixnum V5;                             /*  D               */
	V4= ecl_to_fixnum(cl_fill_pointer(V2)     /*  FILL-POINTER    */);
	V5= ecl_array_dimension(V2,0);
	if((V4)<(V5)){
	goto L4;}
	{cl_object V6;
	if((V3)==Cnil){
	goto L9;}
	T0= V3;
	goto L7;
L9:;
	T0= MAKE_FIXNUM((V5)>=(4)?V5:4);
	}
L7:;
	T1= ecl_plus(MAKE_FIXNUM(V5),T0);
	T2= ecl_list1(T1);
	T3= cl_array_element_type(V2)             /*  ARRAY-ELEMENT-TYPE */;
	(void)cl_adjust_array(6,V2,T2,ECL_SYM("ELEMENT-TYPE",1195),T3,ECL_SYM("FILL-POINTER",1209),MAKE_FIXNUM(V4)) /*  ADJUST-ARRAY */;
L4:;
	ecl_aset1(V2,V4,V1);
	T0= MAKE_FIXNUM((V4)+1);
	(void)si_fill_pointer_set(V2,T0)          /*  FILL-POINTER-SET */;
	value0=MAKE_FIXNUM(V4); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for VECTOR-POP                            */
cl_object cl_vector_pop(cl_narg narg, cl_object V1, ...)
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg!=1) FEwrong_num_arguments_anonym();
	{
TTL:
	{cl_fixnum V2;                            /*  FP              */
	V2= ecl_to_fixnum(cl_fill_pointer(V1)     /*  FILL-POINTER    */);
	if(!((V2)==(0))){
	goto L2;}
	(void)cl_error(2,_ecl_static_4,V1)        /*  ERROR           */;
L2:;
	T0= MAKE_FIXNUM((V2)-1);
	(void)si_fill_pointer_set(V1,T0)          /*  FILL-POINTER-SET */;
	{cl_fixnum V3;
	V3= (V2)-1;
	value0=ecl_aref1(V1,V3); cl_env_copy->nvalues=1;
	return value0;}
	}
}}
/*	function definition for COPY-ARRAY-CONTENTS                   */
static cl_object L3copy_array_contents(cl_object V1, cl_object V2)
{ VT25 VLEX25 CLSR25 STCK25
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	V3= cl_array_dimensions(1,V1)             /*  ARRAY-DIMENSIONS */;
	if((V3)==Cnil){
	goto L4;}
	T0= V3;
	goto L1;
L4:;
	T0= VV[1];
	}
L1:;
	{cl_object V3;
	V3= cl_array_dimensions(1,V2)             /*  ARRAY-DIMENSIONS */;
	if((V3)==Cnil){
	goto L9;}
	T1= V3;
	goto L6;
L9:;
	T1= VV[1];
	}
L6:;
	value0=LC2do_copy(V1,V2,T0,T1,MAKE_FIXNUM(0),MAKE_FIXNUM(0)) /*  DO-COPY */;
	return value0;
}}
/*	local function DO-COPY                                        */
static cl_object LC2do_copy(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6)
{ VT26 VLEX26 CLSR26 STCK26
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_fixnum V7;
	cl_fixnum V8;
	V7= ecl_to_fixnum(V5);
	V8= ecl_to_fixnum(V6);
TTL:
	{cl_fixnum V9;                            /*  D1              */
	cl_fixnum V10;                            /*  D2              */
	cl_fixnum V11;                            /*  L               */
	cl_fixnum V12;                            /*  I1              */
	cl_fixnum V13;                            /*  I2              */
	{cl_object V14;
	V14= cl_car(V3)                           /*  CAR             */;
	V3= cl_cdr(V3)                            /*  CDR             */;
	V9= ecl_to_fixnum(V14);
	}
	{cl_object V14;
	V14= cl_car(V4)                           /*  CAR             */;
	V4= cl_cdr(V4)                            /*  CDR             */;
	V10= ecl_to_fixnum(V14);
	}
	V11= (V9)<=(V10)?V9:V10;
	V12= V7;
	V13= V8;
	if((V3)!=Cnil){
	goto L13;}
	ecl_copy_subarray(V1, V12, V2, V13, V11);
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L13:;
	{cl_fixnum V14;                           /*  STEP1           */
	cl_fixnum V15;                            /*  STEP2           */
	T0= (ECL_SYM("*",16)->symbol.gfdef);
	V14= ecl_to_fixnum(cl_apply(2,T0,V3)      /*  APPLY           */);
	T0= (ECL_SYM("*",16)->symbol.gfdef);
	V15= ecl_to_fixnum(cl_apply(2,T0,V4)      /*  APPLY           */);
	{cl_fixnum V16;                           /*  %DOTIMES-VAR    */
	cl_fixnum V17;                            /*  I               */
	V16= V11;
	V17= 0;
	goto L23;
L22:;
	(void)LC2do_copy(V1,V2,V3,V4,MAKE_FIXNUM(V12),MAKE_FIXNUM(V13)) /*  DO-COPY */;
	{cl_fixnum V18;
	V18= V14;
	V12= (V12)+(V18);
	}
	{cl_fixnum V18;
	V18= V15;
	V13= (V13)+(V18);
	}
	V17= (V17)+1;
L23:;
	if(!((V17)<(V16))){
	goto L34;}
	goto L22;
L34:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
	}
	}
}}
/*	function definition for ADJUST-ARRAY                          */
cl_object cl_adjust_array(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT27 VLEX27 CLSR27 STCK27
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<2) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_object V9;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[12];
	cl_parse_key(args,6,cl_adjust_arraykeys,keyvars,(cl_object*)&V3,FALSE);
	cl_va_end(args);
	if(keyvars[6]==Cnil){
	V4= cl_array_element_type(V1)             /*  ARRAY-ELEMENT-TYPE */;
	}else{
	V4= keyvars[0];}
	V5= keyvars[1];
	V6= keyvars[2];
	V7= keyvars[3];
	V8= keyvars[4];
	V9= keyvars[5];
	}
	if(!(type_of(V2)==t_fixnum||type_of(V2)==t_bignum)){
	goto L2;}
	V2= ecl_list1(V2);
L2:;
	if(!((ECL_ARRAYP(V1)?(void)0:FEtype_error_array(V1),ECL_ARRAY_HAS_FILL_POINTER_P(V1)))){
	goto L8;}
	if((V7)!=Cnil){
	goto L6;}
	{cl_object V10;
	T0= cl_fill_pointer(V1)                   /*  FILL-POINTER    */;
	V10= cl_listX(3,ECL_SYM("FILL-POINTER",1209),T0,V3) /*  LIST* */;
	V3= V10;
	goto L6;
	}
L8:;
	if((V7)==Cnil){
	goto L6;}
	(void)cl_error(7,ECL_SYM("SIMPLE-TYPE-ERROR",771),ECL_SYM("DATUM",1185),V1,ECL_SYM("EXPECTED-TYPE",1203),VV[2],ECL_SYM("FORMAT-CONTROL",1211),_ecl_static_5) /*  ERROR */;
L6:;
	{cl_object V10;                           /*  X               */
	T0= (ECL_SYM("MAKE-ARRAY",520)->symbol.gfdef);
	V10= cl_apply(7,T0,V2,ECL_SYM("ADJUSTABLE",1166),Ct,ECL_SYM("ELEMENT-TYPE",1195),V4,V3) /*  APPLY */;
	if((V8)!=Cnil){
	goto L18;}
	if((V6)!=Cnil){
	goto L18;}
	(void)L3copy_array_contents(V10,V1)       /*  COPY-ARRAY-CONTENTS */;
L18:;
	value0=si_replace_array(V1,V10)           /*  REPLACE-ARRAY   */;
	return value0;
	}
}}
/*	local function SHRINK-VECTOR                                  */
static cl_object LC4shrink_vector(cl_object V1, cl_object V2)
{ VT28 VLEX28 CLSR28 STCK28
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  VEC             */
	cl_object V4;                             /*  LEN             */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	{cl_object V5;                            /*  NEW-VEC         */
	V5= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,ECL_SYM("ADJUSTABLE-ARRAY-P",82),V3) /*  LIST   */;
	T1= cl_list(3,ECL_SYM("ADJUST-ARRAY",81),V3,V4) /*  LIST      */;
	T2= cl_list(2,T0,T1)                      /*  LIST            */;
	T3= cl_list(3,ECL_SYM("TYPEP",873),V3,VV[3]) /*  LIST         */;
	T4= cl_list(2,ECL_SYM("ARRAY-ELEMENT-TYPE",99),V3) /*  LIST   */;
	T5= cl_list(4,ECL_SYM("MAKE-ARRAY",520),V4,ECL_SYM("ELEMENT-TYPE",1195),T4) /*  LIST */;
	T6= cl_list(2,V5,T5)                      /*  LIST            */;
	T7= ecl_list1(T6);
	T8= cl_list(3,ECL_SYM("CHECK-TYPE",222),V4,ECL_SYM("FIXNUM",370)) /*  LIST */;
	T9= cl_list(2,VV[5],V4)                   /*  LIST            */;
	T10= cl_list(3,ECL_SYM("AREF",90),V5,VV[5]) /*  LIST          */;
	T11= cl_list(3,ECL_SYM("AREF",90),V3,VV[5]) /*  LIST          */;
	T12= cl_list(3,ECL_SYM("SETF",748),T10,T11) /*  LIST          */;
	T13= cl_list(4,ECL_SYM("DOTIMES",312),T9,VV[6],T12) /*  LIST  */;
	T14= cl_list(3,ECL_SYM("LOCALLY",488),VV[4],T13) /*  LIST     */;
	T15= cl_list(3,ECL_SYM("SETQ",749),V3,V5) /*  LIST            */;
	T16= cl_list(5,ECL_SYM("LET",475),T7,T8,T14,T15) /*  LIST     */;
	T17= cl_list(2,T3,T16)                    /*  LIST            */;
	T18= cl_list(3,ECL_SYM("TYPEP",873),V3,VV[7]) /*  LIST        */;
	T19= cl_list(2,ECL_SYM("FILL-POINTER",360),V3) /*  LIST       */;
	T20= cl_list(3,ECL_SYM("SETF",748),T19,V4) /*  LIST           */;
	T21= cl_list(3,T18,T20,V3)                /*  LIST            */;
	T22= cl_list(2,ECL_SYM("TYPE-OF",871),V3) /*  LIST            */;
	T23= cl_list(4,ECL_SYM("ERROR",335),_ecl_static_6,V3,T22) /*  LIST */;
	T24= cl_list(2,Ct,T23)                    /*  LIST            */;
	value0=cl_list(5,ECL_SYM("COND",245),T2,T17,T21,T24) /*  LIST */;
	return value0;
	}
	}
}}
	
#include "/home/mandrake/rpm/BUILD/ecl-9.12.3/build/lsp/arraylib.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclAmtbmurHmffkW_fGOCsAz(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (!FIXNUMP(flag)){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("/home/mandrake/rpm/BUILD/ecl-9.12.3/src/lsp/arraylib.lsp");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclAmtbmurHmffkW_fGOCsAz@";
	VVtemp = Cblock->cblock.temp_data;
	(void)si_select_package(_ecl_static_0)    /*  SELECT-PACKAGE  */;
	(void)0; /* No entry created for MAKE-ARRAY */
	ecl_cmp_defun(VV[16]);
	(void)0; /* No entry created for VECTOR */
	(void)0; /* No entry created for ARRAY-DIMENSIONS */
	(void)0; /* No entry created for ARRAY-IN-BOUNDS-P */
	(void)0; /* No entry created for ARRAY-ROW-MAJOR-INDEX */
	(void)0; /* No entry created for BIT */
	(void)0; /* No entry created for SBIT */
	(void)0; /* No entry created for BIT-AND */
	(void)0; /* No entry created for BIT-IOR */
	(void)0; /* No entry created for BIT-XOR */
	(void)0; /* No entry created for BIT-EQV */
	(void)0; /* No entry created for BIT-NAND */
	(void)0; /* No entry created for BIT-NOR */
	(void)0; /* No entry created for BIT-ANDC1 */
	(void)0; /* No entry created for BIT-ANDC2 */
	(void)0; /* No entry created for BIT-ORC1 */
	(void)0; /* No entry created for BIT-ORC2 */
	(void)0; /* No entry created for BIT-NOT */
	(void)0; /* No entry created for VECTOR-PUSH */
	(void)0; /* No entry created for VECTOR-PUSH-EXTEND */
	(void)0; /* No entry created for VECTOR-POP */
	(void)0; /* No entry created for COPY-ARRAY-CONTENTS */
	(void)0; /* No entry created for ADJUST-ARRAY */
	ecl_cmp_defmacro(VV[23]);
}
