/*	Compiler: ECL 9.12.3                                          */
/*	Source: src:lsp;autoload.lsp                                  */
#include <ecl/ecl-cmp.h>
#include "/home/mandrake/rpm/BUILD/ecl-9.12.3/build/lsp/autoload.h"
/*	function definition for LISP-IMPLEMENTATION-TYPE              */
static cl_object L1lisp_implementation_type()
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=_ecl_static_1; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for AUTOLOAD                              */
static cl_object L4autoload(cl_narg narg, cl_object V1, ...)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<1) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	env0 = Cnil;
	CLV0=env0=CONS(V1,env0);                  /*  PATHNAME        */
	V2=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V3;                            /*  %DOLIST-VAR     */
	cl_object V4;                             /*  FNAME           */
	V3= V2;
	V4= Cnil;
	goto L6;
L5:;
	V4= cl_first(V3)                          /*  FIRST           */;
	{ volatile cl_object env1 = env0;
	CLV1=env1=CONS(V4,env1);                  /*  THENAME         */
	T0= ecl_make_cclosure_va((cl_objectfn)LC3__g5,env1,Cblock);
	(void)si_fset(4,V4,T0,Cnil,Cnil)          /*  FSET            */;
	}
	V3= cl_rest(V3)                           /*  REST            */;
L6:;
	if((V3)==Cnil){
	goto L14;}
	goto L5;
L14:;
	goto L3;
L3:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	closure G5                                                    */
static cl_object LC3__g5(cl_narg narg, ...)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV1=env0;                                /*  THENAME         */
	CLV0=CDR(CLV1);
	{ /* ... closure scanning finished */
	{
	cl_object V1;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	V1=cl_grab_rest_args(args);
	cl_va_end(args);
	(void)cl_load(1,ECL_CONS_CAR(CLV0))       /*  LOAD            */;
	value0=cl_apply(2,ECL_CONS_CAR(CLV1),V1)  /*  APPLY           */;
	return value0;
}}}
/*	local function PROCLAIM                                       */
static cl_object LC5proclaim(cl_object V1)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_car(V1)                            /*  CAR             */;
	if(!((T0)==(ECL_SYM("SPECIAL",787)))){
	goto L2;}
	{cl_object V2;
	V2= cl_cdr(V1)                            /*  CDR             */;
	{cl_object V3;
	cl_object V4;
	V3= Cnil;
	V4= V2;
L6:;
	if(!(ecl_endp(V4))){
	goto L8;}
	goto L7;
L8:;
	V3= cl_car(V4)                            /*  CAR             */;
	V4= cl_cdr(V4)                            /*  CDR             */;
	(void)si_Xmake_special(V3)                /*  *MAKE-SPECIAL   */;
	goto L6;
L7:;
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
	}
	}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function WITH-COMPILATION-UNIT                          */
static cl_object LC6with_compilation_unit(cl_object V1, cl_object V2)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  OPTIONS         */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L1:;
	T0= cl_cddr(V1)                           /*  CDDR            */;
	value0=CONS(ECL_SYM("PROGN",669),T0); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for ED                                    */
static cl_object L7ed(cl_narg narg, ...)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg>1) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);{int i=0;
	if (i >= narg) {
	V1= Cnil;
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V2;
	V2= si_getenv(_ecl_static_4)              /*  GETENV          */;
	if((V2)==Cnil){
	goto L5;}
	T0= V2;
	goto L2;
L5:;
	T0= _ecl_static_5;
	}
L2:;
	T1= cl_format(4,Cnil,_ecl_static_3,T0,V1) /*  FORMAT          */;
	value0=si_system(T1)                      /*  SYSTEM          */;
	return value0;
}}
/*	function definition for ROOM                                  */
static cl_object L8room(cl_narg narg, ...)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg>1) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);{int i=0;
	if (i >= narg) {
	V1= Cnil;
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	(void)cl_format(2,Ct,_ecl_static_6)       /*  FORMAT          */;
	value0=Cnil; cl_env_copy->nvalues=0;
	return value0;
}}
/*	function definition for HELP                                  */
static cl_object L9help(cl_narg narg, ...)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg>1) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);{int i=0;
	if (i >= narg) {
	V1= VV[6];
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_function_dispatch(cl_env_copy,VV[15])(1,V1) /*  PRINT-DOC */;
	return value0;
}}
	
#include "/home/mandrake/rpm/BUILD/ecl-9.12.3/build/lsp/autoload.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclGr6vzsXfRYNuW_XCMCsAz(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (!FIXNUMP(flag)){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("/home/mandrake/rpm/BUILD/ecl-9.12.3/src/lsp/autoload.lsp");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclGr6vzsXfRYNuW_XCMCsAz@";
	VVtemp = Cblock->cblock.temp_data;
	(void)si_select_package(_ecl_static_0)    /*  SELECT-PACKAGE  */;
	ecl_cmp_defun(VV[8]);
	ecl_cmp_defun(VV[9]);
	if((cl_fboundp(ECL_SYM("COMPILE",231))    /*  FBOUNDP         */)!=Cnil){
	goto L8;}
	ecl_cmp_defun(VV[10]);
	(void)L4autoload(5,_ecl_static_2,ECL_SYM("COMPILE-FILE",232),ECL_SYM("COMPILE",231),ECL_SYM("COMPILE-FILE-PATHNAME",233),ECL_SYM("DISASSEMBLE",303)) /*  AUTOLOAD */;
L8:;
	ecl_cmp_defmacro(VV[11]);
	ecl_cmp_defun(VV[12]);
	ecl_cmp_defun(VV[13]);
	ecl_cmp_defun(VV[14]);
	(void)si_select_package(_ecl_static_7)    /*  SELECT-PACKAGE  */;
	(void)cl_import(1,VVtemp[0])              /*  IMPORT          */;
}
