/*	Compiler: ECL 9.12.3                                          */
/*	Source: src:lsp;cmdline.lsp                                   */
#include <ecl/ecl-cmp.h>
#include "/home/mandrake/rpm/BUILD/ecl-9.12.3/build/lsp/cmdline.h"
/*	function definition for COMMAND-ARGS                          */
static cl_object L1command_args()
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;                            /*  I               */
	cl_object V2;
	V2= si_argc()                             /*  ARGC            */;
	V1= MAKE_FIXNUM(0);
	{cl_object V3;
	cl_object V4;
	V3= ecl_list1(Cnil);
	V4= V3;
L5:;
	if(!(ecl_number_compare(V1,V2)>=0)){
	goto L7;}
	goto L6;
L7:;
	T0= V4;
	T1= si_argv(V1)                           /*  ARGV            */;
	V4= ecl_list1(T1);
	if(ATOM(T0))FEtype_error_cons(T0);
	ECL_CONS_CDR(T0) = V4;
	V1= ecl_one_plus(V1);
	goto L5;
L6:;
	value0=cl_cdr(V3)                         /*  CDR             */;
	return value0;
	}
	}
}}
/*	function definition for COMMAND-ARG-ERROR                     */
static cl_object L2command_arg_error(cl_narg narg, cl_object V1, ...)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if(narg<1) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	cl_va_end(args);
	T0= (ECL_SYM("FORMAT",385)->symbol.gfdef);
	(void)cl_apply(4,T0,ecl_symbol_value(ECL_SYM("*ERROR-OUTPUT*",31)),V1,V2) /*  APPLY */;
	ecl_princ(ecl_symbol_value(VV[1]),ecl_symbol_value(ECL_SYM("*ERROR-OUTPUT*",31)));
	value0=si_quit(1,MAKE_FIXNUM(1))          /*  QUIT            */;
	return value0;
}}
/*	function definition for PRODUCE-INIT-CODE                     */
static cl_object L3produce_init_code(cl_object V1, cl_object V2)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  COMMANDS        */
	cl_object V4;                             /*  STOP            */
	cl_object V5;                             /*  LOADRC          */
	V3= Cnil;
	V4= Cnil;
	V5= Ct;
	goto L7;
L6:;
	{cl_object V6;                            /*  OPTION          */
	cl_object V7;                             /*  RULE            */
	{cl_object V8;
	V8= cl_car(V1)                            /*  CAR             */;
	V1= cl_cdr(V1)                            /*  CDR             */;
	V6= V8;
	}
	T0= (ECL_SYM("STRING=",820)->symbol.gfdef);
	V7= cl_assoc(4,V6,V2,ECL_SYM("TEST",1283),T0) /*  ASSOC       */;
	if((V7)!=Cnil){
	goto L16;}
	{cl_object V8;
	T0= (ECL_SYM("STRING=",820)->symbol.gfdef);
	V8= cl_assoc(4,_ecl_static_2,V2,ECL_SYM("TEST",1283),T0) /*  ASSOC */;
	V7= V8;
	}
	{cl_object V8;
	T0= CONS(V6,V1);
	T1= cl_list(2,ECL_SYM("QUOTE",677),T0)    /*  LIST            */;
	V8= ecl_list1(T1);
	V1= V8;
	}
	V4= Ct;
	if((V7)!=Cnil){
	goto L16;}
	(void)L2command_arg_error(2,_ecl_static_3,V6) /*  COMMAND-ARG-ERROR */;
L16:;
	{cl_object V8;                            /*  PATTERN         */
	T0= cl_third(V7)                          /*  THIRD           */;
	V8= cl_copy_tree(T0)                      /*  COPY-TREE       */;
	{cl_object V9;
	V9= cl_fourth(V7)                         /*  FOURTH          */;
	if(!(ecl_eql(V9,VV[4]))){
	goto L34;}
	V5= Cnil;
	goto L31;
L34:;
	if(!(ecl_eql(V9,VV[5]))){
	goto L38;}
	V5= Ct;
	goto L31;
L38:;
	if(!(ecl_eql(V9,VV[6]))){
	goto L31;}
	V1= Cnil;
	}
L31:;
	{cl_object V9;                            /*  PATTERN         */
	cl_object V10;                            /*  NOPTIONS        */
	T0= cl_third(V7)                          /*  THIRD           */;
	V9= cl_copy_tree(T0)                      /*  COPY-TREE       */;
	V10= cl_second(V7)                        /*  SECOND          */;
	if(ecl_equal(V10,MAKE_FIXNUM(0))){
	goto L46;}
	if((V1)!=Cnil){
	goto L49;}
	(void)L2command_arg_error(2,_ecl_static_4,V6) /*  COMMAND-ARG-ERROR */;
L49:;
	if((V10)==(ECL_SYM("REST",717))){
	goto L52;}
	if(!((V10)==(ECL_SYM("&REST",10)))){
	goto L53;}
L52:;
	(void)cl_nsubst(3,V1,V10,V9)              /*  NSUBST          */;
	V1= Cnil;
	goto L46;
L53:;
	{cl_object V11;
	V11= cl_car(V1)                           /*  CAR             */;
	V1= cl_cdr(V1)                            /*  CDR             */;
	T0= V11;
	}
	(void)cl_nsubst(3,T0,V10,V9)              /*  NSUBST          */;
L46:;
	V3= CONS(V9,V3);
	}
	}
	}
L7:;
	if((V4)!=Cnil){
	goto L64;}
	if((V1)==Cnil){
	goto L64;}
	goto L6;
L64:;
	goto L4;
L4:;
	T0= cl_nreverse(V3)                       /*  NREVERSE        */;
	T1= ecl_append(T0,VV[8]);
	T2= cl_listX(3,ECL_SYM("LET",475),VV[7],T1) /*  LIST*         */;
	cl_env_copy->nvalues=3;
	cl_env_copy->values[2]=V1;
	cl_env_copy->values[1]=V5;
	cl_env_copy->values[0]=T2;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for PROCESS-COMMAND-ARGS                  */
static cl_object L5process_command_args(cl_narg narg, ...)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	{ cl_object keyvars[4];
	cl_parse_key(args,2,L5process_command_argskeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	if(keyvars[2]==Cnil){
	T0= L1command_args()                      /*  COMMAND-ARGS    */;
	V1= cl_rest(T0)                           /*  REST            */;
	}else{
	V1= keyvars[0];}
	if(keyvars[3]==Cnil){
	V2= ecl_symbol_value(VV[3]);
	}else{
	V2= keyvars[1];}
	}
	cl_env_copy->values[0]=L3produce_init_code(V1,V2) /*  PRODUCE-INIT-CODE */;
	{
	cl_object V4;                             /*  COMMANDS        */
	cl_object V5;                             /*  LOADRC          */
	{int V6=cl_env_copy->nvalues-0;
	if (V6--<=0) goto L4;
	V4= cl_env_copy->values[0];
	if (V6--<=0) goto L5;
	V5= cl_env_copy->values[1];
	goto L6;}
L4:;
	V4= Cnil;
L5:;
	V5= Cnil;
L6:;
	{cl_object V6;                            /*  NIL             */
	T0= ecl_make_cfun((cl_objectfn_fixed)LC4__g24,Cnil,Cblock,1);
	T1= CONS(ECL_SYM("ERROR",335),T0);
	T2= ecl_list1(T1);
	V6= CONS(T2,ecl_symbol_value(VV[10]));
	ecl_bds_bind(cl_env_copy,VV[10],V6);      /*  *HANDLER-CLUSTERS* */
	if((V5)==Cnil){
	goto L9;}
	{cl_object V7;                            /*  %DOLIST-VAR     */
	cl_object V8;                             /*  FILE            */
	V7= ecl_symbol_value(VV[0]);
	V8= Cnil;
	goto L17;
L16:;
	V8= cl_first(V7)                          /*  FIRST           */;
	if((cl_load(7,V8,ECL_SYM("IF-DOES-NOT-EXIST",1215),Cnil,ECL_SYM("SEARCH-LIST",1272),Cnil,ECL_SYM("VERBOSE",1291),Cnil) /*  LOAD */)==Cnil){
	goto L21;}
	goto L9;
L21:;
	V7= cl_rest(V7)                           /*  REST            */;
L17:;
	if((V7)==Cnil){
	goto L26;}
	goto L16;
L26:;
	goto L14;
L14:;
	}
L9:;
	value0=cl_eval(V4)                        /*  EVAL            */;
	ecl_bds_unwind1(cl_env_copy);
	return value0;
	}}
}}
/*	local function G24                                            */
static cl_object LC4__g24(cl_object V1)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(VV[11]))==Cnil){
	goto L2;}
	value0=(cl_env_copy->function=(ECL_SYM("INVOKE-DEBUGGER",443)->symbol.gfdef))->cfun.entry(1,V1) /*  INVOKE-DEBUGGER */;
	return value0;
L2:;
	(void)cl_format(3,ecl_symbol_value(ECL_SYM("*ERROR-OUTPUT*",31)),_ecl_static_5,V1) /*  FORMAT */;
	value0=si_quit(1,MAKE_FIXNUM(1))          /*  QUIT            */;
	return value0;
}}
	
#include "/home/mandrake/rpm/BUILD/ecl-9.12.3/build/lsp/cmdline.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclT7SQkSm49WsoW_I1XCsAz(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (!FIXNUMP(flag)){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("/home/mandrake/rpm/BUILD/ecl-9.12.3/src/lsp/cmdline.lsp");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclT7SQkSm49WsoW_I1XCsAz@";
	VVtemp = Cblock->cblock.temp_data;
	(void)si_select_package(_ecl_static_0)    /*  SELECT-PACKAGE  */;
	(void)cl_export(1,VVtemp[0])              /*  EXPORT          */;
	(void)si_Xmake_special(VV[0])             /*  *MAKE-SPECIAL   */;
	if(ECL_SYM_VAL(cl_env_copy,VV[0])!=OBJNULL){
	goto L4;}
	cl_set(VV[0],VVtemp[1]);
L4:;
	(void)si_Xmake_special(VV[1])             /*  *MAKE-SPECIAL   */;
	if(ECL_SYM_VAL(cl_env_copy,VV[1])!=OBJNULL){
	goto L12;}
	cl_set(VV[1],_ecl_static_1);
L12:;
	ecl_cmp_defun(VV[13]);
	(void)0; /* No entry created for COMMAND-ARG-ERROR */
	(void)si_Xmake_constant(VV[3],VVtemp[2])  /*  *MAKE-CONSTANT  */;
	ecl_cmp_defun(VV[14]);
	ecl_cmp_defun(VV[15]);
}
