/*	Compiler: ECL 9.12.3                                          */
/*	Source: src:clx;depdefs.lisp                                  */
#include <ecl/ecl-cmp.h>
#include "/home/mandrake/rpm/BUILD/ecl-9.12.3/build/clx/depdefs.h"
/*	local function WITH-VECTOR                                    */
static cl_object LC1with_vector(cl_object V1, cl_object V2)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  VAR             */
	cl_object V5;                             /*  TYPE            */
	cl_object V6;                             /*  BODY            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L1:;
	if((V3)==Cnil){
	goto L7;}
	V4= cl_car(V3)                            /*  CAR             */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L5:;
	if((cl_cdr(V3)                            /*  CDR             */)==Cnil){
	goto L11;}
	V5= cl_cadr(V3)                           /*  CADR            */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L9:;
	V6= cl_cddr(V1)                           /*  CDDR            */;
	(void)si_check_arg_length(2,V3,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,V4,V4)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(3,ECL_SYM("TYPE",867),V5,V4)  /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	value0=cl_listX(4,ECL_SYM("LET",475),T1,T3,V6) /*  LIST*      */;
	return value0;
	}
}}
/*	local function WITHIN-DEFINITION                              */
static cl_object LC2within_definition(cl_object V1, cl_object V2)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  NAME            */
	cl_object V5;                             /*  TYPE            */
	cl_object V6;                             /*  BODY            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L1:;
	if((V3)==Cnil){
	goto L7;}
	V4= cl_car(V3)                            /*  CAR             */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L5:;
	if((cl_cdr(V3)                            /*  CDR             */)==Cnil){
	goto L11;}
	V5= cl_cadr(V3)                           /*  CADR            */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L9:;
	V6= cl_cddr(V1)                           /*  CDDR            */;
	(void)si_check_arg_length(2,V3,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	value0=CONS(ECL_SYM("PROGN",669),V6); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function RESOURCE-ID-MAP-TEST                           */
static cl_object LC3resource_id_map_test(cl_object V1, cl_object V2)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(1)) /*  CHECK-ARG-LENGTH */;
	value0=VV[3]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function ATOM-CACHE-MAP-TEST                            */
static cl_object LC4atom_cache_map_test(cl_object V1, cl_object V2)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(1)) /*  CHECK-ARG-LENGTH */;
	value0=VV[5]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function KEYSYM->CHARACTER-MAP-TEST                     */
static cl_object LC5keysym__character_map_test(cl_object V1, cl_object V2)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(1)) /*  CHECK-ARG-LENGTH */;
	value0=VV[3]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function BUFFER-BYTES                                   */
static cl_object LC6buffer_bytes()
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=VV[9]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function ARRAY-INDEX                                    */
static cl_object LC7array_index()
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_list(3,ECL_SYM("INTEGER",435),MAKE_FIXNUM(0),MAKE_FIXNUM(2305843009213693951)) /*  LIST */;
	return value0;
}}
/*	function definition for MAKE-INDEX-TYPED                      */
static cl_object L8make_index_typed(cl_object V1)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((cl_constantp(1,V1)                    /*  CONSTANTP       */)==Cnil){
	goto L2;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=cl_list(3,ECL_SYM("THE",854),VV[10],V1) /*  LIST       */;
	return value0;
}}
/*	function definition for MAKE-INDEX-OP                         */
static cl_object L9make_index_op(cl_object V1, cl_object V2)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_fixnum V3;
	V3= ecl_length(V2);
	if(!((V3)==(0))){
	goto L4;}
	T0= ecl_list1(V1);
	goto L1;
L4:;
	if(!((V3)==(1))){
	goto L7;}
	T1= cl_first(V2)                          /*  FIRST           */;
	T2= L8make_index_typed(T1)                /*  MAKE-INDEX-TYPED */;
	T0= cl_list(2,V1,T2)                      /*  LIST            */;
	goto L1;
L7:;
	if(!((V3)==(2))){
	goto L10;}
	T1= cl_first(V2)                          /*  FIRST           */;
	T2= L8make_index_typed(T1)                /*  MAKE-INDEX-TYPED */;
	T3= cl_second(V2)                         /*  SECOND          */;
	T4= L8make_index_typed(T3)                /*  MAKE-INDEX-TYPED */;
	T0= cl_list(3,V1,T2,T4)                   /*  LIST            */;
	goto L1;
L10:;
	T1= MAKE_FIXNUM(ecl_length(V2));
	T2= ecl_one_minus(T1);
	T3= cl_subseq(3,V2,MAKE_FIXNUM(0),T2)     /*  SUBSEQ          */;
	T4= L9make_index_op(V1,T3)                /*  MAKE-INDEX-OP   */;
	T5= ecl_last(V2,1);
	T6= cl_first(T5)                          /*  FIRST           */;
	T7= L8make_index_typed(T6)                /*  MAKE-INDEX-TYPED */;
	T0= cl_list(3,V1,T4,T7)                   /*  LIST            */;
	}
L1:;
	T1= cl_list(2,ECL_SYM("VALUES",893),T0)   /*  LIST            */;
	value0=cl_list(3,ECL_SYM("THE",854),VV[10],T1) /*  LIST       */;
	return value0;
}}
/*	local function INDEX+                                         */
static cl_object LC10index_(cl_object V1, cl_object V2)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_cdr(V1)                            /*  CDR             */;
	value0=L9make_index_op(ECL_SYM("+",12),T0) /*  MAKE-INDEX-OP  */;
	return value0;
}}
/*	local function INDEX-LOGAND                                   */
static cl_object LC11index_logand(cl_object V1, cl_object V2)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_cdr(V1)                            /*  CDR             */;
	value0=L9make_index_op(ECL_SYM("LOGAND",490),T0) /*  MAKE-INDEX-OP */;
	return value0;
}}
/*	local function INDEX-LOGIOR                                   */
static cl_object LC12index_logior(cl_object V1, cl_object V2)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_cdr(V1)                            /*  CDR             */;
	value0=L9make_index_op(ECL_SYM("LOGIOR",498),T0) /*  MAKE-INDEX-OP */;
	return value0;
}}
/*	local function INDEX-                                         */
static cl_object LC13index_(cl_object V1, cl_object V2)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_cdr(V1)                            /*  CDR             */;
	value0=L9make_index_op(ECL_SYM("-",15),T0) /*  MAKE-INDEX-OP  */;
	return value0;
}}
/*	local function INDEX*                                         */
static cl_object LC14index_(cl_object V1, cl_object V2)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_cdr(V1)                            /*  CDR             */;
	value0=L9make_index_op(ECL_SYM("*",16),T0) /*  MAKE-INDEX-OP  */;
	return value0;
}}
/*	local function INDEX1+                                        */
static cl_object LC15index1_(cl_object V1, cl_object V2)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NUMBER          */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	T0= ecl_list1(V3);
	value0=L9make_index_op(ECL_SYM("1+",68),T0) /*  MAKE-INDEX-OP */;
	return value0;
	}
}}
/*	local function INDEX1-                                        */
static cl_object LC16index1_(cl_object V1, cl_object V2)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NUMBER          */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	T0= ecl_list1(V3);
	value0=L9make_index_op(ECL_SYM("1-",69),T0) /*  MAKE-INDEX-OP */;
	return value0;
	}
}}
/*	local function INDEX-INCF                                     */
static cl_object LC17index_incf(cl_object V1, cl_object V2)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  PLACE           */
	cl_object V4;                             /*  DELTA           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= MAKE_FIXNUM(1);
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,V3,V4)                      /*  LIST            */;
	value0=L9make_index_op(ECL_SYM("INCF",431),T0) /*  MAKE-INDEX-OP */;
	return value0;
	}
}}
/*	local function INDEX-DECF                                     */
static cl_object LC18index_decf(cl_object V1, cl_object V2)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  PLACE           */
	cl_object V4;                             /*  DELTA           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= MAKE_FIXNUM(1);
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,V3,V4)                      /*  LIST            */;
	value0=L9make_index_op(ECL_SYM("DECF",269),T0) /*  MAKE-INDEX-OP */;
	return value0;
	}
}}
/*	local function INDEX-MIN                                      */
static cl_object LC19index_min(cl_object V1, cl_object V2)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_cdr(V1)                            /*  CDR             */;
	value0=L9make_index_op(ECL_SYM("MIN",555),T0) /*  MAKE-INDEX-OP */;
	return value0;
}}
/*	local function INDEX-MAX                                      */
static cl_object LC20index_max(cl_object V1, cl_object V2)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_cdr(V1)                            /*  CDR             */;
	value0=L9make_index_op(ECL_SYM("MAX",549),T0) /*  MAKE-INDEX-OP */;
	return value0;
}}
/*	local function INDEX-FLOOR                                    */
static cl_object LC21index_floor(cl_object V1, cl_object V2)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NUMBER          */
	cl_object V4;                             /*  DIVISOR         */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,V3,V4)                      /*  LIST            */;
	value0=L9make_index_op(ECL_SYM("FLOOR",382),T0) /*  MAKE-INDEX-OP */;
	return value0;
	}
}}
/*	local function INDEX-CEILING                                  */
static cl_object LC22index_ceiling(cl_object V1, cl_object V2)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NUMBER          */
	cl_object V4;                             /*  DIVISOR         */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,V3,V4)                      /*  LIST            */;
	value0=L9make_index_op(ECL_SYM("CEILING",197),T0) /*  MAKE-INDEX-OP */;
	return value0;
	}
}}
/*	local function INDEX-TRUNCATE                                 */
static cl_object LC23index_truncate(cl_object V1, cl_object V2)
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NUMBER          */
	cl_object V4;                             /*  DIVISOR         */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,V3,V4)                      /*  LIST            */;
	value0=L9make_index_op(ECL_SYM("TRUNCATE",863),T0) /*  MAKE-INDEX-OP */;
	return value0;
	}
}}
/*	local function INDEX-MOD                                      */
static cl_object LC24index_mod(cl_object V1, cl_object V2)
{ VT25 VLEX25 CLSR25 STCK25
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NUMBER          */
	cl_object V4;                             /*  DIVISOR         */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,V3,V4)                      /*  LIST            */;
	value0=L9make_index_op(ECL_SYM("MOD",558),T0) /*  MAKE-INDEX-OP */;
	return value0;
	}
}}
/*	local function INDEX-ASH                                      */
static cl_object LC25index_ash(cl_object V1, cl_object V2)
{ VT26 VLEX26 CLSR26 STCK26
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NUMBER          */
	cl_object V4;                             /*  COUNT           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(2,V3,V4)                      /*  LIST            */;
	value0=L9make_index_op(ECL_SYM("ASH",108),T0) /*  MAKE-INDEX-OP */;
	return value0;
	}
}}
/*	local function INDEX-PLUSP                                    */
static cl_object LC26index_plusp(cl_object V1, cl_object V2)
{ VT27 VLEX27 CLSR27 STCK27
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NUMBER          */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(3,ECL_SYM("THE",854),VV[10],V3) /*  LIST          */;
	value0=cl_list(2,ECL_SYM("PLUSP",640),T0) /*  LIST            */;
	return value0;
	}
}}
/*	local function INDEX-ZEROP                                    */
static cl_object LC27index_zerop(cl_object V1, cl_object V2)
{ VT28 VLEX28 CLSR28 STCK28
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NUMBER          */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(3,ECL_SYM("THE",854),VV[10],V3) /*  LIST          */;
	value0=cl_list(2,ECL_SYM("ZEROP",924),T0) /*  LIST            */;
	return value0;
	}
}}
/*	local function INDEX-EVENP                                    */
static cl_object LC28index_evenp(cl_object V1, cl_object V2)
{ VT29 VLEX29 CLSR29 STCK29
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NUMBER          */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(3,ECL_SYM("THE",854),VV[10],V3) /*  LIST          */;
	value0=cl_list(2,ECL_SYM("EVENP",339),T0) /*  LIST            */;
	return value0;
	}
}}
/*	local function INDEX-ODDP                                     */
static cl_object LC29index_oddp(cl_object V1, cl_object V2)
{ VT30 VLEX30 CLSR30 STCK30
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NUMBER          */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(3,ECL_SYM("THE",854),VV[10],V3) /*  LIST          */;
	value0=cl_list(2,ECL_SYM("ODDP",608),T0)  /*  LIST            */;
	return value0;
	}
}}
/*	local function INDEX>                                         */
static cl_object LC30index_(cl_object V1, cl_object V2)
{ VT31 VLEX31 CLSR31 STCK31
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NUMBERS         */
	V3= cl_cdr(V1)                            /*  CDR             */;
	{cl_object V4;
	cl_object V5;
	V4= Cnil;
	V5= V3;
	{cl_object V6;
	cl_object V7;
	V6= ecl_list1(Cnil);
	V7= V6;
L6:;
	if(!(ecl_endp(V5))){
	goto L8;}
	goto L7;
L8:;
	V4= cl_car(V5)                            /*  CAR             */;
	V5= cl_cdr(V5)                            /*  CDR             */;
	T1= V7;
	T2= L8make_index_typed(V4)                /*  MAKE-INDEX-TYPED */;
	V7= ecl_list1(T2);
	if(ATOM(T1))FEtype_error_cons(T1);
	ECL_CONS_CDR(T1) = V7;
	goto L6;
L7:;
	T0= cl_cdr(V6)                            /*  CDR             */;
	goto L2;
	}
	}
L2:;
	value0=CONS(ECL_SYM(">",73),T0); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function INDEX=                                         */
static cl_object LC31index_(cl_object V1, cl_object V2)
{ VT32 VLEX32 CLSR32 STCK32
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NUMBERS         */
	V3= cl_cdr(V1)                            /*  CDR             */;
	{cl_object V4;
	cl_object V5;
	V4= Cnil;
	V5= V3;
	{cl_object V6;
	cl_object V7;
	V6= ecl_list1(Cnil);
	V7= V6;
L6:;
	if(!(ecl_endp(V5))){
	goto L8;}
	goto L7;
L8:;
	V4= cl_car(V5)                            /*  CAR             */;
	V5= cl_cdr(V5)                            /*  CDR             */;
	T1= V7;
	T2= L8make_index_typed(V4)                /*  MAKE-INDEX-TYPED */;
	V7= ecl_list1(T2);
	if(ATOM(T1))FEtype_error_cons(T1);
	ECL_CONS_CDR(T1) = V7;
	goto L6;
L7:;
	T0= cl_cdr(V6)                            /*  CDR             */;
	goto L2;
	}
	}
L2:;
	value0=CONS(ECL_SYM("=",72),T0); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function INDEX<                                         */
static cl_object LC32index_(cl_object V1, cl_object V2)
{ VT33 VLEX33 CLSR33 STCK33
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NUMBERS         */
	V3= cl_cdr(V1)                            /*  CDR             */;
	{cl_object V4;
	cl_object V5;
	V4= Cnil;
	V5= V3;
	{cl_object V6;
	cl_object V7;
	V6= ecl_list1(Cnil);
	V7= V6;
L6:;
	if(!(ecl_endp(V5))){
	goto L8;}
	goto L7;
L8:;
	V4= cl_car(V5)                            /*  CAR             */;
	V5= cl_cdr(V5)                            /*  CDR             */;
	T1= V7;
	T2= L8make_index_typed(V4)                /*  MAKE-INDEX-TYPED */;
	V7= ecl_list1(T2);
	if(ATOM(T1))FEtype_error_cons(T1);
	ECL_CONS_CDR(T1) = V7;
	goto L6;
L7:;
	T0= cl_cdr(V6)                            /*  CDR             */;
	goto L2;
	}
	}
L2:;
	value0=CONS(ECL_SYM("<",70),T0); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function INDEX>=                                        */
static cl_object LC33index__(cl_object V1, cl_object V2)
{ VT34 VLEX34 CLSR34 STCK34
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NUMBERS         */
	V3= cl_cdr(V1)                            /*  CDR             */;
	{cl_object V4;
	cl_object V5;
	V4= Cnil;
	V5= V3;
	{cl_object V6;
	cl_object V7;
	V6= ecl_list1(Cnil);
	V7= V6;
L6:;
	if(!(ecl_endp(V5))){
	goto L8;}
	goto L7;
L8:;
	V4= cl_car(V5)                            /*  CAR             */;
	V5= cl_cdr(V5)                            /*  CDR             */;
	T1= V7;
	T2= L8make_index_typed(V4)                /*  MAKE-INDEX-TYPED */;
	V7= ecl_list1(T2);
	if(ATOM(T1))FEtype_error_cons(T1);
	ECL_CONS_CDR(T1) = V7;
	goto L6;
L7:;
	T0= cl_cdr(V6)                            /*  CDR             */;
	goto L2;
	}
	}
L2:;
	value0=CONS(ECL_SYM(">=",74),T0); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function INDEX<=                                        */
static cl_object LC34index__(cl_object V1, cl_object V2)
{ VT35 VLEX35 CLSR35 STCK35
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NUMBERS         */
	V3= cl_cdr(V1)                            /*  CDR             */;
	{cl_object V4;
	cl_object V5;
	V4= Cnil;
	V5= V3;
	{cl_object V6;
	cl_object V7;
	V6= ecl_list1(Cnil);
	V7= V6;
L6:;
	if(!(ecl_endp(V5))){
	goto L8;}
	goto L7;
L8:;
	V4= cl_car(V5)                            /*  CAR             */;
	V5= cl_cdr(V5)                            /*  CDR             */;
	T1= V7;
	T2= L8make_index_typed(V4)                /*  MAKE-INDEX-TYPED */;
	V7= ecl_list1(T2);
	if(ATOM(T1))FEtype_error_cons(T1);
	ECL_CONS_CDR(T1) = V7;
	goto L6;
L7:;
	T0= cl_cdr(V6)                            /*  CDR             */;
	goto L2;
	}
	}
L2:;
	value0=CONS(ECL_SYM("<=",71),T0); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for MAKE-REPLY-BUFFER-INTERNAL            */
static cl_object L35make_reply_buffer_internal(cl_narg narg, ...)
{ VT36 VLEX36 CLSR36 STCK36
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	{ cl_object keyvars[8];
	cl_parse_key(args,4,L35make_reply_buffer_internalkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	if(keyvars[4]==Cnil){
	V1= MAKE_FIXNUM(0);
	}else{
	V1= keyvars[0];}
	if(keyvars[5]==Cnil){
	V2= ecl_symbol_value(VV[39]);
	}else{
	V2= keyvars[1];}
	V3= keyvars[2];
	if(keyvars[7]==Cnil){
	V4= MAKE_FIXNUM(0);
	}else{
	V4= keyvars[3];}
	}
	if((cl_typep(2,V4,VV[10])                 /*  TYPEP           */)!=Cnil){
	goto L4;}
	(void)si_structure_type_error(4,V4,VV[10],VV[40],VV[42]) /*  STRUCTURE-TYPE-ERROR */;
L4:;
	if((cl_typep(2,V3,VV[43])                 /*  TYPEP           */)!=Cnil){
	goto L7;}
	(void)si_structure_type_error(4,V3,VV[43],VV[40],VV[44]) /*  STRUCTURE-TYPE-ERROR */;
L7:;
	if((cl_typep(2,V2,VV[8])                  /*  TYPEP           */)!=Cnil){
	goto L10;}
	(void)si_structure_type_error(4,V2,VV[8],VV[40],VV[45]) /*  STRUCTURE-TYPE-ERROR */;
L10:;
	if((cl_typep(2,V1,VV[10])                 /*  TYPEP           */)!=Cnil){
	goto L13;}
	(void)si_structure_type_error(4,V1,VV[10],VV[40],VV[46]) /*  STRUCTURE-TYPE-ERROR */;
L13:;
	value0=si_make_structure(5,VV[47],V1,V2,V3,V4) /*  MAKE-STRUCTURE */;
	return value0;
}}
/*	local function BUFFER-TEXT16                                  */
static cl_object LC36buffer_text16()
{ VT37 VLEX37 CLSR37 STCK37
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_list1(MAKE_FIXNUM(256));
	value0=cl_list(3,ECL_SYM("SIMPLE-ARRAY",761),VV[51],T0) /*  LIST */;
	return value0;
}}
/*	function definition for XINTERN                               */
static cl_object L37xintern(cl_narg narg, ...)
{ VT38 VLEX38 CLSR38 STCK38
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	V1=cl_grab_rest_args(args);
	cl_va_end(args);
	T0= (ECL_SYM("CONCATENATE",242)->symbol.gfdef);
	{cl_object V2;
	cl_object V3;
	V2= Cnil;
	V3= V1;
	{cl_object V4;
	cl_object V5;
	V4= ecl_list1(Cnil);
	V5= V4;
L6:;
	if(!(ecl_endp(V3))){
	goto L8;}
	goto L7;
L8:;
	V2= cl_car(V3)                            /*  CAR             */;
	V3= cl_cdr(V3)                            /*  CDR             */;
	T2= V5;
	T3= cl_string(V2)                         /*  STRING          */;
	V5= ecl_list1(T3);
	if(ATOM(T2))FEtype_error_cons(T2);
	ECL_CONS_CDR(T2) = V5;
	goto L6;
L7:;
	T1= cl_cdr(V4)                            /*  CDR             */;
	goto L2;
	}
	}
L2:;
	T2= cl_apply(3,T0,ECL_SYM("STRING",803),T1) /*  APPLY         */;
	value0=cl_intern(2,T2,ecl_symbol_value(VV[52])) /*  INTERN    */;
	return value0;
}}
/*	function definition for KINTERN                               */
static cl_object L38kintern(cl_object V1)
{ VT39 VLEX39 CLSR39 STCK39
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_string(V1)                         /*  STRING          */;
	value0=cl_intern(2,T0,ecl_symbol_value(VV[55])) /*  INTERN    */;
	return value0;
}}
/*	local function DEF-CLX-CLASS                                  */
static cl_object LC43def_clx_class(cl_object V1, cl_object V2)
{ VT40 VLEX40 CLSR40 STCK40
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  OPTIONS         */
	cl_object V5;                             /*  SLOTS           */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L1:;
	if((V3)==Cnil){
	goto L7;}
	T0= cl_car(V3)                            /*  CAR             */;
	goto L5;
L7:;
	T0= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
L5:;
	env0 = Cnil;
	CLV0=env0=CONS(T0,env0);                  /*  NAME            */
	V4= cl_cdr(V3)                            /*  CDR             */;
	V5= cl_cddr(V1)                           /*  CDDR            */;
	if(!(LISTP(ecl_symbol_value(VV[58])))){
	goto L11;}
	if((ecl_memql(ECL_CONS_CAR(CLV0),ecl_symbol_value(VV[58])))==Cnil){
	goto L12;}
L11:;
	{cl_object V6;                            /*  NIL             */
	cl_object V7;                             /*  INCLUDE         */
	cl_object V8;                             /*  PRINT-FUNCTION  */
	cl_object V9;                             /*  COPIER          */
	cl_object V10;                            /*  PREDICATE       */volatile cl_object env1 = env0;
	V6= cl_find_package(VV[59])               /*  FIND-PACKAGE    */;
	lex0[0]= V6;                              /*  CLOS-PACKAGE    */
	CLV1=env1=CONS(Ct,env1);                  /*  CONSTRUCTOR     */
	CLV2=env1=CONS(Ct,env1);                  /*  CONSTRUCTOR-ARGS */
	V7= Cnil;
	V8= Cnil;
	V9= Ct;
	V10= Ct;
	{cl_object V11;
	cl_object V12;                            /*  OPTION          */
	V11= V4;
	V12= Cnil;
	goto L23;
L22:;
	V12= cl_first(V11)                        /*  FIRST           */;
	{cl_object V13;
	{cl_object V14;
	V14= cl_car(V12)                          /*  CAR             */;
	V12= cl_cdr(V12)                          /*  CDR             */;
	V13= V14;
	}
	{cl_object V14;
	if(!(ecl_eql(V13,ECL_SYM("CONSTRUCTOR",1181)))){
	goto L33;}
	{cl_object V15;
	{cl_object V16;
	V16= cl_car(V12)                          /*  CAR             */;
	V12= cl_cdr(V12)                          /*  CDR             */;
	V15= V16;
	}
	ECL_CONS_CAR(CLV1)= V15;
	}
	{cl_object V15;
	if((V12)!=Cnil){
	goto L43;}
	V15= Ct;
	goto L41;
L43:;
	{cl_object V16;
	V16= cl_car(V12)                          /*  CAR             */;
	V12= cl_cdr(V12)                          /*  CDR             */;
	V15= V16;
	}
L41:;
	ECL_CONS_CAR(CLV2)= V15;
	goto L27;
	}
L33:;
	if(!(ecl_eql(V13,ECL_SYM("INCLUDE",1218)))){
	goto L50;}
	{cl_object V16;
	{cl_object V17;
	V17= cl_car(V12)                          /*  CAR             */;
	V12= cl_cdr(V12)                          /*  CDR             */;
	V16= V17;
	}
	V7= V16;
	goto L27;
	}
L50:;
	if(!(ecl_eql(V13,ECL_SYM("PRINT-FUNCTION",1259)))){
	goto L58;}
	{cl_object V17;
	{cl_object V18;
	V18= cl_car(V12)                          /*  CAR             */;
	V12= cl_cdr(V12)                          /*  CDR             */;
	V17= V18;
	}
	V8= V17;
	goto L27;
	}
L58:;
	if(!(ecl_eql(V13,ECL_SYM("COPIER",1183)))){
	goto L66;}
	{cl_object V18;
	{cl_object V19;
	V19= cl_car(V12)                          /*  CAR             */;
	V12= cl_cdr(V12)                          /*  CDR             */;
	V18= V19;
	}
	V9= V18;
	goto L27;
	}
L66:;
	if(!(ecl_eql(V13,ECL_SYM("PREDICATE",1255)))){
	goto L74;}
	{cl_object V19;
	{cl_object V20;
	V20= cl_car(V12)                          /*  CAR             */;
	V12= cl_cdr(V12)                          /*  CDR             */;
	V19= V20;
	}
	V10= V19;
	goto L27;
	}
L74:;
	(void)si_ecase_error(3,VV[60],V13,VV[61]) /*  ECASE-ERROR     */;
	}
	}
L27:;
	V11= cl_rest(V11)                         /*  REST            */;
L23:;
	if((V11)==Cnil){
	goto L83;}
	goto L22;
L83:;
	goto L20;
L20:;
	}
	if(!((ECL_CONS_CAR(CLV1))==(Ct))){
	goto L87;}
	{cl_object V11;
	V11= LC39cintern(2,VV[62],ECL_CONS_CAR(CLV0)) /*  CINTERN     */;
	ECL_CONS_CAR(CLV1)= V11;
	}
L87:;
	if(!((V9)==(Ct))){
	goto L92;}
	{cl_object V11;
	V11= LC39cintern(2,VV[63],ECL_CONS_CAR(CLV0)) /*  CINTERN     */;
	V9= V11;
	}
L92:;
	if(!((V10)==(Ct))){
	goto L97;}
	{cl_object V11;
	V11= LC39cintern(2,ECL_CONS_CAR(CLV0),VV[64]) /*  CINTERN     */;
	V10= V11;
	}
L97:;
	if((V7)==Cnil){
	goto L102;}
	{cl_object V11;
	T0= ecl_get(V7,VV[65],Cnil);
	V11= ecl_append(T0,V5);
	V5= V11;
	}
L102:;
	{cl_fixnum V11;                           /*  N-SLOTS         */
	cl_object V12;                            /*  SLOT-NAMES      */
	cl_object V13;                            /*  SLOT-INITFORMS  */
	cl_object V14;                            /*  SLOT-TYPES      */
	V11= ecl_length(V5);
	V12= cl_make_list(1,MAKE_FIXNUM(V11))     /*  MAKE-LIST       */;
	V13= cl_make_list(1,MAKE_FIXNUM(V11))     /*  MAKE-LIST       */;
	V14= cl_make_list(1,MAKE_FIXNUM(V11))     /*  MAKE-LIST       */;
	{cl_object V15;                           /*  %DOTIMES-VAR    */
	cl_object V16;                            /*  I               */
	V15= MAKE_FIXNUM(V11);
	V16= MAKE_FIXNUM(0);
	goto L116;
L115:;
	{cl_object V17;                           /*  SLOT            */
	V17= ecl_elt(V5,fix(V16));
	{cl_object V18;
	V18= cl_car(V17)                          /*  CAR             */;
	V17= cl_cdr(V17)                          /*  CDR             */;
	T0= V18;
	}
	ecl_elt_set(V12,fixint(V16),T0);
	{cl_object V18;
	V18= cl_car(V17)                          /*  CAR             */;
	V17= cl_cdr(V17)                          /*  CDR             */;
	T0= V18;
	}
	ecl_elt_set(V13,fixint(V16),T0);
	T0= cl_getf(3,V17,ECL_SYM("TYPE",1285),Ct) /*  GETF           */;
	ecl_elt_set(V14,fixint(V16),T0);
	}
	V16= ecl_one_plus(V16);
L116:;
	if(!(ecl_number_compare(V16,V15)<0)){
	goto L132;}
	goto L115;
L132:;
	goto L111;
	}
L111:;
	T0= cl_list(2,ECL_SYM("QUOTE",677),ECL_CONS_CAR(CLV0)) /*  LIST */;
	T1= cl_list(3,ECL_SYM("GET",400),T0,VV[67]) /*  LIST          */;
	T2= cl_list(2,ECL_SYM("QUOTE",677),V5)    /*  LIST            */;
	T3= cl_list(3,ECL_SYM("SETF",748),T1,T2)  /*  LIST            */;
	T4= cl_list(3,ECL_SYM("EVAL-WHEN",338),VV[66],T3) /*  LIST    */;
	T5= cl_list(2,ECL_CONS_CAR(CLV0),VV[65])  /*  LIST            */;
	T6= LC41closintern(lex0,ECL_SYM("DEFCLASS",935)) /*  CLOSINTERN */;
	if((V7)==Cnil){
	goto L138;}
	T7= ecl_list1(V7);
	goto L136;
L138:;
	T7= Cnil;
L136:;
	T8= ecl_make_cclosure_va((cl_objectfn)LC42__g257,env1,Cblock);
	T9= cl_map(5,ECL_SYM("LIST",479),T8,V12,V13,V14) /*  MAP      */;
	T10= cl_list(4,T6,ECL_CONS_CAR(CLV0),T7,T9) /*  LIST          */;
	if((ECL_CONS_CAR(CLV1))==Cnil){
	goto L143;}
	if(!((ECL_CONS_CAR(CLV2))==(Ct))){
	goto L146;}
	T12= LC41closintern(lex0,ECL_SYM("MAKE-INSTANCE",947)) /*  CLOSINTERN */;
	T13= cl_list(2,ECL_SYM("FUNCTION",394),T12) /*  LIST          */;
	T14= cl_list(2,ECL_SYM("QUOTE",677),ECL_CONS_CAR(CLV0)) /*  LIST */;
	T15= cl_list(4,ECL_SYM("APPLY",87),T13,T14,VV[72]) /*  LIST   */;
	T11= cl_list(4,ECL_SYM("DEFUN",287),ECL_CONS_CAR(CLV1),VV[71],T15) /*  LIST */;
	goto L141;
L146:;
	T12= LC41closintern(lex0,ECL_SYM("MAKE-INSTANCE",947)) /*  CLOSINTERN */;
	T13= cl_list(2,ECL_SYM("QUOTE",677),ECL_CONS_CAR(CLV0)) /*  LIST */;
	{cl_object V15;
	cl_object V16;
	V15= Cnil;
	V16= ECL_CONS_CAR(CLV2);
	{cl_object V17;
	cl_object V18;
	V17= ecl_list1(Cnil);
	V18= V17;
L154:;
	if(!(ecl_endp(V16))){
	goto L156;}
	goto L155;
L156:;
	V15= cl_car(V16)                          /*  CAR             */;
	V16= cl_cdr(V16)                          /*  CDR             */;
	{cl_object V19;
	if((ecl_memql(V15,V12))==Cnil){
	goto L168;}
	T15= LC40kintern(V15)                     /*  KINTERN         */;
	V19= cl_list(2,T15,V15)                   /*  LIST            */;
	goto L166;
L168:;
	V19= Cnil;
L166:;
	if(ATOM(V18))FEtype_error_cons(V18);
	ECL_CONS_CDR(V18) = V19;
	if((V19)==Cnil){
	goto L163;}
	}
	T15= cl_cdr(V18)                          /*  CDR             */;
	V18= ecl_last(T15,1);
L163:;
	goto L154;
L155:;
	T14= cl_cdr(V17)                          /*  CDR             */;
	goto L150;
	}
	}
L150:;
	T15= cl_listX(3,T12,T13,T14)              /*  LIST*           */;
	T11= cl_list(4,ECL_SYM("DEFUN",287),ECL_CONS_CAR(CLV1),ECL_CONS_CAR(CLV2),T15) /*  LIST */;
	goto L141;
L143:;
	T11= Cnil;
L141:;
	if((V10)==Cnil){
	goto L177;}
	T13= cl_list(2,ECL_SYM("QUOTE",677),ECL_CONS_CAR(CLV0)) /*  LIST */;
	T14= cl_list(3,ECL_SYM("TYPEP",873),VV[74],T13) /*  LIST      */;
	T12= cl_list(4,ECL_SYM("DEFUN",287),V10,VV[73],T14) /*  LIST  */;
	goto L175;
L177:;
	T12= Cnil;
L175:;
	if((V9)==Cnil){
	goto L181;}
	T14= LC41closintern(lex0,ECL_SYM("DEFMETHOD",938)) /*  CLOSINTERN */;
	T15= cl_list(2,VV[75],ECL_CONS_CAR(CLV0)) /*  LIST            */;
	T16= ecl_list1(T15);
	T17= LC41closintern(lex0,ECL_SYM("WITH-SLOTS",980)) /*  CLOSINTERN */;
	T18= LC41closintern(lex0,ECL_SYM("MAKE-INSTANCE",947)) /*  CLOSINTERN */;
	T19= cl_list(2,ECL_SYM("QUOTE",677),ECL_CONS_CAR(CLV0)) /*  LIST */;
	{cl_object V15;
	cl_object V16;
	V15= Cnil;
	V16= V12;
	{cl_object V17;
	cl_object V18;
	V17= ecl_list1(Cnil);
	V18= V17;
L190:;
	if(!(ecl_endp(V16))){
	goto L192;}
	goto L191;
L192:;
	V15= cl_car(V16)                          /*  CAR             */;
	V16= cl_cdr(V16)                          /*  CDR             */;
	{cl_object V19;
	T21= LC40kintern(V15)                     /*  KINTERN         */;
	V19= cl_list(2,T21,V15)                   /*  LIST            */;
	if(ATOM(V18))FEtype_error_cons(V18);
	ECL_CONS_CDR(V18) = V19;
	if((V19)==Cnil){
	goto L199;}
	}
	T21= cl_cdr(V18)                          /*  CDR             */;
	V18= ecl_last(T21,1);
L199:;
	goto L190;
L191:;
	T20= cl_cdr(V17)                          /*  CDR             */;
	goto L186;
	}
	}
L186:;
	T21= cl_listX(3,T18,T19,T20)              /*  LIST*           */;
	T22= cl_list(4,T17,V12,VV[75],T21)        /*  LIST            */;
	T13= cl_list(4,T14,V9,T16,T22)            /*  LIST            */;
	goto L179;
L181:;
	T13= Cnil;
L179:;
	if((V8)==Cnil){
	goto L210;}
	T15= LC41closintern(lex0,ECL_SYM("DEFMETHOD",938)) /*  CLOSINTERN */;
	T16= LC41closintern(lex0,ECL_SYM("PRINT-OBJECT",959)) /*  CLOSINTERN */;
	T17= cl_list(2,VV[74],ECL_CONS_CAR(CLV0)) /*  LIST            */;
	T18= cl_list(2,T17,ECL_SYM("STREAM",797)) /*  LIST            */;
	T19= CONS(V8,VV[76]);
	T14= cl_list(4,T15,T16,T18,T19)           /*  LIST            */;
	goto L208;
L210:;
	T14= Cnil;
L208:;
	T15= cl_list(7,VV[1],T5,T10,T11,T12,T13,T14) /*  LIST         */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T4,T15) /*  LIST        */;
	return value0;
	}
	}
L12:;
	T0= cl_list(2,ECL_CONS_CAR(CLV0),VV[65])  /*  LIST            */;
	T1= CONS(ECL_CONS_CAR(CLV0),V4);
	T2= cl_listX(3,ECL_SYM("DEFSTRUCT",285),T1,V5) /*  LIST*      */;
	value0=cl_list(3,VV[1],T0,T2)             /*  LIST            */;
	return value0;
	}
}}
/*	local function CLOSINTERN                                     */
static cl_object LC41closintern(volatile cl_object *lex0, cl_object V1)
{ VT41 VLEX41 CLSR41 STCK41
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_symbol_name(V1);
	value0=cl_intern(2,T0,lex0[0])            /*  INTERN          */;
	return value0;
}}
/*	local function KINTERN                                        */
static cl_object LC40kintern(cl_object V1)
{ VT42 VLEX42 CLSR42 STCK42
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_symbol_name(V1);
	T1= cl_find_package(VV[56])               /*  FIND-PACKAGE    */;
	value0=cl_intern(2,T0,T1)                 /*  INTERN          */;
	return value0;
}}
/*	local function CINTERN                                        */
static cl_object LC39cintern(cl_narg narg, ...)
{ VT43 VLEX43 CLSR43 STCK43
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	V1=cl_grab_rest_args(args);
	cl_va_end(args);
	T0= (ECL_SYM("CONCATENATE",242)->symbol.gfdef);
	{cl_object V2;
	cl_object V3;
	V2= Cnil;
	V3= V1;
	{cl_object V4;
	cl_object V5;
	V4= ecl_list1(Cnil);
	V5= V4;
L6:;
	if(!(ecl_endp(V3))){
	goto L8;}
	goto L7;
L8:;
	V2= cl_car(V3)                            /*  CAR             */;
	V3= cl_cdr(V3)                            /*  CDR             */;
	T2= V5;
	T3= ecl_symbol_name(V2);
	V5= ecl_list1(T3);
	if(ATOM(T2))FEtype_error_cons(T2);
	ECL_CONS_CDR(T2) = V5;
	goto L6;
L7:;
	T1= cl_cdr(V4)                            /*  CDR             */;
	goto L2;
	}
	}
L2:;
	T2= cl_apply(3,T0,ECL_SYM("SIMPLE-STRING",769),T1) /*  APPLY  */;
	value0=cl_intern(2,T2,ecl_symbol_value(ECL_SYM("*PACKAGE*",41))) /*  INTERN */;
	return value0;
}}
/*	closure G257                                                  */
static cl_object LC42__g257(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT44 VLEX44 CLSR44 STCK44
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV2=env0;                                /*  CONSTRUCTOR-ARGS */
	CLV1=CDR(CLV2);
	CLV0=CDR(CLV1);
	{ /* ... closure scanning finished */
	if(narg!=3) FEwrong_num_arguments_anonym();
	{
TTL:
	T0= LC39cintern(3,ECL_CONS_CAR(CLV0),ECL_SYM("-",15),V1) /*  CINTERN */;
	if((ECL_CONS_CAR(CLV1))==Cnil){
	goto L4;}
	if((ECL_CONS_CAR(CLV2))==(Ct)){
	goto L3;}
	if((ecl_memql(V1,ECL_CONS_CAR(CLV2)))==Cnil){
	goto L4;}
L3:;
	T2= LC40kintern(V1)                       /*  KINTERN         */;
	T1= cl_list(2,VV[70],T2)                  /*  LIST            */;
	goto L2;
L4:;
	T1= Cnil;
L2:;
	value0=cl_listX(8,V1,VV[68],V2,ECL_SYM("TYPE",1285),V3,VV[69],T0,T1) /*  LIST* */;
	return value0;
}}}
/*	function definition for UNIX-SOCKET-PATH-FROM-HOST            */
static cl_object L44unix_socket_path_from_host(cl_object V1, cl_object V2)
{ VT45 VLEX45 CLSR45 STCK45
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((cl_stringE(2,V1,_ecl_static_3)        /*  STRING=         */)!=Cnil){
	goto L1;}
	if((cl_stringE(2,V1,_ecl_static_4)        /*  STRING=         */)==Cnil){
	goto L2;}
L1:;
	value0=cl_format(4,Cnil,_ecl_static_5,ecl_symbol_value(VV[83]),V2) /*  FORMAT */;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
	
#include "/home/mandrake/rpm/BUILD/ecl-9.12.3/build/clx/depdefs.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclpGWHhjojepNnW_Qg1DsAz(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (!FIXNUMP(flag)){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("/home/mandrake/rpm/BUILD/ecl-9.12.3/src/clx/depdefs.lisp");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclpGWHhjojepNnW_Qg1DsAz@";
	VVtemp = Cblock->cblock.temp_data;
	(void)si_select_package(_ecl_static_0)    /*  SELECT-PACKAGE  */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[0]) /*  PROCLAIM */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[1]) /*  PROCLAIM */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[2]) /*  PROCLAIM */;
	ecl_cmp_defmacro(VV[85]);
	ecl_cmp_defmacro(VV[86]);
	(void)si_Xmake_constant(VV[2],VVtemp[3])  /*  *MAKE-CONSTANT  */;
	ecl_cmp_defmacro(VV[87]);
	ecl_cmp_defmacro(VV[88]);
	ecl_cmp_defmacro(VV[89]);
	T0= ecl_make_cfun((cl_objectfn_fixed)LC6buffer_bytes,Cnil,Cblock,0);
	(void)si_do_deftype(3,VV[8],VVtemp[4],T0) /*  DO-DEFTYPE      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC7array_index,Cnil,Cblock,0);
	(void)si_do_deftype(3,VV[10],VVtemp[5],T0) /*  DO-DEFTYPE     */;
	ecl_cmp_defun(VV[90]);
	ecl_cmp_defun(VV[91]);
	ecl_cmp_defmacro(VV[92]);
	ecl_cmp_defmacro(VV[93]);
	ecl_cmp_defmacro(VV[94]);
	ecl_cmp_defmacro(VV[95]);
	ecl_cmp_defmacro(VV[96]);
	ecl_cmp_defmacro(VV[97]);
	ecl_cmp_defmacro(VV[98]);
	ecl_cmp_defmacro(VV[99]);
	ecl_cmp_defmacro(VV[100]);
	ecl_cmp_defmacro(VV[101]);
	ecl_cmp_defmacro(VV[102]);
	ecl_cmp_defmacro(VV[103]);
	ecl_cmp_defmacro(VV[104]);
	ecl_cmp_defmacro(VV[105]);
	ecl_cmp_defmacro(VV[106]);
	ecl_cmp_defmacro(VV[107]);
	ecl_cmp_defmacro(VV[108]);
	ecl_cmp_defmacro(VV[109]);
	ecl_cmp_defmacro(VV[110]);
	ecl_cmp_defmacro(VV[111]);
	ecl_cmp_defmacro(VV[112]);
	ecl_cmp_defmacro(VV[113]);
	ecl_cmp_defmacro(VV[114]);
	ecl_cmp_defmacro(VV[115]);
	ecl_cmp_defmacro(VV[116]);
	(void)si_Xmake_constant(VV[38],MAKE_FIXNUM(32)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_special(VV[39])            /*  *MAKE-SPECIAL   */;
	if(ECL_SYM_VAL(cl_env_copy,VV[39])!=OBJNULL){
	goto L84;}
	cl_set(VV[39],cl_make_sequence(2,VV[8],MAKE_FIXNUM(0)) /*  MAKE-SEQUENCE */);
L84:;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[6]) /*  PROCLAIM */;
	(void)si_define_structure(15,VV[40],VV[41],Cnil,Cnil,VVtemp[7],VVtemp[8],Cnil,Cnil,Cnil,Cnil,VVtemp[9],MAKE_FIXNUM(4),Cnil,Cnil,Cnil) /*  DEFINE-STRUCTURE */;
	VV[47]= cl_find_class(1,VV[40])           /*  FIND-CLASS      */;
	ecl_cmp_defun(VV[117]);
	(void)si_Xmake_constant(VV[49],MAKE_FIXNUM(256)) /*  *MAKE-CONSTANT */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC36buffer_text16,Cnil,Cblock,0);
	(void)si_do_deftype(3,VV[50],VVtemp[10],T0) /*  DO-DEFTYPE    */;
	(void)si_Xmake_special(VV[52])            /*  *MAKE-SPECIAL   */;
	cl_set(VV[52],cl_find_package(VV[53])     /*  FIND-PACKAGE    */);
	ecl_cmp_defun(VV[122]);
	(void)si_Xmake_special(VV[55])            /*  *MAKE-SPECIAL   */;
	cl_set(VV[55],cl_find_package(VV[56])     /*  FIND-PACKAGE    */);
	ecl_cmp_defun(VV[123]);
	(void)si_Xmake_special(VV[58])            /*  *MAKE-SPECIAL   */;
	if(ECL_SYM_VAL(cl_env_copy,VV[58])!=OBJNULL){
	goto L125;}
	cl_set(VV[58],Cnil);
L125:;
	ecl_cmp_defmacro(VV[124]);
	(void)si_define_structure(15,VV[78],_ecl_static_1,Cnil,Cnil,VVtemp[11],VVtemp[12],Cnil,Cnil,Cnil,Cnil,Cnil,MAKE_FIXNUM(18),Cnil,Cnil,Cnil) /*  DEFINE-STRUCTURE */;
	(void)si_Xmake_constant(VV[79],Cnil)      /*  *MAKE-CONSTANT  */;
	(void)si_Xmake_constant(VV[80],Cnil)      /*  *MAKE-CONSTANT  */;
	(void)si_Xmake_constant(VV[81],MAKE_FIXNUM(32)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[82],MAKE_FIXNUM(32)) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[83],_ecl_static_2) /*  *MAKE-CONSTANT */;
	ecl_cmp_defun(VV[125]);
}
